<?php

namespace MetodikaTI\Http\Controllers\Back\Catalog;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use MetodikaTI\Color;
use MetodikaTI\Http\Controllers\Controller;
use MetodikaTI\Http\Requests\Catalog\Color\CreateColorRequest;
use MetodikaTI\Http\Requests\Catalog\Color\EditColorRequest;
use MetodikaTI\Library\URI;

class ColorController extends Controller
{


    public function index()
    {

        $data = Color::get();
        return view('back.catalog.color.index', array('data'=>$data, 'permitions' => URI::checkPermitions()));
    }


    public function create()
    {
        return view('back.catalog.color.create');
    }


    public function store(CreateColorRequest $request)
    {

        //name

        $response = array('status' => false);

        DB::beginTransaction();

        $data = new Color();
        $data->name = $request->name;

        if($data->save()) {

            DB::commit();

            $response['status'] = true;
            $response["message"] = "Los datos se han almacenado correctamente.";
            $response['url'] = route('colors_index');

        }else{
            DB::rollBack();
            $response['status'] = false;
            $response["message"] = "No hemos podido almacenar los datos, intentalo nuevamente.";
        }

        return response()->json($response);
    }


    public function edit($id)
    {
        $data = Color::find(base64_decode($id));

        return view('back.catalog.color.edit', array("data" => $data));
    }


    public function update(EditColorRequest $request, $id)
    {

        //name

        $response = array('status' => false);

        DB::beginTransaction();

        $data = Color::find(base64_decode($id));
        $data->name = $request->name;

        if($data->save()) {

            DB::commit();

            $response['status'] = true;
            $response["message"] = "Los datos se han almacenado correctamente.";
            $response['url'] = route('colors_index');

        }else{
            DB::rollBack();
            $response['status'] = false;
            $response["message"] = "No hemos podido almacenar los datos, intentalo nuevamente.";
        }

        return response()->json($response);
    }


    public function destroy($id)
    {

        $response = array(
            'status' => true,
            'message' => 'El usuario ha sido eliminado correctamente.',
            'url' => route('colors_index'),
        );

        $data = Color::find(base64_decode($id));
        if($data != null) {
            if($data->delete()) {

                $response = [
                    'message' => 'Se ha eliminado el registro correctamente.',
                    'status' => true,
                    'url' => route('colors_index')
                ];
            }
        } else {
            $response = [
                'message' => 'No hemos podido eliminar el registro, intentalo nuevamente.',
                'status' => false
            ];
        }

        return response()->json($response);
    }


}
