<?php

namespace MetodikaTI\Http\Requests\Back\Awards;

use Illuminate\Foundation\Http\FormRequest;

class CreateAwardRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {

        $rules = array();

        //Para regla de '¿Tienes una regla para premios individuales?' solamente es un campo (la validacion es diferente a los demas)
        //has_how_many_games_needs_to_play_to_choose_an_award
        //how_many_games_needs_to_play_to_choose_an_award
        foreach ($this->has_how_many_games_needs_to_play_to_choose_an_award as $team_id => $has_award) {
            //Validamos
            if ($has_award == 1) {
                if ($this->how_many_games_needs_to_play_to_choose_an_award[$team_id] == null || $this->how_many_games_needs_to_play_to_choose_an_award[$team_id] <= 0) {
                    $rules["how_many_games_needs_to_play_to_choose_an_award[" . $team_id . "]"] = "required";
                    $rules["generic_complete_all_fields"] = "required";
                }
            }
        }


        //how_many_teams_get_award
        foreach ($this->how_many_teams_get_award as $team_id => $has_award) {
            //Validamos
            if ($has_award == "") {
                $rules["how_many_teams_get_award[" . $team_id . "]"] = "required";
                $rules["generic_complete_all_fields"] = "required";
            }
        }


        foreach ($this->has_game_high_by_team as $team_id => $has_award) {
            //Validamos
            if ($has_award == 1) {
                if (isset($this->game_high_by_team[$team_id])) {
                    if (is_array($this->game_high_by_team[$team_id])) {
                        foreach ($this->game_high_by_team[$team_id] as $number_place => $award) {
                            if ($award <= 0 || $award == "") {
                                $rules["game_high_by_team[" . $team_id . "][" . $number_place . "]"] = "required";
                                $rules["generic_complete_all_fields"] = "required";
                            }
                        }
                    }
                }
            }
        }

        foreach ($this->has_game_high_by_team_with_handicap as $team_id => $has_award) {
            //Validamos
            if ($has_award == 1) {
                if (isset($this->game_high_by_team_with_handicap[$team_id])) {
                    if (is_array($this->game_high_by_team_with_handicap[$team_id])) {
                        foreach ($this->game_high_by_team_with_handicap[$team_id] as $number_place => $award) {
                            if ($award <= 0 || $award == "") {
                                $rules["game_high_by_team_with_handicap[" . $team_id . "][" . $number_place . "]"] = "required";
                                $rules["generic_complete_all_fields"] = "required";
                            }
                        }
                    }
                }
            }
        }

        foreach ($this->has_serie_high_by_team as $team_id => $has_award) {
            //Validamos
            if ($has_award == 1) {
                if (isset($this->serie_high_by_team[$team_id])) {
                    if (is_array($this->serie_high_by_team[$team_id])) {
                        foreach ($this->serie_high_by_team[$team_id] as $number_place => $award) {
                            if ($award <= 0 || $award == "") {
                                $rules["serie_high_by_team[" . $team_id . "][" . $number_place . "]"] = "required";
                                $rules["generic_complete_all_fields"] = "required";
                            }
                        }
                    }
                }
            }
        }

        foreach ($this->has_serie_high_by_team_with_handicap as $team_id => $has_award) {
            //Validamos
            if ($has_award == 1) {
                if (isset($this->serie_high_by_team_with_handicap[$team_id])) {
                    if (is_array($this->serie_high_by_team_with_handicap[$team_id])) {
                        foreach ($this->serie_high_by_team_with_handicap[$team_id] as $number_place => $award) {
                            if ($award <= 0 || $award == "") {
                                $rules["serie_high_by_team_with_handicap[" . $team_id . "][" . $number_place . "]"] = "required";
                                $rules["generic_complete_all_fields"] = "required";
                            }
                        }
                    }
                }
            }
        }

        foreach ($this->has_award_by_team as $team_id => $has_award) {
            //Validamos
            if ($has_award == 1) {
                if (isset($this->award_by_team[$team_id])) {
                    if (is_array($this->award_by_team[$team_id])) {
                        foreach ($this->award_by_team[$team_id] as $number_place => $award) {
                            if ($award <= 0 || $award == "") {
                                $rules["award_by_team[" . $team_id . "][" . $number_place . "]"] = "required";
                                $rules["generic_complete_all_fields"] = "required";
                            }
                        }
                    }
                }
            }
        }

        foreach ($this->has_game_high_individual_male as $team_id => $has_award) {
            //Validamos
            if ($has_award == 1) {
                if (isset($this->game_high_individual_male[$team_id])) {
                    if (is_array($this->game_high_individual_male[$team_id])) {
                        foreach ($this->game_high_individual_male[$team_id] as $number_place => $award) {
                            if ($award <= 0 || $award == "") {
                                $rules["game_high_individual_male[" . $team_id . "][" . $number_place . "]"] = "required";
                                $rules["generic_complete_all_fields"] = "required";
                            }
                        }
                    }
                }
            }
        }

        foreach ($this->has_game_high_individual_male_with_handicap as $team_id => $has_award) {
            //Validamos
            if ($has_award == 1) {
                if (isset($this->game_high_individual_male_with_handicap[$team_id])) {
                    if (is_array($this->game_high_individual_male_with_handicap[$team_id])) {
                        foreach ($this->game_high_individual_male_with_handicap[$team_id] as $number_place => $award) {
                            if ($award <= 0 || $award == "") {
                                $rules["game_high_individual_male_with_handicap[" . $team_id . "][" . $number_place . "]"] = "required";
                                $rules["generic_complete_all_fields"] = "required";
                            }
                        }
                    }
                }
            }
        }

        foreach ($this->has_serie_high_individual_male as $team_id => $has_award) {
            //Validamos
            if ($has_award == 1) {
                if (isset($this->serie_high_individual_male[$team_id])) {
                    if (is_array($this->serie_high_individual_male[$team_id])) {
                        foreach ($this->serie_high_individual_male[$team_id] as $number_place => $award) {
                            if ($award <= 0 || $award == "") {
                                $rules["serie_high_individual_male[" . $team_id . "][" . $number_place . "]"] = "required";
                                $rules["generic_complete_all_fields"] = "required";
                            }
                        }
                    }
                }
            }
        }

        foreach ($this->has_serie_high_individual_male_with_handicap as $team_id => $has_award) {
            //Validamos
            if ($has_award == 1) {
                if (isset($this->serie_high_individual_male_with_handicap[$team_id])) {
                    if (is_array($this->serie_high_individual_male_with_handicap[$team_id])) {
                        foreach ($this->serie_high_individual_male_with_handicap[$team_id] as $number_place => $award) {
                            if ($award <= 0 || $award == "") {
                                $rules["serie_high_individual_male_with_handicap[" . $team_id . "][" . $number_place . "]"] = "required";
                                $rules["generic_complete_all_fields"] = "required";
                            }
                        }
                    }
                }
            }
        }

        foreach ($this->has_average_individual_male as $team_id => $has_award) {
            //Validamos
            if ($has_award == 1) {
                if (isset($this->average_individual_male[$team_id])) {
                    if (is_array($this->average_individual_male[$team_id])) {
                        foreach ($this->average_individual_male[$team_id] as $number_place => $award) {
                            if ($award <= 0 || $award == "") {
                                $rules["average_individual_male[" . $team_id . "][" . $number_place . "]"] = "required";
                                $rules["generic_complete_all_fields"] = "required";
                            }
                        }
                    }
                }
            }
        }

        foreach ($this->has_game_high_individual_female as $team_id => $has_award) {
            //Validamos
            if ($has_award == 1) {
                if (isset($this->game_high_individual_female[$team_id])) {
                    if (is_array($this->game_high_individual_female[$team_id])) {
                        foreach ($this->game_high_individual_female[$team_id] as $number_place => $award) {
                            if ($award <= 0 || $award == "") {
                                $rules["game_high_individual_female[" . $team_id . "][" . $number_place . "]"] = "required";
                                $rules["generic_complete_all_fields"] = "required";
                            }
                        }
                    }
                }
            }
        }

        foreach ($this->has_game_high_individual_female_with_handicap as $team_id => $has_award) {
            //Validamos
            if ($has_award == 1) {
                if (isset($this->game_high_individual_female_with_handicap[$team_id])) {
                    if (is_array($this->game_high_individual_female_with_handicap[$team_id])) {
                        foreach ($this->game_high_individual_female_with_handicap[$team_id] as $number_place => $award) {
                            if ($award <= 0 || $award == "") {
                                $rules["game_high_individual_female_with_handicap[" . $team_id . "][" . $number_place . "]"] = "required";
                                $rules["generic_complete_all_fields"] = "required";
                            }
                        }
                    }
                }
            }
        }

        foreach ($this->has_serie_high_individual_female as $team_id => $has_award) {
            //Validamos
            if ($has_award == 1) {
                if (isset($this->serie_high_individual_female[$team_id])) {
                    if (is_array($this->serie_high_individual_female[$team_id])) {
                        foreach ($this->serie_high_individual_female[$team_id] as $number_place => $award) {
                            if ($award <= 0 || $award == "") {
                                $rules["serie_high_individual_female[" . $team_id . "][" . $number_place . "]"] = "required";
                                $rules["generic_complete_all_fields"] = "required";
                            }
                        }
                    }
                }
            }
        }

        foreach ($this->has_serie_high_individual_female_with_handicap as $team_id => $has_award) {
            //Validamos
            if ($has_award == 1) {
                if (isset($this->serie_high_individual_female_with_handicap[$team_id])) {
                    if (is_array($this->serie_high_individual_female_with_handicap[$team_id])) {
                        foreach ($this->serie_high_individual_female_with_handicap[$team_id] as $number_place => $award) {
                            if ($award <= 0 || $award == "") {
                                $rules["serie_high_individual_female_with_handicap[" . $team_id . "][" . $number_place . "]"] = "required";
                                $rules["generic_complete_all_fields"] = "required";
                            }
                        }
                    }
                }
            }
        }

        foreach ($this->has_average_individual_female as $team_id => $has_award) {
            //Validamos
            if ($has_award == 1) {
                if (isset($this->average_individual_female[$team_id])) {
                    if (is_array($this->average_individual_female[$team_id])) {
                        foreach ($this->average_individual_female[$team_id] as $number_place => $award) {
                            if ($award <= 0 || $award == "") {
                                $rules["average_individual_female[" . $team_id . "][" . $number_place . "]"] = "required";
                                $rules["generic_complete_all_fields"] = "required";
                            }
                        }
                    }
                }
            }
        }

        foreach ($this->has_perfect_game as $team_id => $has_award) {
            //Validamos
            if ($has_award == 1) {
                if (isset($this->perfect_game[$team_id])) {
                    if (is_array($this->perfect_game[$team_id])) {
                        foreach ($this->perfect_game[$team_id] as $number_place => $award) {
                            if ($award <= 0 || $award == "") {
                                $rules["perfect_game[" . $team_id . "][" . $number_place . "]"] = "required";
                                $rules["generic_complete_all_fields"] = "required";
                            }
                        }
                    }
                }
            }
        }

        return $rules;
    }


    public function messages()
    {

        $messages = array();

        //Para regla de '¿Tienes una regla para premios individuales?' solamente es un campo (la validacion es diferente a los demas)
        //has_how_many_games_needs_to_play_to_choose_an_award
        //how_many_games_needs_to_play_to_choose_an_award
        foreach ($this->has_how_many_games_needs_to_play_to_choose_an_award as $team_id => $has_award) {
            //Validamos
            if ($has_award == 1) {
                if ($this->how_many_games_needs_to_play_to_choose_an_award[$team_id] == null || $this->how_many_games_needs_to_play_to_choose_an_award[$team_id] <= 0) {
                    $messages["how_many_games_needs_to_play_to_choose_an_award[" . $team_id . "].required"] = "";
                    $messages["generic_complete_all_fields.required"] = "Ingresa el valor del premio en los campos remarcados en rojo.";
                }
            }
        }

        //how_many_teams_get_award
        foreach ($this->how_many_teams_get_award as $team_id => $has_award) {
            //Validamos
            if ($has_award == "") {
                $messages["how_many_teams_get_award[" . $team_id . "].required"] = "";
                $messages["generic_complete_all_fields.required"] = "Ingresa el valor del premio en los campos remarcados en rojo.";
            }
        }

        foreach ($this->has_game_high_by_team as $team_id => $has_award) {
            //Validamos
            if ($has_award == 1) {
                if (isset($this->game_high_by_team[$team_id])) {
                    if (is_array($this->game_high_by_team[$team_id])) {
                        foreach ($this->game_high_by_team[$team_id] as $number_place => $award) {
                            if ($award <= 0 || $award == "") {
                                $messages["game_high_by_team[" . $team_id . "][" . $number_place . "].required"] = "";
                                $messages["generic_complete_all_fields.required"] = "Ingresa el valor del premio en los campos remarcados en rojo.";
                            }
                        }
                    }
                }
            }
        }

        foreach ($this->has_game_high_by_team_with_handicap as $team_id => $has_award) {
            //Validamos
            if ($has_award == 1) {
                if (isset($this->game_high_by_team_with_handicap[$team_id])) {
                    if (is_array($this->game_high_by_team_with_handicap[$team_id])) {
                        foreach ($this->game_high_by_team_with_handicap[$team_id] as $number_place => $award) {
                            if ($award <= 0 || $award == "") {
                                $messages["game_high_by_team_with_handicap[" . $team_id . "][" . $number_place . "].required"] = "";
                                $messages["generic_complete_all_fields.required"] = "Ingresa el valor del premio en los campos remarcados en rojo.";
                            }
                        }
                    }
                }
            }
        }

        foreach ($this->has_serie_high_by_team as $team_id => $has_award) {
            //Validamos
            if ($has_award == 1) {
                if (isset($this->serie_high_by_team[$team_id])) {
                    if (is_array($this->serie_high_by_team[$team_id])) {
                        foreach ($this->serie_high_by_team[$team_id] as $number_place => $award) {
                            if ($award <= 0 || $award == "") {
                                $messages["serie_high_by_team[" . $team_id . "][" . $number_place . "].required"] = "";
                                $messages["generic_complete_all_fields.required"] = "Ingresa el valor del premio en los campos remarcados en rojo.";
                            }
                        }
                    }
                }
            }
        }

        foreach ($this->has_serie_high_by_team_with_handicap as $team_id => $has_award) {
            //Validamos
            if ($has_award == 1) {
                if (isset($this->serie_high_by_team_with_handicap[$team_id])) {
                    if (is_array($this->serie_high_by_team_with_handicap[$team_id])) {
                        foreach ($this->serie_high_by_team_with_handicap[$team_id] as $number_place => $award) {
                            if ($award <= 0 || $award == "") {
                                $messages["serie_high_by_team_with_handicap[" . $team_id . "][" . $number_place . "].required"] = "";
                                $messages["generic_complete_all_fields.required"] = "Ingresa el valor del premio en los campos remarcados en rojo.";
                            }
                        }
                    }
                }
            }
        }

        foreach ($this->has_award_by_team as $team_id => $has_award) {
            //Validamos
            if ($has_award == 1) {
                if (isset($this->award_by_team[$team_id])) {
                    if (is_array($this->award_by_team[$team_id])) {
                        foreach ($this->award_by_team[$team_id] as $number_place => $award) {
                            if ($award <= 0 || $award == "") {
                                $messages["award_by_team[" . $team_id . "][" . $number_place . "].required"] = "";
                                $messages["generic_complete_all_fields.required"] = "Ingresa el valor del premio en los campos remarcados en rojo.";
                            }
                        }
                    }
                }
            }
        }

        foreach ($this->has_game_high_individual_male as $team_id => $has_award) {
            //Validamos
            if ($has_award == 1) {
                if (isset($this->game_high_individual_male[$team_id])) {
                    if (is_array($this->game_high_individual_male[$team_id])) {
                        foreach ($this->game_high_individual_male[$team_id] as $number_place => $award) {
                            if ($award <= 0 || $award == "") {
                                $messages["game_high_individual_male[" . $team_id . "][" . $number_place . "].required"] = "";
                                $messages["generic_complete_all_fields.required"] = "Ingresa el valor del premio en los campos remarcados en rojo.";
                            }
                        }
                    }
                }
            }
        }

        foreach ($this->has_game_high_individual_male_with_handicap as $team_id => $has_award) {
            //Validamos
            if ($has_award == 1) {
                if (isset($this->game_high_individual_male_with_handicap[$team_id])) {
                    if (is_array($this->game_high_individual_male_with_handicap[$team_id])) {
                        foreach ($this->game_high_individual_male_with_handicap[$team_id] as $number_place => $award) {
                            if ($award <= 0 || $award == "") {
                                $messages["game_high_individual_male_with_handicap[" . $team_id . "][" . $number_place . "].required"] = "";
                                $messages["generic_complete_all_fields.required"] = "Ingresa el valor del premio en los campos remarcados en rojo.";
                            }
                        }
                    }
                }
            }
        }

        foreach ($this->has_serie_high_individual_male as $team_id => $has_award) {
            //Validamos
            if ($has_award == 1) {
                if (isset($this->serie_high_individual_male[$team_id])) {
                    if (is_array($this->serie_high_individual_male[$team_id])) {
                        foreach ($this->serie_high_individual_male[$team_id] as $number_place => $award) {
                            if ($award <= 0 || $award == "") {
                                $messages["serie_high_individual_male[" . $team_id . "][" . $number_place . "].required"] = "";
                                $messages["generic_complete_all_fields.required"] = "Ingresa el valor del premio en los campos remarcados en rojo.";
                            }
                        }
                    }
                }
            }
        }

        foreach ($this->has_serie_high_individual_male_with_handicap as $team_id => $has_award) {
            //Validamos
            if ($has_award == 1) {
                if (isset($this->serie_high_individual_male_with_handicap[$team_id])) {
                    if (is_array($this->serie_high_individual_male_with_handicap[$team_id])) {
                        foreach ($this->serie_high_individual_male_with_handicap[$team_id] as $number_place => $award) {
                            if ($award <= 0 || $award == "") {
                                $messages["serie_high_individual_male_with_handicap[" . $team_id . "][" . $number_place . "].required"] = "";
                                $messages["generic_complete_all_fields.required"] = "Ingresa el valor del premio en los campos remarcados en rojo.";
                            }
                        }
                    }
                }
            }
        }

        foreach ($this->has_average_individual_male as $team_id => $has_award) {
            //Validamos
            if ($has_award == 1) {
                if (isset($this->average_individual_male[$team_id])) {
                    if (is_array($this->average_individual_male[$team_id])) {
                        foreach ($this->average_individual_male[$team_id] as $number_place => $award) {
                            if ($award <= 0 || $award == "") {
                                $messages["average_individual_male[" . $team_id . "][" . $number_place . "].required"] = "";
                                $messages["generic_complete_all_fields.required"] = "Ingresa el valor del premio en los campos remarcados en rojo.";
                            }
                        }
                    }
                }
            }
        }

        foreach ($this->has_game_high_individual_female as $team_id => $has_award) {
            //Validamos
            if ($has_award == 1) {
                if (isset($this->game_high_individual_female[$team_id])) {
                    if (is_array($this->game_high_individual_female[$team_id])) {
                        foreach ($this->game_high_individual_female[$team_id] as $number_place => $award) {
                            if ($award <= 0 || $award == "") {
                                $messages["game_high_individual_female[" . $team_id . "][" . $number_place . "].required"] = "";
                                $messages["generic_complete_all_fields.required"] = "Ingresa el valor del premio en los campos remarcados en rojo.";
                            }
                        }
                    }
                }
            }
        }

        foreach ($this->has_game_high_individual_female_with_handicap as $team_id => $has_award) {
            //Validamos
            if ($has_award == 1) {
                if (isset($this->game_high_individual_female_with_handicap[$team_id])) {
                    if (is_array($this->game_high_individual_female_with_handicap[$team_id])) {
                        foreach ($this->game_high_individual_female_with_handicap[$team_id] as $number_place => $award) {
                            if ($award <= 0 || $award == "") {
                                $messages["game_high_individual_female_with_handicap[" . $team_id . "][" . $number_place . "].required"] = "";
                                $messages["generic_complete_all_fields.required"] = "Ingresa el valor del premio en los campos remarcados en rojo.";
                            }
                        }
                    }
                }
            }
        }

        foreach ($this->has_serie_high_individual_female as $team_id => $has_award) {
            //Validamos
            if ($has_award == 1) {
                if (isset($this->serie_high_individual_female[$team_id])) {
                    if (is_array($this->serie_high_individual_female[$team_id])) {
                        foreach ($this->serie_high_individual_female[$team_id] as $number_place => $award) {
                            if ($award <= 0 || $award == "") {
                                $messages["serie_high_individual_female[" . $team_id . "][" . $number_place . "].required"] = "";
                                $messages["generic_complete_all_fields.required"] = "Ingresa el valor del premio en los campos remarcados en rojo.";
                            }
                        }
                    }
                }
            }
        }

        foreach ($this->has_serie_high_individual_female_with_handicap as $team_id => $has_award) {
            //Validamos
            if ($has_award == 1) {
                if (isset($this->serie_high_individual_female_with_handicap[$team_id])) {
                    if (is_array($this->serie_high_individual_female_with_handicap[$team_id])) {
                        foreach ($this->serie_high_individual_female_with_handicap[$team_id] as $number_place => $award) {
                            if ($award <= 0 || $award == "") {
                                $messages["serie_high_individual_female_with_handicap[" . $team_id . "][" . $number_place . "].required"] = "";
                                $messages["generic_complete_all_fields.required"] = "Ingresa el valor del premio en los campos remarcados en rojo.";
                            }
                        }
                    }
                }
            }
        }

        foreach ($this->has_average_individual_female as $team_id => $has_award) {
            //Validamos
            if ($has_award == 1) {
                if (isset($this->average_individual_female[$team_id])) {
                    if (is_array($this->average_individual_female[$team_id])) {
                        foreach ($this->average_individual_female[$team_id] as $number_place => $award) {
                            if ($award <= 0 || $award == "") {
                                $messages["average_individual_female[" . $team_id . "][" . $number_place . "].required"] = "";
                                $messages["generic_complete_all_fields.required"] = "Ingresa el valor del premio en los campos remarcados en rojo.";
                            }
                        }
                    }
                }
            }
        }

        foreach ($this->has_perfect_game as $team_id => $has_award) {
            //Validamos
            if ($has_award == 1) {
                if (isset($this->perfect_game[$team_id])) {
                    if (is_array($this->perfect_game[$team_id])) {
                        foreach ($this->perfect_game[$team_id] as $number_place => $award) {
                            if ($award <= 0 || $award == "") {
                                $messages["perfect_game[" . $team_id . "][" . $number_place . "].required"] = "";
                                $messages["generic_complete_all_fields.required"] = "Ingresa el valor del premio en los campos remarcados en rojo.";
                            }
                        }
                    }
                }
            }
        }
        return $messages;
    }


}












