<?php

namespace MetodikaTI\Http\Requests\Back\CategoryRules;

use Illuminate\Foundation\Http\FormRequest;

class CreateCategoryRulesRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {

        $rules = array();

        $rules["maximum_players_by_team"] = "required|min:0|not_in:0";

        $categories = $this->team_name;
        foreach ($categories as $category_id => $teams) {
            $rules["team_name." . $category_id . ".*"] = "required";
        }


        return $rules;
    }

    public function messages()
    {

        $messages = array();

        $messages["maximum_players_by_team.required"] = "El campo 'Máximo número de integrantes por equipo' es requerido.";
        $messages["maximum_players_by_team.min"] = "El campo 'Máximo número de integrantes por equipo' tiene que ser mayor que 0.";
        $messages["maximum_players_by_team.not_in"] = "El campo 'Máximo número de integrantes por equipo' tiene que ser mayor que 0.";

        $categories = $this->team_name;
        foreach ($categories as $category_id => $teams) {
            foreach ($teams as $key => $team_id) {
                $messages["team_name." . $category_id . "." . $key . ".required"] = "Selecciona un equipo para el registro de 'Equipo " . ($key + 1) . "'";
            }
        }

        return $messages;
    }


}
