<?php

namespace MetodikaTI\Http\Requests\Back\CategoryRules;

use Illuminate\Foundation\Http\FormRequest;

class EditCategoryRulesRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {

        $rules = array();

        $rules["maximum_players_by_team"] = "required|min:0|not_in:0";

        $team_each_categories = $this->team_name;
        foreach ($team_each_categories as $team_each_categories_id => $team_ids) {
            foreach ($team_ids as $team_position => $team_id) {
                $rules["team_name." . $team_each_categories_id . "." . $team_position] = "required";
            }
        }

        //Hacmeos la validacion en caso de que en la seccion de Equipos incrementen la cantidadd de equipos por categoria, asi que faltarian agregar mas equipos que son estos:
        if ($this->team_name_nuevo != null) {
            $team_each_categories = $this->team_name_nuevo;
            foreach ($team_each_categories as $team_each_categories_id => $team_ids) {
                foreach ($team_ids as $team_position => $team_id) {
                    $rules["team_name_nuevo." . $team_each_categories_id . "." . $team_position] = "required";
                }
            }
        }

        return $rules;
    }

    public function messages()
    {

        $messages = array();

        $messages["maximum_players_by_team.required"] = "El campo 'Máximo número de integrantes por equipo' es requerido.";
        $messages["maximum_players_by_team.min"] = "El campo 'Máximo número de integrantes por equipo' tiene que ser mayor que 0.";
        $messages["maximum_players_by_team.not_in"] = "El campo 'Máximo número de integrantes por equipo' tiene que ser mayor que 0.";

        $team_each_categories = $this->team_name;
        foreach ($team_each_categories as $team_each_categories_id => $team_ids) {
            foreach ($team_ids as $team_position => $team_id) {
                $messages["team_name." . $team_each_categories_id . "." . $team_position . ".required"] = "Selecciona un equipo para el registro de 'Equipo " . ($team_position) . "'";
            }
        }

        if ($this->team_name_nuevo != null) {
            $team_each_categories = $this->team_name_nuevo;
            foreach ($team_each_categories as $team_each_categories_id => $team_ids) {
                foreach ($team_ids as $team_position => $team_id) {
                    $messages["team_name_nuevo." . $team_each_categories_id . "." . $team_position . ".required"] = "Selecciona un equipo para el registro de 'Equipo " . ($team_position) . "'";
                }
            }
        }

        return $messages;
    }

}
