<?php

namespace MetodikaTI\Http\Requests\Back\DiaFestivo;

use Illuminate\Foundation\Http\FormRequest;

class EditDiaFestivoRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            "name" => "required",
            "date" => "required|date_format:d/m/Y",
        ];
    }


    public function messages()
    {
        return [
            "name.required" => "El campo 'Descripción' es requerido.",
            "date.required" => "El campo 'Fecha' es requerido.",
            "date.date_format" => "El campo 'Fecha' no tiene un valor valido, ingresa una fecha con el formato día/mes/año, ejemplo 26/01/1993.",
        ];
    }

}
