<?php

namespace MetodikaTI\Http\Requests\Back\Handicap;

use Illuminate\Foundation\Http\FormRequest;

class CreateHandicapRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {

        $rules = array();

        $rules["how_many_games_to_get_new_handicap"] = "required";
        $rules["weeks_to_complete_games"] = "required";
        $rules["news_players_how_many_games_play_on_first_week"] = "required";
        $rules["dummy_by_team"] = "required";

        //Validamos que ingrese por categoria la configuración
        foreach ($this->configuration_by_category as $key => $category_id) {

            if (
                $this->configuration_by_category[$key]["base_normal"] == "" ||
                $this->configuration_by_category[$key]["male_normal"] == "" ||
                $this->configuration_by_category[$key]["female_normal"] == "" ||
                $this->configuration_by_category[$key]["juvenil_normal"] == "" ||
                $this->configuration_by_category[$key]["especial_normal"] == "" ||
                $this->configuration_by_category[$key]["male_normal_tope"] == "" ||
                $this->configuration_by_category[$key]["female_normal_tope"] == "" ||
                $this->configuration_by_category[$key]["juvenil_normal_tope"] == "" ||
                $this->configuration_by_category[$key]["especial_normal_tope"] == "" ||
                $this->configuration_by_category[$key]["base_dummy"] == "" ||
                $this->configuration_by_category[$key]["male_limit_dummy"] == "" ||
                $this->configuration_by_category[$key]["female_limit_dummy"] == "" ||
                $this->configuration_by_category[$key]["juvenil_limit_dummy"] == "" ||
                $this->configuration_by_category[$key]["especial_limit_dummy"] == "") {

                $rules["configuration_by_category_global"] = "required";

            }

            //Normal
            if ($this->configuration_by_category[$key]["base_normal"] == "") {
                $rules["configuration_by_category[" . $key . "][base_normal]"] = "required";
            }
            if ($this->configuration_by_category[$key]["male_normal"] == "") {
                $rules["configuration_by_category[" . $key . "][male_normal]"] = "required";
            }
            if ($this->configuration_by_category[$key]["female_normal"] == "") {
                $rules["configuration_by_category[" . $key . "][female_normal]"] = "required";
            }
            if ($this->configuration_by_category[$key]["juvenil_normal"] == "") {
                $rules["configuration_by_category[" . $key . "][juvenil_normal]"] = "required";
            }
            if ($this->configuration_by_category[$key]["especial_normal"] == "") {
                $rules["configuration_by_category[" . $key . "][especial_normal]"] = "required";
            }


            //Tope
            if ($this->configuration_by_category[$key]["male_normal_tope"] == "") {
                $rules["configuration_by_category[" . $key . "][male_normal_tope]"] = "required";
            }
            if ($this->configuration_by_category[$key]["female_normal_tope"] == "") {
                $rules["configuration_by_category[" . $key . "][female_normal_tope]"] = "required";
            }
            if ($this->configuration_by_category[$key]["juvenil_normal_tope"] == "") {
                $rules["configuration_by_category[" . $key . "][juvenil_normal_tope]"] = "required";
            }
            if ($this->configuration_by_category[$key]["especial_normal_tope"] == "") {
                $rules["configuration_by_category[" . $key . "][especial_normal_tope]"] = "required";
            }


            //Dummy
            if ($this->configuration_by_category[$key]["base_dummy"] == "") {
                $rules["configuration_by_category[" . $key . "][base_dummy]"] = "required";
            }
            if ($this->configuration_by_category[$key]["male_limit_dummy"] == "") {
                $rules["configuration_by_category[" . $key . "][male_limit_dummy]"] = "required";
            }
            if ($this->configuration_by_category[$key]["female_limit_dummy"] == "") {
                $rules["configuration_by_category[" . $key . "][female_limit_dummy]"] = "required";
            }
            if ($this->configuration_by_category[$key]["juvenil_limit_dummy"] == "") {
                $rules["configuration_by_category[" . $key . "][juvenil_limit_dummy]"] = "required";
            }
            if ($this->configuration_by_category[$key]["especial_limit_dummy"] == "") {
                $rules["configuration_by_category[" . $key . "][especial_limit_dummy]"] = "required";
            }

        }

        return $rules;
    }

    public function messages()
    {

        $messages = array();

        $messages["how_many_games_to_get_new_handicap.required"] = "El campo 'Cuantos juegos debe de jugar un jugador para obtener su Handicap nuevo' es requerido.";
        $messages["weeks_to_complete_games.required"] = "El campo 'Semanas para completar sus juegos' es requerido.";
        $messages["news_players_how_many_games_play_on_first_week.required"] = "El campo 'Cuantos juegos debe de realizar en la primer semana' es requerido.";
        $messages["dummy_by_team.required"] = "El campo 'Cuantos dummy permites por equipo' es requerido.";

        //Validamos que ingrese por categoria la configuración
        foreach ($this->configuration_by_category as $key => $category_id) {

            //Normal
            if ($this->configuration_by_category[$key]["base_normal"] == "") {
                $messages["configuration_by_category[" . $key . "][base_normal].required"] = "";
            }
            if ($this->configuration_by_category[$key]["male_normal"] == "") {
                $messages["configuration_by_category[" . $key . "][male_normal].required"] = "";
            }
            if ($this->configuration_by_category[$key]["female_normal"] == "") {
                $messages["configuration_by_category[" . $key . "][female_normal].required"] = "";
            }
            if ($this->configuration_by_category[$key]["juvenil_normal"] == "") {
                $messages["configuration_by_category[" . $key . "][juvenil_normal].required"] = "";
            }
            if ($this->configuration_by_category[$key]["especial_normal"] == "") {
                $messages["configuration_by_category[" . $key . "][especial_normal].required"] = "";
            }


            //Tope
            if ($this->configuration_by_category[$key]["male_normal_tope"] == "") {
                $messages["configuration_by_category[" . $key . "][male_normal_tope].required"] = "";
            }
            if ($this->configuration_by_category[$key]["female_normal_tope"] == "") {
                $messages["configuration_by_category[" . $key . "][female_normal_tope].required"] = "";
            }
            if ($this->configuration_by_category[$key]["juvenil_normal_tope"] == "") {
                $messages["configuration_by_category[" . $key . "][juvenil_normal_tope].required"] = "";
            }
            if ($this->configuration_by_category[$key]["especial_normal_tope"] == "") {
                $messages["configuration_by_category[" . $key . "][especial_normal_tope].required"] = "";
            }


            //Dummy
            if ($this->configuration_by_category[$key]["base_dummy"] == "") {
                $messages["configuration_by_category[" . $key . "][base_dummy].required"] = "";
            }
            if ($this->configuration_by_category[$key]["male_limit_dummy"] == "") {
                $messages["configuration_by_category[" . $key . "][male_limit_dummy].required"] = "";
            }
            if ($this->configuration_by_category[$key]["female_limit_dummy"] == "") {
                $messages["configuration_by_category[" . $key . "][female_limit_dummy].required"] = "";
            }
            if ($this->configuration_by_category[$key]["juvenil_limit_dummy"] == "") {
                $messages["configuration_by_category[" . $key . "][juvenil_limit_dummy].required"] = "";
            }
            if ($this->configuration_by_category[$key]["especial_limit_dummy"] == "") {
                $messages["configuration_by_category[" . $key . "][especial_limit_dummy].required"] = "";
            }

        }

        $messages["configuration_by_category_global.required"] = "Completa los valores para la configuración por categorías.";


        return $messages;
    }

}
