<?php

namespace MetodikaTI\Http\Requests\Back\Players;

use Illuminate\Foundation\Http\FormRequest;

class EditPlayerRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {

        return [
            "name" => "required",
            "birthday" => "required",
            "gender" => "required",
            "email" => "required|email|unique:players,email," . base64_decode($this->route('id')) . ",id,deleted_at,NULL",
        ];

    }


    public function messages()
    {

        return [
            "gender.required" => "El campo 'Genero' es requerido.",
            "name.required" => "El campo 'Nombre(s)' es requerido.",
            "birthday.required" => "El campo 'Fecha de nacimiento' es requerido.",
            "email.required" => "El campo 'Correo electrónico' es requerido.",
            "email.email" => "El campo 'Correo electrónico' no tiene un formato de correo valido.",
            "email.unique" => "El campo 'Correo electrónico' ya se encuentra registrado en otro jugador.",
        ];

    }
}
