<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateLeaguesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('leagues', function (Blueprint $table) {
            $table->increments('id');

            $table->date("league");
            $table->text("city");
            $table->text("state");
            $table->text("country");
            $table->text("league_name");
            $table->text("place");
            $table->text("honorific_name");
            $table->text("rules_path");

            $table->date("date_start_league");
            $table->date("date_end_league");

            $table->text("days_available"); //0,0,0,0,0,0,0
            $table->time("hour_start");

            $table->enum("frecuency", ["diario", "semana", "custom"]);

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('leagues');
    }
}
