<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreatePlayerTypesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('player_types', function (Blueprint $table) {
            $table->increments('id');

            $table->integer("league_id");

            //Formato de la liga
            $table->text("type_game"); //Como se juega?

            $table->integer("male_major_than_year")->default(0);      //Hombres mayores a
            $table->integer("women_major_than_year")->default(0);     //Mujeres mayores a

            $table->integer("young_gender_male")->default(0);         //Masculinos juveniles
            $table->integer("young_gender_female")->default(0);       //Femeninos juveniles
            $table->integer("young_less_than_year")->default(0);      //Menores a

            $table->integer("special_gender_male")->default(0);       //Masculino para jugadores "especiales"
            $table->integer("special_gender_female")->default(0);     //Femenino para jugadores "especiales"
            $table->text("special_condition");                        //Condicion

            //Los jugadores juveniles y especiales pueden jugar en cualquier genero			
            $table->integer("can_young_and_special_play_any_gender")->default(0);  //Si es 0, se valida el genero de juveniles y especials, si es 1 no se valida nada.

            //Formato de la liga 	
            $table->integer("player_type_enable_male")->default(0);
            $table->integer("player_type_enable_female")->default(0);
            $table->integer("player_type_enable_mix")->default(0);
            $table->integer("player_type_enable_young")->default(0);
            $table->integer("player_type_enable_special")->default(0);

            //Tienes alguna regla especial en la integración de los equipos? (Esto aplica cuando se haya seleccionado formato de la liga mixto)
            $table->integer("number_of_male")->default(0);
            $table->integer("number_of_female")->default(0);
            $table->integer("number_of_young")->default(0);
            $table->integer("number_of_special")->default(0);


            $table->integer("number_game_by_session")->default(0);  //Cuantos juegos juegas por sesión 
            $table->integer("point_by_game")->default(0);           //Punto por juego
            $table->integer("point_by_win_serie")->default(0);       //Punto por serie ganada
            $table->integer("point_by_puntuality")->default(0);     //Punto por puntialidad

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('player_types');
    }
}
