<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreatePremiacionEachCategoriesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('premiacion_each_categories', function (Blueprint $table) {
            $table->increments('id');

            $table->integer("team_category_id");

            $table->integer("rule_for_individual_award")->default(0);                           //Tienes una regla para premios individuales
            $table->integer("how_many_games_needs_to_play_to_choose_an_award")->default(0);     //Cuantos juegos debe de jugar para ser elegible para premio 		

            //Equipos
            $table->integer("game_high_by_team")->default(0);                                   //Juego Alto por Equipo
            $table->integer("game_high_by_team_with_handicap")->default(0);                     //Juego Alto por Equipo con Handicap
            $table->integer("serie_high_by_team")->default(0);                                  //Serie Alta por Equipo
            $table->integer("serie_high_by_team_with_handicap")->default(0);                    //Serie Alta por equipo con Handicap

            //Varonil
            $table->integer("game_high_individual_male")->default(0);                           //Juego alto individual
            $table->integer("game_high_individual_male_with_handicap")->default(0);             //Juego Alto por Equipo con Handicap
            $table->integer("serie_high_individual_male")->default(0);                          //Serie Alta individual
            $table->integer("serie_high_individual_male_with_handicap")->default(0);            //Serie Alta por equipo con Handicap
            $table->integer("average_individual_male")->default(0);                             //Promedio individual Hombre

            //Femenil
            $table->integer("game_high_individual_female")->default(0);                         //Juego alto individual
            $table->integer("game_high_individual_female_with_handicap")->default(0);           //Juego Alto por Equipo con Handicap
            $table->integer("serie_high_individual_female")->default(0);                        //Serie Alta individual
            $table->integer("serie_high_individual_female_with_handicap")->default(0);          //Serie Alta por equipo con Handicap
            $table->integer("average_individual_female")->default(0);                           //Promedio individual Mujeres

            $table->integer("perfect_game")->default(0);                                        //Juego perfecto (condicionado a)


            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('premiacion_each_categories');
    }
}
