$(document).ready(function () {

    // $(this).on("keypress", "form", function (event) {
    //     if (event.target.localName != "textarea") {
    //         return event.keyCode != 13;
    //     }
    // });

    $('form', this).on('submit', function (e) {
        e.preventDefault();

        var data = new FormData(this);
        var prevent_disabled = $(this).attr("prevent-disabled");

        // if( $('#fecha_disponibilidad').length > 0 ){
        //     data.append("fecha_disponibilidad", $('#fecha_disponibilidad').multiDatesPicker('getDates'));
        // }

        var url = $(this).attr('action');

        $.ajax({
            url: url,
            type: "POST",
            dataType: "JSON",
            processData: false,
            contentType: false,
            data: data,
            beforeSend: function () {
                if (prevent_disabled != undefined) {
                    blockForm();
                }
            },
            error: function (e) {

                if (prevent_disabled != undefined) {
                    unblockForm();
                }

                $(".form-group, div").removeClass("has-danger");

                if (e.status == 422) {
                    modalErrors(JSON.parse(e.responseText));
                } else {
                    errorAlert('!Ups, algo salio mal!');
                }

            },
            success: function (response) {

                if (prevent_disabled != undefined) {
                    unblockForm();
                }

                $(".form-group, div").removeClass("has-danger");

                if (response.status == true) {

                    swal({
                        title: "¡Excelente!",
                        text: response.message,
                        type: "success",
                        showCancelButton: false,
                        confirmButtonText: "Aceptar",
                        timer: 2000,
                    }).then((willDelete) => {

                        if (response.url != "dont_reload") {
                            window.location = response.url;
                        }

                    });

                } else {
                    errorAlert(response.message);
                }
            }
        });

    });


    $(this).on("click", ".steps_form .option_tab", function (e) {

        e.preventDefault();

        var option_action = $(this).attr("option-action");
        var url = $("#check_if_route_is_enabled").val();
        var url_to_go = $(this).attr("href");
        var league_id = $("#league_id").val();

        if ($(this).hasClass("active") == false) {

            var data = {};
            data.option_action = option_action;
            data.league_id = league_id;
            $.ajax({
                url: url,
                type: "POST",
                data: data,
                dataType: "JSON",
                error: function (e) {
                    console.log(e);
                }, success: function (result) {

                    console.log(result);
                    if (!result.error) {

                        window.location.href = url_to_go;

                    } else {

                        swal({
                            title: "Mensaje",
                            text: result.message,
                            type: "error",
                            showCancelButton: false,
                            confirmButtonText: "Aceptar",
                        }).then((willDelete) => {
                        });

                    }

                }
            })

        }

    });


    $("select[custom-select='select2-tags']").select2({
        tags: true
    });


    $("select[custom-select='select2']").select2();


    if ($("input[custom-input='autocomplete']").length > 0) {
        $("input[custom-input='autocomplete']").each(function (i, obj) {

            var obj = $(obj);
            var input_autocomplete = (obj.attr("available-tags")).split(",");

            obj.autocomplete({
                source: input_autocomplete,
            });

        });
    }


    if ($("input[custom-input='date-input']").length > 0) {
        $("input[custom-input='date-input']").each(function (i, obj) {


            $(obj).mask('00/00/0000', {placeholder: "DD/MM/AAAA", selectOnFocus: true});

            $(obj).datepicker({
                language: 'es',
                autoClose: true,
                dateFormat: "dd/mm/yy",

                closeText: 'Cerrar',
                prevText: 'Anterior',
                nextText: 'Siguiente',
                currentText: 'Hoy',
                monthNames: ['Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre'],
                monthNamesShort: ['Ene', 'Feb', 'Mar', 'Abr', 'May', 'Jun', 'Jul', 'Ago', 'Sep', 'Oct', 'Nov', 'Dic'],
                dayNames: ['Domingo', 'Lunes', 'Martes', 'Miércoles', 'Jueves', 'Viernes', 'Sábado'],
                dayNamesShort: ['Dom', 'Lun', 'Mar', 'Mié', 'Juv', 'Vie', 'Sáb'],
                dayNamesMin: ['Do', 'Lu', 'Ma', 'Mi', 'Ju', 'Vi', 'Sá'],
                weekHeader: 'Sm',
                firstDay: 1,
                isRTL: false,
                showMonthAfterYear: false,
            });

            $(obj).attr("style", "opacity: 1; background-color: white;");

            // if ($(this).attr("changeYear")) {
            //
            //     $(obj).datepicker("option", "changeYear", true);
            //
            //     if ($(this).attr("range") == "future") {
            //         var current_year = new Date().getFullYear();
            //         $(obj).datepicker("option", "yearRange", current_year + ":" + (current_year + 5));
            //     }
            //
            // }

        });
    }


    //Hora
    if ($("input[custom-input='hour-input']").length > 0) {
        $("input[custom-input='hour-input']").each(function (i, obj) {

            $(obj).mask('AB:CD',
                {
                    'translation':
                        {
                            A: {pattern: /[0-2]/},
                            B: {pattern: /[0-9]/},
                            C: {pattern: /[0-5]/},
                            D: {pattern: /[0-9]/}
                        },
                    selectOnFocus: true,
                    placeholder: "00:00"
                }
            );

        });
    }


    //Celular
    if ($("input[custom-input='cellphone-input']").length > 0) {
        $("input[custom-input='cellphone-input']").each(function (i, obj) {

            $(obj).mask('000-000-0000');

        });
    }


    if ($("select[custom-input='autocomplete-list']").length > 0) {

        $("select[custom-input='autocomplete-list']").each(function (i, obj) {

            var obj = $(obj);

            var placholder = obj.attr("placeholder-search");
            var first_label = obj.attr("first-label");
            var second_label = obj.attr("second-label");

            obj.multiSelect({
                selectableHeader: "<label>" + first_label + "</label><input type='text' class='search-input' autocomplete='off' placeholder='" + placholder + "'>",
                selectionHeader: "<label>" + second_label + "</label><input type='text' class='search-input' autocomplete='off' placeholder='" + placholder + "'>",
                afterInit: function (ms) {

                    var that = this,
                        $selectableSearch = that.$selectableUl.prev(),
                        $selectionSearch = that.$selectionUl.prev(),
                        selectableSearchString = '#' + that.$container.attr('id') + ' .ms-elem-selectable:not(.ms-selected)',
                        selectionSearchString = '#' + that.$container.attr('id') + ' .ms-elem-selection.ms-selected';

                    that.qs1 = $selectableSearch.quicksearch(selectableSearchString).on('keydown', function (e) {
                        if (e.which === 40) {
                            that.$selectableUl.focus();
                            return false;
                        }
                    });

                    that.qs2 = $selectionSearch.quicksearch(selectionSearchString).on('keydown', function (e) {
                        if (e.which == 40) {
                            that.$selectionUl.focus();
                            return false;
                        }
                    });


                    var name = "selected[" + this.$element.attr("name-to-generate") + "]";
                    if ($("input[name='" + name + "']").length == 0) {
                        this.$element.parent().prepend("<input type='hidden' name='" + name + "' value='" + this.$element.val().toString() + "' />");
                    }

                    //maximum
                    if (this.$element.attr("maximum-items") != "") {
                        var name_maximum = "maximum[" + this.$element.attr("name-to-generate") + "]";
                        if ($("input[name='" + name_maximum + "']").length == 0) {
                            this.$element.parent().prepend("<input type='hidden' name='" + name_maximum + "' value='" + this.$element.attr("maximum-items") + "' />");
                        }
                    }

                },
                afterSelect: function (values) {

                    if (this.$element.attr("maximum-items") != "") {

                        var maximum_items = parseInt(this.$element.attr("maximum-items"));

                        if (this.$element.val().length >= maximum_items) {

                            this.$element.find("option").each(function () {
                                if (!this.selected) {
                                    this.disabled = true;
                                }
                            });

                            $("select[name='" + this.$element.attr("name") + "']").multiSelect("refresh");

                        }

                    }

                    var name = "selected[" + this.$element.attr("name-to-generate") + "]";
                    $("input[name='" + name + "']").val(this.$element.val());

                    this.qs1.cache();
                    this.qs2.cache();

                },
                afterDeselect: function () {

                    if (this.$element.attr("maximum-items") != "") {

                        var maximum_items = parseInt(this.$element.attr("maximum-items"));

                        if (this.$element.val().length < maximum_items) {
                            console.log("ENTRO");

                            this.$element.find("option").each(function () {
                                if (!this.selected) {
                                    this.disabled = false;
                                }
                            });

                            $("select[name='" + this.$element.attr("name") + "']").multiSelect("refresh");

                        }

                    }

                    var name = "selected[" + this.$element.attr("name-to-generate") + "]";
                    $("input[name='" + name + "']").val(this.$element.val());

                    this.qs1.cache();
                    this.qs2.cache();
                }
            });

        });

    }


});


