var dates;
var holiday_calendar;
var add_dias_festivos = new Array();

$(document).ready(function () {

    //Evento para calular las semanas
    $(this).on("change", "input[name='date_start_league'], input[name='date_end_league']", function () {
        total_weeks();
    });

    //$("input[name='date_start_league'], input[name='date_end_league']").datepicker({
    //    onSelect: function (dateText, inst) {
    //        total_weeks();
    //        change_available_dates_in_frecuency_custom();
    //    }
    //});


    //Evento para poner el minimo y maximo de fechas en caso de que la frecuencia sea custom
    $('div[name="interval_dates_calendar"]').datepicker({
        language: 'es',
        autoClose: true,
        dateFormat: "dd/mm/yyyy",
        multipleDates: true,
        multipleDatesSeparator: ",",
        onSelect: function (formattedDate, date, inst) {
            $("input[name='interval_dates']").val(formattedDate);
        }
    });


    //Evento para cuando la frecuencia sea custom
    $(this).on("change", "select[name='frecuency']", function (e) {

        var value = $(this).val();

        if (value == "intervalo_fechas") {
            $("#fechas_disponibles_input").show(250);
            $("#intervalo_semanal").hide(250);
        } else if (value == "semana") {
            $("#fechas_disponibles_input").hide(250);
            $("#intervalo_semanal").show(250);
        } else {
            $("#fechas_disponibles_input").hide(250);
            $("#intervalo_semanal").hide(250);
        }

    });


    //Inicializamos el calendario con las fechas de días festivos
    holiday_calendar = new Calendar('#dias_festivos', {
        style: 'background',
        language: 'es',
    });

    document.querySelector('#dias_festivos').addEventListener('clickDay', function (e) {

        //Verificamos si agregamos o omitimos la fecha
        if (e.events.length == 0) {
            //Agregamos la fecha
            addEvent(e.date);
        } else {
            //Omitimos la fecha
            deleteEvent(e.events[0]);
        }

    });

    setDates();

    //Mostramos el campo para cada cuantas semanas se calculará el rol de juegos
    $("#fechas_disponibles_input").hide(250);
    $("#intervalo_semanal").show(250);


});


function addEvent(dateToAdd) {

    var dataSource = holiday_calendar.getDataSource();

    var event = {
        color: "#f59696",
        id: dataSource.length,
        location: "new",
        name: "Fecha para omitir en rol de juegos",
        startDate: dateToAdd,
        endDate: dateToAdd
    };

    dataSource.push(event);
    add_dias_festivos.push(dateToAdd.toLocaleDateString('es-MX', {
        day: '2-digit',
        month: '2-digit',
        year: 'numeric',
    }));

    holiday_calendar.setDataSource(dataSource);

    set_date_in_input();
}


function setDates() {

    dates = $("input[name='set_dias_festivos']").val();
    dates = JSON.parse(dates);

    var dataSource = holiday_calendar.getDataSource();

    $.each(dates, function (i, val) {

        var parts = i.split('-');
        i = new Date(parts[0], parts[1] - 1, parts[2]);

        var start_date = new Date(i);
        var end_date = new Date(i);

        var event = {
            color: "#eabcbc",
            id: dataSource.length,
            location: "catalog",
            name: val,
            startDate: start_date,
            endDate: end_date
        };

        dataSource.push(event);

    });

    holiday_calendar.setDataSource(dataSource);

}


function deleteEvent(event) {


    if (event.location == "new") {

        //Eliminamos el evento
        var dataSource = holiday_calendar.getDataSource();

        dataSource = dataSource.filter(function (obj) {
            return (obj.id !== event.id);
        });

        holiday_calendar.setDataSource(dataSource);


        //Eliminamos la fecha del array interno
        var date_to_delete = event.startDate.toLocaleDateString('es-MX', {
            day: '2-digit',
            month: '2-digit',
            year: 'numeric',
        });

        var new_dates_to_disable = add_dias_festivos.filter(function (obj) {
            return (obj !== date_to_delete);
        });

        add_dias_festivos = new_dates_to_disable;

        set_date_in_input();
    }

}


function set_date_in_input() {

    $("input[name='add_dias_festivos']").val(add_dias_festivos.join(","));

}


function total_weeks() {

    var date_start_league = moment($("input[name='date_start_league']").val(), "DD/MM/YYYY");
    var date_end_league = moment($("input[name='date_end_league']").val(), "DD/MM/YYYY");

    if (date_start_league.toDate() != "Invalid Date" && date_end_league.toDate() != "Invalid Date") {
        var weeks_total = Math.abs(date_start_league.diff(date_end_league, 'weeks'));
        $("input[name='weeks_total']").val(weeks_total);
    }

}


function change_available_dates_in_frecuency_custom() {

    var date_start_league = moment($("input[name='date_start_league']").val(), "DD/MM/YYYY").toDate();
    var date_end_league = moment($("input[name='date_end_league']").val(), "DD/MM/YYYY").toDate();

    $("div[name='interval_dates_calendar']").datepicker({
        minDate: date_start_league,
        maxDate: date_end_league,
    });

}


function add_contact() {

    var contact_input = "";
    contact_input += '<div class="row">';
    contact_input += '  <div class="col-md-2">';
    contact_input += '    <div class="form-group">';
    contact_input += '        <label>Rol</label>';
    contact_input += '        <input type="text" class="form-control" value="" name="role[]">';
    contact_input += '    </div>';
    contact_input += '  </div>';
    contact_input += '  <div class="col-md-4">';
    contact_input += '    <div class="form-group">';
    contact_input += '        <label>Nombre</label>';
    contact_input += '        <input type="text" class="form-control" value="" name="name_complete[]">';
    contact_input += '    </div>';
    contact_input += '  </div>';
    contact_input += '  <div class="col-md-2">';
    contact_input += '    <div class="form-group">';
    contact_input += '        <label>Celular</label>';
    contact_input += '        <input type="phone" class="form-control" value="" name="cellphone[]">';
    contact_input += '    </div>';
    contact_input += '  </div>';
    contact_input += '  <div class="col-md-3">';
    contact_input += '    <div class="form-group">';
    contact_input += '        <label>Correo</label>';
    contact_input += '        <input type="email" class="form-control" value="" name="email[]">';
    contact_input += '    </div>';
    contact_input += '  </div>';
    contact_input += '  <div class="col-md-1 text-right">';
    contact_input += '    <div class="form-group">';
    contact_input += '      <label class="w-100">&nbsp;</label>';
    contact_input += '      <button class="btn-danger btn" onclick="$(this).parent().parent().parent().remove();"><i class="fas fa-user-minus"></i></button>';
    contact_input += '    </div>';
    contact_input += '  </div>';
    contact_input += '</div>';

    $("#contactos_list").append(contact_input);
}


function select_all_week_days() {

    $("input[name='lunes']").prop('checked', true);
    $("input[name='martes']").prop('checked', true);
    $("input[name='miercoles']").prop('checked', true);
    $("input[name='jueves']").prop('checked', true);
    $("input[name='viernes']").prop('checked', true);
    $("input[name='sabado']").prop('checked', true);
    $("input[name='domingo']").prop('checked', true);

}