@extends('back.layout.dashboard')

@section('contentTitle', 'Alta de nuevo jugador')

@section('topButton')
    <a href="{{ route('jugador_index') }}" class="m-l-15">
        <button type="button" class="btn btn-info d-none d-lg-block"><i class="fas fa-chevron-left"></i> Regresar</button>
    </a>
@stop

@section('content_dashboard')

    <div class="row">
        <div class="col-sm-12">
            <div class="card card-body">

                {{ Form::open(['route' => 'jugador.store', 'class' => 'form-horizontal']) }}
                <div class="row">
                    <div class="col-md-4">
                        <div class="form-group">
                            <label>* Nombre(s)</label>
                            <input type="text" class="form-control text-uppercase" value="" name="name">
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label>Apellido paterno</label>
                            <input type="text" class="form-control text-uppercase" value="" name="last_name">
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label>Apellido materno</label>
                            <input type="text" class="form-control text-uppercase" value="" name="second_last_name">
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-4">
                        <div class="form-group">
                            <label>Alias</label>
                            <input type="text" class="form-control " value="" name="nickname">
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label>* Fecha de nacimiento</label> <br>
                            <input type="text" class="form-control text-center col-md-6" custom-input='date-input' value="" name="birthday">
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label>* Genero</label> <br>
                            <select class="form-control" style="vertical-align: top;" name="gender">
                                <option value="male" selected>Masculio</option>
                                <option value="female">Femenino</option>
                            </select>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-4">
                        <div class="form-group">
                            <label>Ciudad</label>
                            <input type="text" class="form-control" value="" name="city">
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label>Estado</label>
                            <input type="text" class="form-control" value="" name="state">
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label>País</label>
                            <input type="text" class="form-control" value="" name="country">
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label>Nacionalidad</label>
                            <input type="text" class="form-control" value="" name="nationality">
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label>Segunda nacionalidad</label>
                            <input type="text" class="form-control" value="" name="nationality_second">
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label>Ciudad de residencia </label>
                            <input type="text" class="form-control" value="" name="residence_city">
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-4">
                        <div class="form-group">
                            <label>Celular</label>
                            <input type="tel" class="form-control" custom-input='cellphone-input' value="" name="cellphone">
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label>* Correo electrónico</label>
                            <input type="text" class="form-control" value="" name="email">
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label>* ¿Jugador especial?</label>
                            <select class="form-control" style="vertical-align: top;" name="special">
                                <option value="0" selected>No</option>
                                <option value="1">Si</option>
                            </select>
                        </div>
                    </div>
                </div>

                <div class="row">
                    <div class="col-md-4">
                        <div class="form-group">
                            <label>Contraseña</label>
                            <input type="password" class="form-control" value="" name="password">
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label>Nip</label>
                            <input type="text" class="form-control"  maxlength="4" value="" name="nip">
                        </div>
                    </div>
                </div>

                <button type="submit" class="btn btn-primary">Guardar</button>

                {{ Form::close() }}

            </div>
        </div>
    </div>

@stop

@section('JS')
    {{ Html::script('system/js/form.js')  }}
@stop
