@extends('back.layout.dashboard')

@section('contentTitle', 'Edición de jugador')

@section('topButton')
    <a href="{{ route('jugador_index') }}" class="m-l-15">
        <button type="button" class="btn btn-info d-none d-lg-block"><i class="fas fa-chevron-left"></i> Regresar</button>
    </a>
@stop

@section('content_dashboard')

    <div class="row">
        <div class="col-sm-12">
            <div class="card card-body">

                {{ Form::open(['route' => array('jugador.update', base64_encode($data->id)), 'class' => 'form-horizontal']) }}

                <div class="row">
                    <div class="col-md-4">
                        <div class="form-group">
                            <label>* Nombre(s)</label>
                            <input type="text" class="form-control text-uppercase" value="{{ $data->name }}" name="name">
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label>Apellido paterno</label>
                            <input type="text" class="form-control text-uppercase" value="{{ $data->last_name }}" name="last_name">
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label>Apellido materno</label>
                            <input type="text" class="form-control text-uppercase" value="{{ $data->second_last_name }}" name="second_last_name">
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-4">
                        <div class="form-group">
                            <label>Alias</label>
                            <input type="text" class="form-control " value="{{ $data->nickname }}" name="nickname">
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label>* Fecha de nacimiento</label> <br>
                            <input type="text" class="form-control text-center col-md-6" custom-input='date-input' value="{{ date("d/m/Y", strtotime($data->birthday)) }}" name="birthday">
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label>* Genero</label> <br>
                            <select class="form-control" value="{{ $data->gender }}" style="vertical-align: top;{{ $data->gender }}" name="gender">
                               
                                @if (  $data->gender == "male" )
                                    <option selected value="male">Masculino</option>
                                    <option value="female">Femenino</option>
                                @else
                                    <option value="male">Masculino</option>
                                    <option selected value="female">Femenino</option>
                                @endif

                            </select>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-4">
                        <div class="form-group">
                            <label>Ciudad</label>
                            <input type="text" class="form-control" value="{{ $data->city }}" name="city">
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label>Estado</label>
                            <input type="text" class="form-control" value="{{ $data->state }}" name="state">
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label>País</label>
                            <input type="text" class="form-control" value="{{ $data->country }}" name="country">
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label>Nacionalidad</label>
                            <input type="text" class="form-control" value="{{ $data->nationality }}" name="nationality">
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label>Segunda nacionalidad</label>
                            <input type="text" class="form-control" value="{{ $data->nationality_second }}" name="nationality_second">
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label>Ciudad de residencia </label>
                            <input type="text" class="form-control" value="{{ $data->residence_city }}" name="residence_city">
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-4">
                        <div class="form-group">
                            <label>Celular</label>
                            <input type="tel" class="form-control" custom-input='cellphone-input' value="{{ $data->cellphone }}" name="cellphone">
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label>* Correo electrónico</label>
                            <input type="text" class="form-control" value="{{ $data->email }}" name="email">
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label>* ¿Jugador especial?</label>
                            <select class="form-control" style="vertical-align: top;" name="special">
                                <option value="0" {{ ($data->special == 0) ? "selected" : "" }}>No</option>
                                <option value="1" {{ ($data->special == 1) ? "selected" : "" }}>Si</option>
                            </select>
                        </div>
                    </div>
                </div>

                <div class="row">
                    <div class="col-md-4">
                        <div class="form-group">
                            <label>Contraseña</label>
                            <input type="password" value="" class="form-control" value="" name="password">
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label>Nip</label>
                            <input type="text" class="form-control" value="{{ $data->nip }}" maxlength="4" value="" name="nip">
                        </div>
                    </div>
                </div>

                <button type="submit" class="btn btn-primary">Guardar</button>

                {{ Form::close() }}

            </div>
        </div>
    </div>

@stop

@section('JS')
    {{ Html::script('system/js/form.js')  }}
@stop
