@extends('back.layout.dashboard')

@section('contentTitle', 'Configuración de liga')

@section('topButton')
    <a href="{{ route('league_index') }}" class="m-l-15">
        <button type="button" class="btn btn-info d-none d-lg-block"><i class="fas fa-chevron-left"></i> Regresar</button>
    </a>
@stop

@section('content_dashboard')

    @include("back.league.top_header_tabs", ["league" => $league])

    <div class="sections_step_forms">

        <div class="content_tab informacion_principal">

            {{ Form::open(['route' => array('category_rules.store', $league->id), 'class' => 'form-horizontal']) }}

            <div class="row">
                <div class="col-sm-12">
                    <div class="card card-body m-b-0">

                        <h4 class="card-title">Reglas de categorias y equipos</h4>
                        <h5 class="card-subtitle">Especificación de reglas por categorías y equipos que componen la liga</h5>

                        <div class="row">
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>* Máximo número de integrantes por equipo</label><br>
                                    <input type="number" value="" class="form-control col-md-4" name="maximum_players_by_team">
                                </div>
                            </div>
                        </div>

                        <hr>
                        <br>

                        <h4 class="card-title">Equipos</h4>

                        <div class="row">

                            @foreach($league->get_team_and_category_specification->get_categories as $key => $categoryes)

                                <div class="col-md-6 category_team_list m-b-30">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <h5 class="card-subtitle text-left">{{ $categoryes->name }}</h5>
                                        </div>
                                        <div class="col-md-12">
                                            @for($i = 0; $i < $categoryes->total_teams_in_category; $i++)
                                                <div class="row">
                                                    <div class="col-md-12">
                                                        <div class="form-group category_rules.create">
                                                            <label>Equipo {{ $i+1 }}</label> <br>
                                                            {!! Form::select("team_name[".$categoryes->id."][]", $teams, null, ['class' => 'form-control', 'placeholder' => "Selecciona equipo", 'custom-select' => 'select2']) !!}
                                                        </div>
                                                    </div>
                                                </div>
                                            @endfor

                                            {{--Verificamos si agregamos el equipo DUMMY--}}
                                            @if($categoryes->total_teams_in_category & 2 != 0)
                                                <div class="row">
                                                    <div class="col-md-12">
                                                        <div class="form-group category_rules.create">
                                                            <label>Equipo {{ $i+1 }}</label> <br>
                                                            {!! Form::select("team_name[".$categoryes->id."][]", [39 => "DUMMY"], 39, ['class' => 'form-control', 'custom-select' => 'select2']) !!}
                                                        </div>
                                                    </div>
                                                </div>
                                            @endif

                                        </div>
                                    </div>
                                </div>




                                {{--
                                <div class="col-md-12 category_team_list m-b-30">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <h5 class="card-subtitle text-left">{{ $categoryes->name }}</h5>
                                        </div>
                                        <div class="col-md-12">
                                            <div class="row">
                                                <input type="hidden" name="team_name_label[{{ $categoryes->id }}]" value="{{ $categoryes->name }}">
                                                {!! Form::select('team_name['.$categoryes->id.']', $teams, null, ['class' => 'form-control', 'custom-input' => 'autocomplete-list',  'multiple' => 'multiple', 'placeholder-search' => "Buscar equipo...", 'first-label' => "Equipos registrados", 'second-label' => "Equipos en categoría", "maximum-items" => $categoryes->total_teams_in_category, "name-to-generate"  => $categoryes->id]) !!}
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                --}}

                            @endforeach

                        </div>

                        <div class="row">
                            <div class="col-md-12 text-right">
                                <br><br>
                                <button type="submit" class="btn btn-primary">Siguiente</button>
                            </div>
                        </div>


                    </div>
                </div>
            </div>

            {{ Form::close() }}

        </div>

    </div>

@stop

@section('JS')
    {{ Html::script('system/js/form.js')  }}
    {{ Html::script('system/category_rules/create.js')  }}
@stop
