@extends('back.layout.dashboard')

@section('contentTitle', 'Configuración de liga')

@section('topButton')
    <a href="{{ route('league_index') }}" class="m-l-15">
        <button type="button" class="btn btn-info d-none d-lg-block"><i class="fas fa-chevron-left"></i> Regresar</button>
    </a>
@stop

@section("CSS")
    <link href="https://unpkg.com/bootstrap-switch/dist/css/bootstrap3/bootstrap-switch.css" rel="stylesheet">
@endsection

@section('content_dashboard')

    @include("back.league.top_header_tabs", ["league" => $league])

    <div class="sections_step_forms">

        <div class="content_tab informacion_principal">

            {{ Form::open(['route' => array('handicap.update', $league->id), 'class' => 'form-horizontal']) }}

            <div class="row">
                <div class="col-sm-12">
                    <div class="card card-body m-b-0">

                        <h4 class="card-title">Handicap</h4>
                        <h5 class="card-subtitle">Handicap de la liga</h5>
                        
                        <h5 class="card-subtitle">Regla 1</h5>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>* Cuantos juegos debe de realizar en la primer semana</label><br>
                                    <input type="number" value="{{ $handycap->news_players_how_many_games_play_on_first_week }}" class="form-control col-md-4" name="news_players_how_many_games_play_on_first_week">
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>* Retroactivo a la primer semana</label><br>
                                    {{-- <input type="number" value="" class="form-control col-md-4" name="retroactivo"> --}}
                                    <div class="col-lg-4">
                                        <div class="col-sm-6 col-lg-4">
                            
                                            <p>
                                                <input id="switch-size" type="checkbox" name="retroactivo" checked="checked" data-size="mini">
                                            </p>
                                        
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <br>

                        <h5 class="card-subtitle">Regla 2</h5>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>* Cuantos juegos debe de jugar un jugador para obtener su Handicap</label><br>
                                    <input type="number" value="{{ $handycap->how_many_games_to_get_new_handicap }}" class="form-control col-md-4" name="how_many_games_to_get_new_handicap">
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>* Semanas para completar sus juegos</label><br>
                                    <input type="number" value="{{ $handycap->weeks_to_complete_games }}" class="form-control col-md-4" name="weeks_to_complete_games">
                                </div>
                            </div>
                        </div>

                        <hr>
                        <br>

                        <h4 class="card-title">Configuración de handicap</h4>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>* Cuantos dummy permites por equipo</label><br>
                                    <input type="number" value="{{ $handycap->dummy_by_team }}" class="form-control col-md-4" name="dummy_by_team">
                                </div>
                            </div>
                        </div>

                        <br>

                        <h4 class="card-title">Configuración por categorías</h4>

                        <div class="row">
                            @foreach($league->get_team_and_category_specification->get_categories as $categoryes)
                                <div class="col-md-12">
                                    <h5 class="card-title">{{ $categoryes->name }}</h5>
                                </div>

                                {{--Normal--}}
                                <div class="col-md-6 m-b-30">

                                    <div class="row">
                                        <div class="col-md-12">
                                            <h5 class="card-subtitle">Normal</h5>
                                        </div>

                                        {{--Header--}}
                                        <div class="col-md-6">
                                            <div class="row">
                                                <div class="col-md-4 m-b-5">
                                                    Base
                                                </div>
                                                <div class="col-md-8 m-b-5">
                                                    <input type="number" class="form-control text-right" name="configuration_by_category[{{ $categoryes->id }}][base_normal]" placeholder="* Pinos" value="{{ $categoryes->get_handicap["base_normal"] }}">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-6 text-center">
                                            Tope
                                        </div>

                                        {{--Hombre--}}
                                        <div class="col-md-6">
                                            <div class="row">
                                                <div class="col-md-4 m-b-5">
                                                    Hombre
                                                </div>
                                                <div class="col-md-8 m-b-5">
                                                    <div class="input-group">
                                                        <input type="number" class="form-control text-right" placeholder="" aria-label="" aria-describedby="basic-addon2" name="configuration_by_category[{{ $categoryes->id }}][male_normal]" value="{{ $categoryes->get_handicap["male_normal"] }}">
                                                        <div class="input-group-append">
                                                            <span class="input-group-text" id="basic-addon2">%</span>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="row">
                                                <div class="col-md-8 offset-md-2 m-b-5">
                                                    <div class="input-group">
                                                        <input type="number" class="form-control text-right" placeholder="" name="configuration_by_category[{{ $categoryes->id }}][male_normal_tope]" value="{{ $categoryes->get_handicap["male_normal_tope"] }}">
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                        {{--Mujer--}}
                                        <div class="col-md-6">
                                            <div class="row">
                                                <div class="col-md-4 m-b-5">
                                                    Mujer
                                                </div>
                                                <div class="col-md-8 m-b-5">
                                                    <div class="input-group">
                                                        <input type="number" class="form-control text-right" placeholder="" aria-label="" aria-describedby="basic-addon2" name="configuration_by_category[{{ $categoryes->id }}][female_normal]" value="{{ $categoryes->get_handicap["female_normal"] }}">
                                                        <div class="input-group-append">
                                                            <span class="input-group-text" id="basic-addon2">%</span>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="row">
                                                <div class="col-md-8 offset-md-2 m-b-5">
                                                    <div class="input-group">
                                                        <input type="number" class="form-control text-right" placeholder="" name="configuration_by_category[{{ $categoryes->id }}][female_normal_tope]" value="{{ $categoryes->get_handicap["female_normal_tope"] }}">
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                        {{--Juvenil--}}
                                        <div class="col-md-6">
                                            <div class="row">
                                                <div class="col-md-4 m-b-5">
                                                    Juvenil
                                                </div>
                                                <div class="col-md-8 m-b-5">
                                                    <div class="input-group">
                                                        <input type="number" class="form-control text-right" placeholder="" aria-label="" aria-describedby="basic-addon2" name="configuration_by_category[{{ $categoryes->id }}][juvenil_normal]" value="{{ $categoryes->get_handicap["juvenil_normal"] }}">
                                                        <div class="input-group-append">
                                                            <span class="input-group-text" id="basic-addon2">%</span>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="row">
                                                <div class="col-md-8 offset-md-2 m-b-5">
                                                    <div class="input-group">
                                                        <input type="number" class="form-control text-right" placeholder="" name="configuration_by_category[{{ $categoryes->id }}][juvenil_normal_tope]" value="{{ $categoryes->get_handicap["juvenil_normal_tope"] }}">
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                        {{--Especial--}}
                                        <div class="col-md-6">
                                            <div class="row">
                                                <div class="col-md-4 m-b-5">
                                                    Especial
                                                </div>
                                                <div class="col-md-8 m-b-5">
                                                    <div class="input-group">
                                                        <input type="number" class="form-control text-right" placeholder="" aria-label="" aria-describedby="basic-addon2" name="configuration_by_category[{{ $categoryes->id }}][especial_normal]" value="{{ $categoryes->get_handicap["especial_normal"] }}">
                                                        <div class="input-group-append">
                                                            <span class="input-group-text" id="basic-addon2">%</span>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="row">
                                                <div class="col-md-8 offset-md-2 m-b-5">
                                                    <div class="input-group">
                                                        <input type="number" class="form-control text-right" placeholder="" name="configuration_by_category[{{ $categoryes->id }}][especial_normal_tope]" value="{{ $categoryes->get_handicap["especial_normal_tope"] }}">
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                </div>



                                {{--Dummy--}}
                                <div class="col-md-6 m-b-30">

                                    <div class="row">
                                        <div class="col-md-12">
                                            <h5 class="card-subtitle">Dummy</h5>
                                        </div>

                                        {{--Header--}}
                                        <div class="col-md-6">
                                            <div class="row">
                                                <div class="col-md-4 m-b-5">
                                                    Equipo
                                                </div>
                                                <div class="col-md-8 m-b-5">
                                                    <input type="number" class="form-control text-right" name="configuration_by_category[{{ $categoryes->id }}][base_dummy]" placeholder="* Pinos" value="{{ $categoryes->get_handicap["base_dummy"] }}">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-6 text-center">
                                        </div>

                                        {{--Hombre--}}
                                        <div class="col-md-12">
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="row">
                                                        <div class="col-md-4 m-b-5">
                                                            Hombre
                                                        </div>
                                                        <div class="col-md-8 m-b-5">
                                                            <input type="number" class="form-control text-right" name="configuration_by_category[{{ $categoryes->id }}][male_limit_dummy]" placeholder="* Límite de pinos" value="{{ $categoryes->get_handicap["male_limit_dummy"] }}">
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                        {{--Mujer--}}
                                        <div class="col-md-12">
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="row">
                                                        <div class="col-md-4 m-b-5">
                                                            Mujer
                                                        </div>
                                                        <div class="col-md-8 m-b-5">
                                                            <input type="number" class="form-control text-right" name="configuration_by_category[{{ $categoryes->id }}][female_limit_dummy]" placeholder="* Límite de pinos" value="{{ $categoryes->get_handicap["female_limit_dummy"] }}">
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                        {{--Juvenil--}}
                                        <div class="col-md-12">
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="row">
                                                        <div class="col-md-4 m-b-5">
                                                            Juvenil
                                                        </div>
                                                        <div class="col-md-8 m-b-5">
                                                            <input type="number" class="form-control text-right" name="configuration_by_category[{{ $categoryes->id }}][juvenil_limit_dummy]" placeholder="* Límite de pinos" value="{{ $categoryes->get_handicap["juvenil_limit_dummy"] }}">
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                        {{--Especial--}}
                                        <div class="col-md-12">
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="row">
                                                        <div class="col-md-4 m-b-5">
                                                            Especial
                                                        </div>
                                                        <div class="col-md-8 m-b-5">
                                                            <input type="number" class="form-control text-right" name="configuration_by_category[{{ $categoryes->id }}][especial_limit_dummy]" placeholder="* Límite de pinos" value="{{ $categoryes->get_handicap["especial_limit_dummy"] }}">
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                    </div>

                                </div>

                                <div class="col-lg-6 col-md-6 m-b-30">

                                    <div class="row">
                                        
                                        <div class="col-md-12">
                                            <h5 class="card-subtitle">Condición especial por promedio</h5>
                                        </div>
                                        
                                        <div class="col-lg-8">
                                            
                                            <div class="row" style="margin-bottom: 10px;">
                                                <div class="col-md-3 col-lg-3 m-b-5">
                                                    
                                                </div>
                                                <div class="col-md-3 col-lg-3 m-b-5">
                                                    Promedio
                                                </div>
                                                <div class="col-md-3 col-lg-3 m-b-5">
                                                    Condición
                                                </div>
                                                <div class="col-md-3 col-lg-3 m-b-5">
                                                    Hándicap
                                                </div>
                                            </div>
                                            
                                            <div class="row">
                                                <div class="col-md-3 col-lg-3 m-b-5">
                                                    Hombre
                                                </div>
                                                <div class="col-md-3 col-lg-3 m-b-5">
                                                    <input type="number" class="form-control text-right" name="configuration_by_category[{{ $categoryes->id }}][hombre_prom_cond_esp]" placeholder="Limite de promedio" value="{{ $categoryes->get_handicap["hombre_prom_cond_esp"] }}">
                                                </div>
                                                <div class="col-md-3 col-lg-3 m-b-5">
                                                    <select name="configuration_by_category[{{ $categoryes->id }}][hombre_condicion_prom_cond_esp]" id="" class="form-control">
                                                        <option value=""></option>
                        
                                                        <option value="1" {{ $categoryes->get_handicap["hombre_condicion_prom_cond_esp"] == 1 ? 'selected="selected"' : '' }} >Menor o igual</option>
                                                        <option value="2" {{ $categoryes->get_handicap["hombre_condicion_prom_cond_esp"] == 2 ? 'selected="selected"' : '' }}>Menor que</option>
                                                        <option value="3" {{ $categoryes->get_handicap["hombre_condicion_prom_cond_esp"] == 3 ? 'selected="selected"' : '' }}>Igual que</option>
                                                        <option value="4" {{ $categoryes->get_handicap["hombre_condicion_prom_cond_esp"] == 4 ? 'selected="selected"' : '' }}>Mayor o igual</option>
                                                        <option value="5" {{ $categoryes->get_handicap["hombre_condicion_prom_cond_esp"] == 5 ? 'selected="selected"' : '' }}>Mayor que</option>
                                                    </select>
                                                </div>

                                                <div class="col-md-3 col-lg-3 m-b-5">
                                                    <input type="number" class="form-control text-right" name="configuration_by_category[{{ $categoryes->id }}][hombre_hc_cond_esp]" placeholder="Limite de promedio" value="{{ $categoryes->get_handicap["hombre_hc_cond_esp"] }}">
                                                </div>
                                                
                                            </div>

                                            <div class="row">
                                                <div class="col-md-3 m-b-5">
                                                    Mujer
                                                </div>
                                                <div class="col-md-3 col-lg-3 m-b-5">
                                                    <input type="number" class="form-control text-right" name="configuration_by_category[{{ $categoryes->id }}][mujer_prom_cond_esp]" placeholder="* Límite de promedio" value="{{ $categoryes->get_handicap["mujer_prom_cond_esp"] }}">
                                                </div>
                                                <div class="col-md-3 col-lg-3 m-b-5">
                                                    <select name="configuration_by_category[{{ $categoryes->id }}][mujer_condicion_prom_cond_esp]" id="" class="form-control">
                                                        <option value=""></option>
                                                        
                                                        <option value="1" {{ $categoryes->get_handicap["mujer_condicion_prom_cond_esp"] == 1 ? 'selected="selected"' : '' }}>Menor o igual</option>
                                                        <option value="2" {{ $categoryes->get_handicap["mujer_condicion_prom_cond_esp"] == 2 ? 'selected="selected"' : '' }}>Menor que</option>
                                                        <option value="3" {{ $categoryes->get_handicap["mujer_condicion_prom_cond_esp"] == 3 ? 'selected="selected"' : '' }}>Igual que</option>
                                                        <option value="4" {{ $categoryes->get_handicap["mujer_condicion_prom_cond_esp"] == 4 ? 'selected="selected"' : '' }}>Mayor o igual</option>
                                                        <option value="5" {{ $categoryes->get_handicap["mujer_condicion_prom_cond_esp"] == 5 ? 'selected="selected"' : '' }}>Mayor que</option>
                                                    </select>
                                                </div>
                                                
                                                <div class="col-md-3 col-lg-3 m-b-5">
                                                    <input type="number" class="form-control text-right" name="configuration_by_category[{{ $categoryes->id }}][mujer_hc_cond_esp]" placeholder="Limite de promedio" value="{{ $categoryes->get_handicap["mujer_hc_cond_esp"] }}">
                                                </div>

                                            </div>

                                            <div class="row">
                                                <div class="col-md-3 m-b-5">
                                                    Juvenil
                                                </div>
                                                <div class="col-md-3 m-b-5">
                                                    <input type="number" class="form-control text-right" name="configuration_by_category[{{ $categoryes->id }}][juvenil_prom_cond_esp]" placeholder="* Límite de pinos" value="{{ $categoryes->get_handicap["juvenil_prom_cond_esp"] }}">
                                                </div>
                                                <div class="col-md-3 col-lg-3 m-b-5">
                                                    <select name="configuration_by_category[{{ $categoryes->id }}][juvenil_condicion_prom_cond_esp]" id="" class="form-control">
                                                        <option value=""></option>
                                                        <option value="1" {{ $categoryes->get_handicap["juvenil_condicion_prom_cond_esp"] == 1 ? 'selected="selected"' : '' }}>Menor o igual</option>
                                                        <option value="2" {{ $categoryes->get_handicap["juvenil_condicion_prom_cond_esp"] == 1 ? 'selected="selected"' : '' }}>Menor que</option>
                                                        <option value="3" {{ $categoryes->get_handicap["juvenil_condicion_prom_cond_esp"] == 1 ? 'selected="selected"' : '' }}>Igual que</option>
                                                        <option value="4" {{ $categoryes->get_handicap["juvenil_condicion_prom_cond_esp"] == 1 ? 'selected="selected"' : '' }}>Mayor o igual</option>
                                                        <option value="5" {{ $categoryes->get_handicap["juvenil_condicion_prom_cond_esp"] == 1 ? 'selected="selected"' : '' }}>Mayor que</option>
                                                    </select>
                                                </div>
                                                <div class="col-md-3 col-lg-3 m-b-5">
                                                    <input type="number" class="form-control text-right" name="configuration_by_category[{{ $categoryes->id }}][juvenil_hc_cond_esp]" placeholder="Limite de promedio" value="{{ $categoryes->get_handicap["juvenil_hc_cond_esp"] }}">
                                                </div>
                                            </div>

                                            <div class="row">
                                                <div class="col-md-3 m-b-5">
                                                    Especial
                                                </div>
                                                
                                                <div class="col-md-3 m-b-5">
                                                    <input type="number" class="form-control text-right" name="configuration_by_category[{{ $categoryes->id }}][especial_prom_cond_esp]" placeholder="* Límite de pinos" value="{{ $categoryes->get_handicap["especial_prom_cond_esp"] }}">
                                                </div>
                                                
                                                <div class="col-md-3 col-lg-3 m-b-5">
                                                    <select name="configuration_by_category[{{ $categoryes->id }}][especial_condicion_prom_cond_esp]" id="" class="form-control">
                                                        <option value=""></option>
                                                        <option value="1" {{ $categoryes->get_handicap["especial_condicion_prom_cond_esp"] == 1 ? 'selected="selected"' : '' }}>Menor o igual</option>
                                                        <option value="2" {{ $categoryes->get_handicap["especial_condicion_prom_cond_esp"] == 2 ? 'selected="selected"' : '' }}>Menor que</option>
                                                        <option value="3" {{ $categoryes->get_handicap["especial_condicion_prom_cond_esp"] == 3 ? 'selected="selected"' : '' }}>Igual que</option>
                                                        <option value="4" {{ $categoryes->get_handicap["especial_condicion_prom_cond_esp"] == 4 ? 'selected="selected"' : '' }}>Mayor o igual</option>
                                                        <option value="5" {{ $categoryes->get_handicap["especial_condicion_prom_cond_esp"] == 5 ? 'selected="selected"' : '' }}>Mayor que</option>
                                                    </select>
                                                </div>
                                                
                                                <div class="col-md-3 col-lg-3 m-b-5">
                                                    <input type="number" class="form-control text-right" name="configuration_by_category[{{ $categoryes->id }}][especial_hd_cond_esp]" placeholder="Limite de promedio" value="{{ $categoryes->get_handicap["especial_hd_cond_esp"] }}">
                                                </div>

                                            </div>

                                        </div>

                                        <div class="col-lg-4">

                                            <div class="row" style="margin-bottom: 35px;">
                                                <div class="col-md-6 col-lg-6 m-b-5">
                                                    
                                                </div>
                                            </div>

                                            <div class="row" style="margin-bottom: 20px;">

                                                <div class="col-md-12 m-b-5">
                                                    
                                                    <div class="checkbox">
                                                        <label>
                                                            <input type="checkbox" id="aplica_hombre" name="aplica_hombre" value="{{ $categoryes->get_handicap["hombre_aplica_cond_esp"] }}" class="no-asisitio"> Aplica
                                                        </label>
                                                    </div>

                                                </div>

                                            </div>

                                            <div class="row" style="margin-bottom: 20px;">

                                                <div class="col-md-12 m-b-5">
                                                    
                                                    <div class="checkbox">
                                                        <label>
                                                            <input type="checkbox" id="aplica_mujer" name="aplica_mujer" value="{{ $categoryes->get_handicap["mujer_aplica_cond_esp"] }}" class="no-asisitio"> Aplica
                                                        </label>
                                                    </div>

                                                </div>

                                            </div>

                                            <div class="row" style="margin-bottom: 20px;">

                                                <div class="col-md-12 m-b-5">
                                                    
                                                    <div class="checkbox">
                                                        <label>
                                                            <input type="checkbox" id="aplica_juvenil" name="aplica_juvenil" value="{{ $categoryes->get_handicap["juvenil_aplica_cond_esp"] }}" class="no-asisitio"> Aplica
                                                        </label>
                                                    </div>

                                                </div>

                                            </div>

                                            <div class="row" style="margin-bottom: 20px;">

                                                <div class="col-md-12 m-b-5">
                                                    
                                                    <div class="checkbox" id="">
                                                        <label>
                                                            <input type="checkbox" id="aplica_especial" name="aplica_especial" value="{{ $categoryes->get_handicap["especial_aplica_cond_esp"] }}" class="no-asisitio"> Aplica
                                                        </label>
                                                    </div>

                                                </div>

                                            </div>
                                            
                                        </div>

                                    </div>
                                </div>

                            @endforeach
                        </div>

                        <div class="row">
                            <div class="col-md-12 text-right">
                                <br><br>
                                <button type="submit" class="btn btn-primary">Guardar</button>
                            </div>
                        </div>

                    </div>


                </div>
            </div>
        </div>

        {{ Form::close() }}

    </div>

    </div>

@stop

@section('JS')

    {{ Html::script('system/js/form.js')  }}
    {{ Html::script('system/category_rules/edit.js')  }}

    <script src="https://unpkg.com/bootstrap-switch@3.4.0/dist/js/bootstrap-switch.js"></script>

    <script>

        var hombre_aplica_cond_esp   = "{{ $categoryes->get_handicap['hombre_aplica_cond_esp'] }}";
        var mujer_aplica_cond_esp    = "{{ $categoryes->get_handicap['mujer_aplica_cond_esp'] }}";
        var juvenil_aplica_cond_esp  = "{{ $categoryes->get_handicap['juvenil_aplica_cond_esp'] }}";
        var especial_aplica_cond_esp = "{{ $categoryes->get_handicap['especial_aplica_cond_esp'] }}";
        var retroactivo = "{{ $handycap->retroactivo }}";
        
        if( retroactivo == 1 ){
            $("#switch-size").bootstrapSwitch('state', 1);
        }else{
            $("#switch-size").bootstrapSwitch('state', 0);
        }        

        console.log( especial_aplica_cond_esp );

        $("#aplica_hombre").click(function(){

            var check = $("#aplica_hombre").is(":checked");

            if( check ){
                $("#aplica_hombre").val("1");
                
            }else{
                $("#aplica_hombre").val("0");                
            }

        });

        $("#aplica_mujer").click(function(){

            var check = $("#aplica_mujer").is(":checked");

            if( check ){
                $("#aplica_mujer").val("1");
            }else{
                $("#aplica_mujer").val("0");
            }

        });  
        
        $("#aplica_juvenil").click(function(){

            var check = $("#aplica_juvenil").is(":checked");

            if( check ){
                $("#aplica_juvenil").val("1");
            }else{
                $("#aplica_juvenil").val("0");
            }

        });          

        $("#aplica_especial").click(function(){

            var check = $("#aplica_especial").is(":checked");

            if( check ){
                $("#aplica_especial").val("1");
            }else{
                $("#aplica_especial").val("0");
            }

        });        


        checks();

        console.log(hombre_aplica_cond_esp);

        function checks(){
            
            if( hombre_aplica_cond_esp == "1" ){
                $("#aplica_hombre").prop("checked", true);
            }

            if( mujer_aplica_cond_esp == "1" ){
                $("#aplica_mujer").prop("checked", true);
            }

            if( juvenil_aplica_cond_esp == "1" ){
                $("#aplica_juvenil").prop("checked", true);
            }

            if( especial_aplica_cond_esp == "1" ){
                $("#aplica_especial").prop("checked", true);
            }
            
        }

        

        $("#switch-size").bootstrapSwitch({                           
            size: "mini",
            animate: true,
            onColor: "primary",
            onText: "Si",
            offText:"No",
            onSwitchChange: function (event, state) {
                event.preventDefault();
                console.log(event, state);
                if( state_check == 1 ){
                    

                }
              
            }
        });   
        

    </script>
@stop