@extends('back.layout.dashboard')

@section('contentTitle', 'Configuración de liga')

@section('topButton')
    <a href="{{ route('league_index') }}" class="m-l-15">
        <button type="button" class="btn btn-info d-none d-lg-block"><i class="fas fa-chevron-left"></i> Regresar</button>
    </a>
@stop

@section('content_dashboard')

    @include("back.league.top_header_tabs", ["league" => $league])

    <div class="sections_step_forms">

        <div class="content_tab informacion_principal">

            {{ Form::open(['route' => array('jugadores.update', $league->id), 'class' => 'form-horizontal']) }}

            <div class="row">
                <div class="col-sm-12">
                    <div class="card card-body m-b-0">

                        <h4 class="card-title">Configuración de jugadores</h4>

                        <div class="row">
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>* ¿Jugadores inician con handicap en "0"?</label> <br>
                                    <select class="form-control col-md-4" style="vertical-align: top;" name="players_start_with_zero_handicap">
                                        <option value="1" {{ ($player_rules->players_start_with_zero_handicap == 1) ? "selected" : "" }}>Si</option>
                                        <option value="0" {{ ($player_rules->players_start_with_zero_handicap == 0) ? "selected" : "" }}>No</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>* Fecha limite para dar de alta un jugador</label> <br>
                                    <input type="text" class="form-control col-md-5 text-center" custom-input='date-input' value="{{ date("d/m/Y", strtotime($player_rules->limit_date_to_register_player)) }}" name="limit_date_to_register_player">
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-8">
                                <div class="form-group">
                                    <label>* ¿Permites cambios de jugadores entre los equipos?</label> <br>
                                    <select class="form-control col-md-2" style="vertical-align: top;" name="can_players_change_between_teams">
                                        <option value="0" {{ ($player_rules->can_players_change_between_teams == 0) ? "selected" : "" }}>No</option>
                                        <option value="1" {{ ($player_rules->can_players_change_between_teams == 1) ? "selected" : "" }}>Si</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="row" id="transferencia_jugadores">
                            <div class="col-md-2">
                                <div class="form-group">
                                    <label>* Fecha limite</label> <br>
                                    <input type="text" class="form-control col-md-10 text-center" custom-input='date-input' value="{{ ($player_rules->limit_date != null) ? date("d/m/Y", strtotime($player_rules->limit_date)) : date("d/m/Y") }}" name="limit_date">
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>* Se tranfiere el jugador con el handicap</label> <br>
                                    <select class="form-control col-md-4" style="vertical-align: top;" name="transfer_player_with_handicap">
                                        <option value="0" {{ ($player_rules->transfer_player_with_handicap == 0) ? "selected" : "" }}>No</option>
                                        <option value="1" {{ ($player_rules->transfer_player_with_handicap == 1) ? "selected" : "" }}>Si</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-6" id="quantity_recover_handicap">
                                <div class="form-group">
                                    <label>* Cuantos juegos debe de jugar para recuperar su nuevo handicap</label> <br>
                                    <input type="number" class="form-control col-md-3" value="{{ $player_rules->how_many_games_needs_to_play_to_recover_handicap }}" name="how_many_games_needs_to_play_to_recover_handicap">
                                </div>
                            </div>
                        </div>


                        <hr>
                        <br>

                        <h4 class="card-title">Jugadores</h4>
                        
                        <div class="col-md-12 uppercase_selected_2">
                            <div class="form-group">
                                <label>Selecciona el equipo</label> <br>
                                <select class="form-control col-md-4" style="vertical-align: top;" name="team_to_choose" custom-select="select2">
                                    @foreach($league->get_team_and_category_specification->get_categories as $category)
                                        @foreach($category->get_team_each_category as $team)
                                            @if($team->get_team["id"] != 39)
                                            @endif
                                            <option value="{{ $team->id }}">{{ $team->get_team["name"] }}</option>
                                        @endforeach
                                    @endforeach
                                </select>
                            </div>
                        </div>

                        <br>

                        @foreach($league->get_team_and_category_specification->get_categories as $category)
                            @foreach($category->get_team_each_category as $team)
                                {{--get_player_in_team_each_category--}}

                                <div class="vtabs" team-name="{{ $team->get_team["name"] }}" id="team_{{ $team->id }}">

                                    {{--Primero colocamos los jugadores que se han seleccionado--}}
                                    <?php $iterator_current_jugadores = 0; ?>
                                    @foreach($team->get_player_in_team_each_category as $player)

                                        <div class="row uppercase_selected_2">
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label>Jugador {{ $iterator_current_jugadores+1 }}</label> <br>
                                                    {!! Form::select("current_jugador[".$player->id."]", $players, $player->player_id, ['class' => 'form-control upper_letter_select', 'placeholder' => "No asignar jugador", 'custom-select-players' => 'select2']) !!}
                                                </div>
                                            </div>
                                            <div class="col-md-2">
                                                <div class="form-group">
                                                    <label>HandyCap inicial</label> <br>
                                                    <input type="number" class="form-control text-center" value="{{ $player->player_handy_cap_in_tournament }}" name="current_jugador_handy_cap[{{ $player->id }}]">
                                                </div>
                                            </div>
                                        </div>
                                        <?php $iterator_current_jugadores++; ?>

                                    @endforeach

                                    @for($i = $iterator_current_jugadores; $i < $league->get_category_rule["maximum_players_by_team"]; $i++)
                                        <div class="row uppercase_selected_2">
                                            <div class="col-md-6">
                                                <div class="form-group player_empty">
                                                    <label>Jugador {{ $i+1 }}</label> <br>
                                                    {!! Form::select("nuevos_jugador[".$team->id."][".$i."]", $players, null, ['class' => 'form-control upper_letter_select', 'placeholder' => "No asignar jugador", 'custom-select-players' => 'select2']) !!}
                                                </div>
                                            </div>
                                            <div class="col-md-2">
                                                <div class="form-group">
                                                    <label>HandyCap inicial</label> <br>
                                                    <input type="number" class="form-control text-center" value="" name="nuevos_jugador_handy_cap[{{ $team->id }}][{{ $i }}]">
                                                </div>
                                            </div>
                                        </div>
                                    @endfor

                                </div>

                            @endforeach
                        @endforeach

                        <div class="row">
                            <div class="col-md-12 text-right">
                                <br><br>
                                <button type="submit" class="btn btn-primary">Guardar</button>
                            </div>
                        </div>

                    </div>

                </div>
            </div>
        </div>

        {{ Form::close() }}

    </div>

    </div>

@stop

@section('JS')
    {{ Html::script('system/js/form.js')  }}
    {{ Html::script('system/players/create.js')  }}
@stop
