@extends('back.layout.dashboard')

@section('contentTitle', 'Configuración de liga')

@section('topButton')
    <a href="{{ route('league_index') }}" class="m-l-15">
        <button type="button" class="btn btn-info d-none d-lg-block"><i class="fas fa-chevron-left"></i> Regresar</button>
    </a>
@stop

@section('content_dashboard')

    @include("back.league.top_header_tabs", ["league" => $league])

    <div class="sections_step_forms">

        <div class="content_tab informacion_principal">

            {{ Form::open(['route' => array('player_types.store', $league->id), 'class' => 'form-horizontal']) }}

            <div class="row">
                <div class="col-sm-12">
                    <div class="card card-body m-b-0">

                        <h4 class="card-title">Tipo de jugadores</h4>
                        <h5 class="card-subtitle">Tipo de jugadores permitidos en la liga</h5>

                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>* ¿Cómo se juega?</label>
                                    <select class="form-control" name="type_game">
                                        <option value="1">Individual (1)</option>
                                        <option value="2">Parejas (2)</option>
                                        <option value="3">Terna (3)</option>
                                        <option value="4">Cuartas (4)</option>
                                        <option value="5">Quintas (5)</option>
                                    </select>
                                </div>
                            </div>
                        </div>

                        <hr>
                        <br>

                        <h4 class="card-title">Jugadores por genero y/o condición</h4>

                        <div class="row">

                            <div class="col-md-3 border-right">
                                <h5 class="card-title">Hombres</h5>
                                <div class="form-group">
                                    <label>* Mayores a </label>
                                    <div class="input-group">
                                        <input type="number" class="form-control" value="" name="male_major_than_year">
                                        <div class="input-group-append">
                                            <span class="input-group-text">años</span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3 border-right">
                                <h5 class="card-title">Mujeres</h5>
                                <div class="form-group">
                                    <label>* Mayores a </label>
                                    <div class="input-group">
                                        <input type="number" class="form-control" value="" name="women_major_than_year">
                                        <div class="input-group-append">
                                            <span class="input-group-text">años</span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3 border-right">
                                <h5 class="card-title">Juveniles</h5>
                                <div class="form-group">
                                    <label>* Genero permitido</label>
                                    <select class="form-control" name="young_gender_permited">
                                        <option value="">Selecciona genero</option>
                                        <option value="male">Hombres</option>
                                        <option value="female">Mujeres</option>
                                        <option value="ambos">Ambos</option>
                                    </select>
                                </div>
                                <div class="form-group">
                                    <label>* Menores a </label>
                                    <div class="input-group">
                                        <input type="number" class="form-control" value="" name="young_less_than_year">
                                        <div class="input-group-append">
                                            <span class="input-group-text">años</span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <h5 class="card-title">Especiales</h5>
                                <div class="form-group">
                                    <label>* Genero permitido</label>
                                    <select class="form-control" name="special_gender_permited">
                                        <option value="">Selecciona genero</option>
                                        <option value="male">Hombres</option>
                                        <option value="female">Mujeres</option>
                                    </select>
                                </div>
                                <div class="form-group">
                                    <label>* Condición</label>
                                    <input type="text" class="form-control" value="" name="special_condition">
                                </div>
                            </div>
                        </div>

                        <br>
                        <hr>
                        <br>

                        <h4 class="card-title">Formato y puntos de liga</h4>

                        <div class="row">
                            <div class="col-md-7">
                                <div class="form-group">
                                    <label>* ¿Los jugadores juveniles y especiales pueden jugar en cualquier genero?</label> <br>
                                    <select class="form-control col-md-2" style="vertical-align: top;" name="can_young_and_special_play_any_gender">
                                        <option value="1">Si</option>
                                        <option value="0">No</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-5">
                                <div class="form-group">
                                    <label>* Fecha final para ser editable</label><br>
                                    <input type="text" class="form-control col-md-3 text-center" custom-input='date-input' value="{{ date("d/m/Y") }}" name="limit_date_to_be_edited">
                                </div>
                            </div>

                        </div>


                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>* Formato de la liga</label>
                                    <div class="row">
                                        <div class="col text-center">
                                            <div class="custom-control custom-checkbox">
                                                <input type="checkbox" class="custom-control-input" id="player_type_enable_male" value="player_type_enable_male" name="player_type_enable_male">
                                                <label class="custom-control-label" for="player_type_enable_male">Varonil</label>
                                            </div>
                                        </div>
                                        <div class="col text-center">
                                            <div class="custom-control custom-checkbox">
                                                <input type="checkbox" class="custom-control-input" id="player_type_enable_female" value="player_type_enable_female" name="player_type_enable_female">
                                                <label class="custom-control-label" for="player_type_enable_female">Femenil</label>
                                            </div>
                                        </div>
                                        <div class="col text-center">
                                            <div class="custom-control custom-checkbox">
                                                <input type="checkbox" class="custom-control-input" id="player_type_enable_mix" value="player_type_enable_mix" name="player_type_enable_mix">
                                                <label class="custom-control-label" for="player_type_enable_mix">Mixta </label>
                                            </div>
                                        </div>
                                        <div class="col text-center">
                                            <div class="custom-control custom-checkbox">
                                                <input type="checkbox" class="custom-control-input" id="player_type_enable_young" value="player_type_enable_young" name="player_type_enable_young">
                                                <label class="custom-control-label" for="player_type_enable_young">Juvenil</label>
                                            </div>
                                        </div>
                                        <div class="col text-center">
                                            <div class="custom-control custom-checkbox">
                                                <input type="checkbox" class="custom-control-input" id="player_type_enable_special" value="player_type_enable_special" name="player_type_enable_special">
                                                <label class="custom-control-label" for="player_type_enable_special">Especial</label>
                                            </div>
                                        </div>
                                        <div class="col">
                                            <a class="btn-info btn" style="color: white;" onclick="select_all_week_days();">Todos</a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>


                        <div id="special_rule_content" style="display: none;">

                            <div class="row">
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label style="line-height: 38px; display: inline;">¿Tienes alguna regla especial en la integración de los equipos?
                                            <select class="form-control col-md-1" style="vertical-align: top;" id="special_rule" name="there_are_special_rule_with_the_teams">
                                                <option value="0">No</option>
                                                <option value="1">Si</option>
                                            </select>
                                        </label>
                                    </div>
                                </div>
                            </div>

                            <div class="row" id="special_rule_show" style="display: none;">
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label>Cantidad de jugadores por genero</label>

                                        <div class="row">
                                            <div class="col-md-3">
                                                <div class="form-group">
                                                    <label>* Hombres</label>
                                                    <input type="number" value="" class="form-control" name="number_of_male">
                                                </div>
                                            </div>
                                            <div class="col-md-3">
                                                <div class="form-group">
                                                    <label>* Mujeres</label>
                                                    <input type="number" value="" class="form-control" name="number_of_female">
                                                </div>
                                            </div>
                                            <div class="col-md-3">
                                                <div class="form-group">
                                                    <label>* Juveniles</label>
                                                    <input type="number" value="" class="form-control" name="number_of_young">
                                                </div>
                                            </div>
                                            <div class="col-md-3">
                                                <div class="form-group">
                                                    <label>* Especiales</label>
                                                    <input type="number" value="" class="form-control" name="number_of_special">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                        </div>

                        <hr>
                        <br>

                        <h4 class="card-title">Puntaje</h4>

                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>* Juegos por sesión</label>
                                    <input type="number" value="" class="form-control" name="number_game_by_session">
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>* Puntos por serie ganada </label>
                                    <input type="number" value="" class="form-control" name="point_by_win_serie">
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>* Puntos por puntialidad</label>
                                    <input type="number" value="" class="form-control" name="point_by_puntuality">
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>* Punto por juego</label>
                                    <select class="form-control" name="point_by_game">
                                        <option value="1">Si</option>
                                        <option value="0">No</option>
                                    </select>
                                </div>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-md-12 text-right">
                                <br><br>
                                <button type="submit" class="btn btn-primary">Siguiente</button>
                            </div>
                        </div>


                    </div>
                </div>
            </div>

            {{ Form::close() }}

        </div>

    </div>

@stop

@section('JS')
    {{ Html::script('system/js/form.js')  }}
    {{ Html::script('system/players_type/create.js')  }}
@stop
