@extends('back.layout.dashboard')

@section('contentTitle', 'Configuración de liga')

@section('topButton')
    <a href="{{ route('league_index') }}" class="m-l-15">
        <button type="button" class="btn btn-info d-none d-lg-block"><i class="fas fa-chevron-left"></i> Regresar</button>
    </a>
@stop

@section('content_dashboard')

    @include("back.league.top_header_tabs", ["league" => $league])

    <div class="sections_step_forms">

        <div class="content_tab informacion_principal">

            {{ Form::open(['route' => array('league.update', $league->id), 'class' => 'form-horizontal']) }}

            <div class="row">
                <div class="col-sm-12">
                    <div class="card card-body m-b-0">

                        <h4 class="card-title">Información de la liga</h4>
                        <div class="row">
                            <div class="col-md-2">
                                <div class="form-group">
                                    <label>* Fecha</label>
                                    <input type="text" class="form-control text-center" custom-input='date-input' value="{{ date("d/m/Y", strtotime($league->date_league)) }}" name="date_league">
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Ciudad </label>
                                    <input type="text" class="form-control" value="{{ $league->city }}" name="city">
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Estado </label>
                                    <input type="text" class="form-control" value="{{ $league->state }}" name="state">
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Pais </label>
                                    <input type="text" class="form-control" value="{{ $league->country }}" name="country">
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>* Nombre de la liga </label>
                                    <input type="text" class="form-control" value="{{ $league->league_name }}" name="league_name">
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>* Sede </label>
                                    <input type="text" class="form-control" value="{{ $league->place }}" name="place">
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Nombre honorífico de la liga</label>
                                    <input type="text" class="form-control" value="{{ $league->honorific_name }}" name="honorific_name">
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Reglamento </label>
                                    @if($league->rules_path != "")
                                        - <a href="{{ url($league->rules_path) }}" class="font-weight-bold" target="_blank">Ver documento</a>
                                    @endif
                                    <input type="file" class="form-control" value="" name="rules_path">
                                </div>
                            </div>
                        </div>

                        <hr>
                        <br>

                        <h4 class="card-title">Contactos</h4>

                        <div id="contactos_list">

                            @if(count($league->get_contacts) > 0)
                                @foreach($league->get_contacts as $k => $contacto)

                                    <div class="row contact_section">
                                        <div class="col-md-2">
                                            <div class="form-group">
                                                <label>Rol</label>
                                                <input type="text" class="form-control" value="{{ $contacto->role }}" name="role[]">
                                            </div>
                                        </div>
                                        <div class="col-md-3">
                                            <div class="form-group">
                                                <label>Nombre</label>
                                                <input type="text" class="form-control" value="{{ $contacto->name_complete }}" name="name_complete[]">
                                            </div>
                                        </div>
                                        <div class="col-md-2">
                                            <div class="form-group">
                                                <label>Celular</label>
                                                <input type="phone" class="form-control" value="{{ $contacto->cellphone }}" name="cellphone[]">
                                            </div>
                                        </div>
                                        <div class="col-md-3">
                                            <div class="form-group">
                                                <label>Correo</label>
                                                <input type="email" class="form-control" value="{{ $contacto->email }}" name="email[]">
                                            </div>
                                        </div>
                                        <div class="col-md-1">
                                            <div class="form-group">
                                                <label>NIP</label>
                                                <input type="text" class="form-control" maxlength="4" value="{{ $contacto->nip }}" name="nip[]">
                                            </div>
                                        </div>
                                        <div class="col-md-1 text-right">
                                            <div class="form-group">
                                                <label class="w-100">&nbsp;</label>
                                                <a href="{{ route("delete-contact", [$contacto->id]) }}" class="btn-danger btn btn-delete-contact" style="color: white;"><i class="fas fa-user-minus"></i></a>
                                            </div>
                                        </div>
                                    </div>
                                @endforeach
                            @else

                                <div class="row contact_section">
                                    <div class="col-md-2">
                                        <div class="form-group">
                                            <label>Rol</label>
                                            <input type="text" class="form-control" value="" name="role[]">
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label>Nombre</label>
                                            <input type="text" class="form-control" value="" name="name_complete[]">
                                        </div>
                                    </div>
                                    <div class="col-md-2">
                                        <div class="form-group">
                                            <label>Celular</label>
                                            <input type="phone" class="form-control" value="" name="cellphone[]">
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label>Correo</label>
                                            <input type="email" class="form-control" value="" name="email[]">
                                        </div>
                                    </div>
                                    <div class="col-md-1">
                                        <div class="form-group">
                                            <label>NIP</label>
                                            <input type="text" class="form-control" value="" maxlength="4" name="nip[]">
                                        </div>
                                    </div>
                                    <div class="col-md-1 text-right">
                                    </div>
                                </div>

                            @endif

                        </div>


                        <div class="row">
                            <div class="col-md-12 text-right">
                                <a class="btn-info btn" style="color: white;" onclick="add_contact();"><i class="fas fa-plus"></i> Agregar contacto</a>
                            </div>
                        </div>

                        <br>
                        <hr>
                        <br>

                        <h4 class="card-title">Fecha del torneo</h4>
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>* Fecha de inicio </label>
                                    <input type="text" class="form-control" value="{{ date("d/m/Y", strtotime($league->date_start_league)) }}" custom-input='date-input' name="date_start_league" id="date_start_league">
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>* Fecha final </label>
                                    <input type="text" class="form-control" value="{{ date("d/m/Y", strtotime($league->date_end_league)) }}" custom-input='date-input' name="date_end_league">
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Semanas</label>
                                    <input type="text" class="form-control" value="{{ \Carbon\Carbon::createFromFormat("Y-m-d", $league->date_start_league)->diffInWeeks(\Carbon\Carbon::createFromFormat("Y-m-d", $league->date_end_league)) }}" readonly name="weeks_total">
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>* Horario</label>
                                    <input type="text" class="form-control" value="{{ substr($league->hour_start, 0, 5) }}" custom-input='hour-input' name="hour_start">
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>* Dias de juego</label>
                                    <div class="row">
                                        <div class="col text-center">
                                            <div class="custom-control custom-checkbox">
                                                <input type="checkbox" class="custom-control-input" id="lunes" value="lunes" name="lunes" <?php echo (explode(",", $league->days_available)[0] == 1) ? "checked" : ""; ?> >
                                                <label class="custom-control-label" for="lunes">Lunes</label>
                                            </div>
                                        </div>
                                        <div class="col text-center">
                                            <div class="custom-control custom-checkbox">
                                                <input type="checkbox" class="custom-control-input" id="martes" value="martes" name="martes" <?php echo (explode(",", $league->days_available)[1] == 1) ? "checked" : ""; ?> >
                                                <label class="custom-control-label" for="martes">Martes</label>
                                            </div>
                                        </div>
                                        <div class="col text-center">
                                            <div class="custom-control custom-checkbox">
                                                <input type="checkbox" class="custom-control-input" id="miercoles" value="miercoles" name="miercoles" <?php echo (explode(",", $league->days_available)[2] == 1) ? "checked" : ""; ?> >
                                                <label class="custom-control-label" for="miercoles">Miércoles</label>
                                            </div>
                                        </div>
                                        <div class="col text-center">
                                            <div class="custom-control custom-checkbox">
                                                <input type="checkbox" class="custom-control-input" id="jueves" value="jueves" name="jueves" <?php echo (explode(",", $league->days_available)[3] == 1) ? "checked" : ""; ?> >
                                                <label class="custom-control-label" for="jueves">Jueves</label>
                                            </div>
                                        </div>
                                        <div class="col text-center">
                                            <div class="custom-control custom-checkbox">
                                                <input type="checkbox" class="custom-control-input" id="viernes" value="viernes" name="viernes" <?php echo (explode(",", $league->days_available)[4] == 1) ? "checked" : ""; ?> >
                                                <label class="custom-control-label" for="viernes">Viernes</label>
                                            </div>
                                        </div>
                                        <div class="col text-center">
                                            <div class="custom-control custom-checkbox">
                                                <input type="checkbox" class="custom-control-input" id="sabado" value="sabado" name="sabado" <?php echo (explode(",", $league->days_available)[5] == 1) ? "checked" : ""; ?> >
                                                <label class="custom-control-label" for="sabado">Sabado</label>
                                            </div>
                                        </div>
                                        <div class="col text-center">
                                            <div class="custom-control custom-checkbox">
                                                <input type="checkbox" class="custom-control-input" id="domingo" value="domingo" name="domingo" <?php echo (explode(",", $league->days_available)[6] == 1) ? "checked" : ""; ?> >
                                                <label class="custom-control-label" for="domingo">Domingo</label>
                                            </div>
                                        </div>
                                        <div class="col">
                                            <a class="btn-info btn" style="color: white;" onclick="select_all_week_days();">Todos</a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>* Frecuencia</label>
                                    <select class="form-control" name="frecuency">
                                        <option value="semana" <?php echo ($league->frecuency == "semana") ? "selected" : ""; ?> >Semana</option>
                                    </select>
                                </div>
                            </div>

                            <div class="col-md-3 <?php echo ($league->frecuency == "intervalo_fechas") ? "" : "hide"; ?> " id="fechas_disponibles_input">
                                <div class="form-group">
                                    <label>* Días disponible</label>
                                    <div type="text" name="interval_dates_calendar"></div>
                                    <input type="hidden" name="interval_dates" value="{{ $league->get_frecuency_custom_leagues() }}">
                                </div>
                            </div>

                            <div class="col-md-3 <?php echo ($league->frecuency == "semana") ? "" : "hide"; ?>" id="intervalo_semanal">
                                <div class="form-group">
                                    <label>* ¿Cada cuantas semanas?</label>
                                    <input type="number" class="form-control" name="cada_semana" value="{{ $league->frecuency_week }}" placeholder="0">
                                </div>
                            </div>

                        </div>

                        <br>
                        <hr>
                        <br>

                        <h4 class="card-title">Días festivos</h4>
                        <div class="row">
                            <div class="col-md-12">
                                <input type="hidden" value="{{ json_encode($dias_festivos) }}" name="set_dias_festivos">
                                <input type="hidden" value="{{ $league->holidays_date }}" name="add_dias_festivos">
                                <div id="dias_festivos"></div>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-md-12 text-right">
                                <br><br>
                                <button type="submit" class="btn btn-primary">Guardar</button>
                            </div>
                        </div>


                    </div>
                </div>
            </div>

            {{ Form::close() }}

        </div>

    </div>

@stop

@section('JS')
    {{ Html::script('system/js/form.js')  }}
    <script src="https://unpkg.com/js-year-calendar@latest/dist/js-year-calendar.min.js"></script>
    <script src="https://unpkg.com/js-year-calendar@latest/locales/js-year-calendar.es.js"></script>
    {{ Html::script('system/league/edit.js')  }}
@stop

@section('CSS')
    <link rel="stylesheet" type="text/css" href="https://unpkg.com/js-year-calendar@latest/dist/js-year-calendar.min.css"/>
@stop