@extends('back.layout.dashboard')

@section('contentTitle', 'Configuración de liga')

@section('topButton')
    <a href="{{ route('league_index') }}" class="m-l-15">
        <button type="button" class="btn btn-info d-none d-lg-block"><i class="fas fa-chevron-left"></i> Regresar</button>
    </a>
@stop

@section('content_dashboard')

    @include("back.league.top_header_tabs", ["league" => $league])

    <div class="sections_step_forms">

        <div class="content_tab informacion_principal">

            <div class="row">
                <div class="col-sm-12">
                    <div class="card card-body m-b-0">

                        {{ Form::open(['route' => array('rol_de_juegos.store', $league->id), 'class' => 'form-horizontal']) }}

                        <h4 class="card-title">Rol de juegos por categorías</h4>
                        <h5 class="card-subtitle">Generación de rol de juegos</h5>

                        <div class="row">
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>* ¿Cada cuantas semanas hay ronda de posiciones?</label><br>
                                    <input type="number" value="0" class="form-control col-md-4" name="calculate_position">
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>* ¿Hay permiso para faltas de equipos?</label><br>
                                    <select class="form-control col-md-4" name="can_team_ausent">
                                        <option value="no">No</option>
                                        <option value="si">Si</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-4" id="how_many_ausent_section">
                                <div class="form-group">
                                    <label>* ¿Cuantas faltas tienen permitido los equipos?</label><br>
                                    <input type="number" value="0" class="form-control col-md-4" name="how_many_ausent">
                                </div>
                            </div>
                        </div>

                        <hr class="w-100">
                        
                        <div class="row" route-name="{{ route("rol_de_juegos.get_rol", $league->id) }}" id="content_rol">

                        </div>

                        <br>
                        <br>

                        <div class="row">
                            <div class="col-md-12 text-right">
                                <button type="submit" class="btn btn-primary">Finalizar configuración de liga</button>
                            </div>
                            
                        </div>

                        {{ Form::close() }}

                    </div>

                </div>

            </div>

        </div>

    </div>

@stop

@section('JS')
    {{ Html::script('system/js/form.js')  }}
    {{ Html::script('system/roles/create.js')  }}
@stop
