@extends('back.layout.dashboard')

@section('contentTitle', 'Configuración de liga')

@section('topButton')
    <a href="{{ route('league_index') }}" class="m-l-15">
        <button type="button" class="btn btn-info d-none d-lg-block"><i class="fas fa-chevron-left"></i> Regresar</button>
    </a>
@stop

@section('content_dashboard')

    @include("back.league.top_header_tabs", ["league" => $league])

    <div class="sections_step_forms">

        <div class="content_tab informacion_principal">

            {{ Form::open(['route' => array('teams.update', $league->id), 'class' => 'form-horizontal']) }}

            <div class="row">
                <div class="col-sm-12">
                    <div class="card card-body m-b-0">

                        <h4 class="card-title">Equipos y categorías</h4>
                        <h5 class="card-subtitle">Especificación de equipos y categorías en la liga</h5>

                        {{--<div class="row">--}}
                        {{--<div class="col-md-4">--}}
                        {{--<div class="form-group">--}}
                        {{--<label>* Cantidad de equipos que integra la liga </label><br>--}}
                        {{--<input type="number" value="{{ $team_and_category_specification->quantity_of_teams }}" class="form-control col-md-4" name="quantity_of_teams">--}}
                        {{--</div>--}}
                        {{--</div>--}}
                        {{--<div class="col-md-3" id="dummy_section">--}}
                        {{--<div class="form-group">--}}
                        {{--<label>* ¿Agregar equipo DUMMY?</label><br>--}}
                        {{--<select class="form-control col-md-4" name="add_dummy_team">--}}
                        {{--<option value="0" {{ ($team_and_category_specification->add_dummy_team == 0) ? "selected" : "" }}>No</option>--}}
                        {{--<option value="1" {{ ($team_and_category_specification->add_dummy_team == 1) ? "selected" : "" }}>Si</option>--}}
                        {{--</select>--}}
                        {{--</div>--}}
                        {{--</div>--}}
                        {{--</div>--}}
                        <div class="row">
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>* Liga dividida en categorías</label><br>
                                    <select class="form-control col-md-4" name="is_league_divided_by_categories">
                                        <option value="0" {{ ($team_and_category_specification->is_league_divided_by_categories == 0) ? "selected" : "" }}>No</option>
                                        <option value="1" {{ ($team_and_category_specification->is_league_divided_by_categories == 1) ? "selected" : "" }}>Si</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-3" id="quantity_of_categories_section">
                                <div class="form-group">
                                    <label>* Cantidad de categorías</label> <br>
                                    <input type="number" value="{{ $team_and_category_specification->quantity_of_categories }}" class="form-control col-md-4" name="quantity_of_categories">
                                </div>
                            </div>
                        </div>

                        <hr>
                        <br>

                        <h4 class="card-title">Categorías  <i style="color: #d9534f; cursor:pointer;" class="fa fa-question-circle" aria-hidden="true" onclick="infoCat()"></i></h4>

                        <div id="categories" class="row">

                            @foreach($team_and_category_specification->get_categories as $key => $categories)

                                <div class="col-md-12 single_category_section" category-row-number="{{ $key + 1 }}">

                                    <div class="row">
                                        <div class="col-md-12">

                                            @if(count($team_and_category_specification->get_categories) == 1)
                                                <h6 class="card-title">Categoría única</h6>
                                            @else
                                                <h6 class="card-title">Categoría {{ $key + 1 }}</h6>
                                            @endif

                                        </div>

                                        <div class="col-md-5">
                                            <div class="form-group">
                                                <label>* Nombre</label>
                                                <input type="text" value="{{ $categories->name }}" class="form-control" name="name_edited[{{ $categories->id }}]">
                                            </div>
                                        </div>
                                        <div class="col-md-2">
                                            <div class="form-group">
                                                <label>* Número de equipos</label>
                                                <input type="number" value="{{ $categories->total_teams_in_category }}" class="form-control" name="total_teams_in_category_edited[{{ $categories->id }}]">
                                            </div>
                                        </div>
                                        <div class="col-md-3">
                                            <div class="form-group">
                                                <label>* ¿Tiene mesas asignadas?</label>
                                                <select class="form-control point_by_game" name="is_table_asigned_edited[{{ $categories->id }}]">
                                                    <option value="0" {{ ($categories->is_table_asigned == 0) ? "selected" : "" }}>No</option>
                                                    <option value="1" {{ ($categories->is_table_asigned == 1) ? "selected" : "" }}>Si</option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-md-2 table_number_start_section" style="display: none;">
                                            <div class="form-group">
                                                <label>* Mesa inicial</label>
                                                <input type="number" value="{{ $categories->table_number_start }}" class="form-control" name="table_number_start_edited[{{ $categories->id }}]">
                                            </div>
                                        </div>
                                    </div>

                                </div>

                            @endforeach

                        </div>

                        <div class="row">
                            <div class="col-md-12 text-right">
                                <br><br>
                                <button type="submit" class="btn btn-primary">Guardar</button>
                            </div>
                        </div>


                    </div>
                </div>
            </div>

            {{ Form::close() }}

           <div class="row" id="add-equipos-en-curso" style="display: none;">
                <div class="col-sm-12">
                    <div class="card card-body m-b-0">
                        
                        <h4 class="card-title">Añadir equipos con torneo en curso <i style="color: #d9534f; cursor:pointer;" class="fa fa-question-circle" aria-hidden="true" onclick="infoCatEnCurso()"></i></h4>

                        {{--  @foreach($team_and_category_specification->get_categories as $key => $categories)

                                <div class="col-md-12 single_category_section" category-row-number="{{ $key + 1 }}">

                                    <div class="row">
                                        <div class="col-md-12">

                                            @if(count($team_and_category_specification->get_categories) == 1)
                                                <h6 class="card-title">Categoría única</h6>
                                            @else
                                                <h6 class="card-title">Categoría {{ $key + 1 }}</h6>
                                            @endif

                                        </div>
                                        <div class="col-md-5">
                                            <div class="form-group">
                                                <label>* Nombre</label>
                                                <input type="text" value="{{ $categories->name }}" class="form-control" name="name_edited[{{ $categories->id }}]">
                                            </div>
                                        </div>
                                        <div class="col-md-2">
                                            <div class="form-group">
                                                <label>* Número de equipos</label>
                                                <input type="number" value="{{ $categories->total_teams_in_category }}" class="form-control" name="total_teams_in_category_edited[{{ $categories->id }}]">
                                            </div>
                                        </div>
                                        <div class="col-md-3">
                                            <div class="form-group">
                                                <label>* ¿Tiene mesas asignadas?</label>
                                                <select class="form-control point_by_game" name="is_table_asigned_edited[{{ $categories->id }}]">
                                                    <option value="0" {{ ($categories->is_table_asigned == 0) ? "selected" : "" }}>No</option>
                                                    <option value="1" {{ ($categories->is_table_asigned == 1) ? "selected" : "" }}>Si</option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-md-2 table_number_start_section" style="display: none;">
                                            <div class="form-group">
                                                <label>* Mesa inicial</label>
                                                <input type="number" value="{{ $categories->table_number_start }}" class="form-control" name="table_number_start_edited[{{ $categories->id }}]">
                                            </div>
                                        </div>
                                    </div>

                                </div>

                            @endforeach

                            <div class="row">
                                <div class="col-md-12 text-right">
                                    <button type="submit" class="btn btn-primary" id="save-torneo">Guardar</button>
                                </div>
                            </div>  --}}
                            <div class="col-md-6">
                                
                                <div class="form-group">
                                    <label>Número de equipos</label>
                                    <input type="number" class="form-control" id="num-equipos" placeholder="Número de equipos">
                                </div>

                            </div>

                            <div class="col-md-6" id="todos-equipos" style="display: none;">
                                <div class="form-group">
                                    <label> Equipos </label>
                                    <select class="form-control" id="equipos-selec">
                                        
                                    </select>
                                </div>
                            </div>

                            <div class="col-md-6" id="semana-registro" style="display: none;">
                                <div class="form-group">
                                    <label> Semana de inicio </label>
                                    <input type="number" class="form-control" min="1" id="semana-inicio" placeholder="Semana en que inicia el equipo">
                                </div>
                                <div style="padding: 6px; display: none;" id="msj-semanas">
                                    El torneo cuenta con <strong id="semanas-actuales"></strong>
                                </div>
                            </div>

                            <br>
                        
                            <div class="row">
                                <div class="col-md-12">
                                    <button type="submit" class="btn btn-success" disabled id="save-torneo">Guardar</button>
                                </div>
                            </div>

                    </div>

                </div>
                 
            </div>

        </div>

    </div>

@stop

@section('JS')
    {{ Html::script('system/js/form.js')  }}
    {{ Html::script('system/team_category_specification/edit.js')  }}
    <script>

        var league = {!! json_encode( $league ) !!};
        var equipos = 0;
        var valor_equipo = 0;
        var todos_equipos = [];

        console.log( league );
        addEquipo();

        function infoCatEnCurso(){
            swal({
                title:"Información",
                text:"Cuando existe un equipo dummy y se añade un equipo mas al torneo se sustituirá el dummy.",
                type:"info",
                showLoaderOnConfirm: true
            });
        }
        
        function infoCat(){
            swal({
                title: "Información",
                text: "Al cambiar las categorías en esta sección se reiniciara el rol de juegos y se perderán los scores ya calificados.",
                type: "info",
                showLoaderOnConfirm: true
            });
        }

        function presentAlert( title, text, type ){
            swal({
                title: title,
                text: text,
                type: type,
                showLoaderOnConfirm: true
            });
        }

        function alertAddEquipo(){

            var id = window.btoa( league.id );
            var equipo = $("#equipos-selec").val();
            var week   = $("#semana-inicio").val();

            if( !id || !equipo || !week ){
                presentAlert( "Error", "Todos los campos son requeridos", "error" );
                return;
            }
            console.log("DATA", { id : equipo, num_equipos:valor_equipo, id_liga: league.id, week: week });
            
            swal({
                title: "Añadir equipo",
                text: "Deseas añadir un equipo en el dummy",
                icon: "warning",
                showCancelButton: true,
                cancelButtonText:"Cancelar",
                confirmButtonText: 'Si',
                dangerMode: true,                
            }).then(function(isConfirm) {
                if (isConfirm.value) {
                   
                    $.ajax({
                        url : '{{  route("teams.add_equipo") }}',
                        data : { id : equipo, id_liga: league.id, week: week, num_equipos: valor_equipo },
                        type : 'POST',
                        success : function(data) {
                            
                            swal({
                                title : "Añadir equipo",
                                text  : "Los cambios se guardaron correctamente.",
                                type  : "success",
                                showLoaderOnConfirm: true
                            });
                            
                            setTimeout(function() {
                                window.location = data.url;
                            }, 2000);
                            // console.log( "EQUIPOS ==>",data );  
                        },
                        error : function(jqXHR, status, error) {
                            // alert('Disculpe, existió un problema');
                        },
                        complete : function(jqXHR, status) {
                            // alert('Petición realizada');
                        }
                    });
                    console.log("Confirmar", equipo);
                    // swal({
                    //     title: 'Shortlisted!',
                    //     text: 'Candidates are successfully shortlisted!',
                    //     icon: 'success'
                    // }).then(function() {
                    //     form.submit();

                    // });
                } else {
                    swal("Cancelada", "Se cancelo añadir equipo", "error");
                }
            })
        }

        $("#save-torneo").click(function(){
            console.log("save", equipos, valor_equipo);

            if( equipos == parseInt(valor_equipo) ){
                swal({
                    title: "Información",
                    text: "No has añadido equipos.",
                    type: "error",
                    showLoaderOnConfirm: true
                });
            }else{
                alertAddEquipo();
            }
        });

        $("#num-equipos").change(function(){
            
            var valor = $("#num-equipos").val();
            valor_equipo = valor;
            // console.log("equipos", equipos);

            if( parseInt(valor) !== equipos){
                if( todos_equipos.length == 0 ){
                    loadEquipos();
                    ultimaSemana();
                }
                $("#todos-equipos").show(300);
                $("#semana-registro").show(300);
                $("#save-torneo").prop("disabled", false);
                $("#msj-semanas").show(300);
            }else{
                $("#save-torneo").prop("disabled", true);
                $("#todos-equipos").hide(300);
                $("#semana-registro").hide(300);
                $("#msj-semanas").hide(300);
            }
            //impar
            if( parseInt(valor) % 2 ){
                console.log("si impar");
            }else{
                console.log("no impar");
            }
            console.log( valor, equipos );

        });

        function addEquipo(){
            console.log( league );
            $.ajax({
                url  : '{{  route("teams.check_dummy_in_team") }}',
                data : { id : league.id },
                type : 'POST',
                success : function(data) {
                    console.log( "addEquipo", data );
                    if( data.team_each_categories.length > 0 ){
                        console.log("num equipos", data.team_each_category - 1);
                        $("#num-equipos").val( data.team_each_category - 1 );
                        $("#num-equipos").prop("min", data.team_each_category - 1);
                        $("#num-equipos").prop("max", data.team_each_category);
                        equipos = data.team_each_category - 1;
                        valor_equipo = data.team_each_category - 1;
                        $("#add-equipos-en-curso").show(300);
                    }else{

                    }
                                    
                    console.log( "result",equipos );  
                },
                error : function(jqXHR, status, error) {
                    // alert('Disculpe, existió un problema');
                },
                complete : function(jqXHR, status) {
                    // alert('Petición realizada');
                }
            });

        }

        function loadEquipos(){
            $.ajax({
                url  : '{{  route("teams.equipos") }}',
                data : {},
                type : 'POST',
                success : function(data) {   
                    $("#equipos-selec").append("<option value='0'></option>");
                    for( var equipo of data.teams ){
                        $("#equipos-selec").append("<option value='"+ equipo.id +"'>"+equipo.name+"</option>");
                    }
                },
                error : function(jqXHR, status, error) {
                    // alert('Disculpe, existió un problema');
                },
                complete : function(jqXHR, status) {
                    // alert('Petición realizada');
                }
            });
        }

        function ultimaSemana(){
            $("#semanas-actuales").empty();
            $.ajax({
                url  : '{{  route("teams.last_week_of_tournament") }}',
                data : { id_league: league.id},
                type : 'POST',
                success : function(data) {  
                    if( data.status ){
                        $("#semanas-actuales").append( (data.rol_tournament.iterator_week + 1) + " SEMANAS" ); 
                        $("#semana-inicio").prop('max', data.rol_tournament.iterator_week);
                    }else{
                    }
                    console.log(" SEMANAS ", data);
                },
                error : function(jqXHR, status, error) {
                    presentAlert( "Error", "Se debe finalizar la liga antes de sustituir al dummy", "error" );
                    // alert('Disculpe, existió un problema');
                },
                complete : function(jqXHR, status) {
                    // alert('Petición realizada');
                }
            });
        }

    </script>
@stop
