<?php $__env->startSection('contentTitle', 'Configuración de liga'); ?>

<?php $__env->startSection('topButton'); ?>
    <a href="<?php echo e(route('league_index')); ?>" class="m-l-15">
        <button type="button" class="btn btn-info d-none d-lg-block"><i class="fas fa-chevron-left"></i> Regresar</button>
    </a>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content_dashboard'); ?>

    <?php echo $__env->make("back.league.top_header_tabs", ["league" => $league], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>

    <div class="sections_step_forms">

        <div class="content_tab informacion_principal">

            <?php echo e(Form::open(['route' => array('player_types.update', $league->id), 'class' => 'form-horizontal'])); ?>


            <div class="row">
                <div class="col-sm-12">
                    <div class="card card-body m-b-0">

                        <h4 class="card-title">Tipo de jugadores</h4>
                        <h5 class="card-subtitle">Tipo de jugadores permitidos en la liga</h5>

                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>* ¿Cómo se juega?</label>
                                    <select class="form-control" name="type_game">
                                        <option value="1" <?php echo ($player_type->type_game == 1) ? "selected" : ""; ?>>Individual (1)</option>
                                        <option value="2" <?php echo ($player_type->type_game == 2) ? "selected" : ""; ?>>Parejas (2)</option>
                                        <option value="3" <?php echo ($player_type->type_game == 3) ? "selected" : ""; ?>>Terna (3)</option>
                                        <option value="4" <?php echo ($player_type->type_game == 4) ? "selected" : ""; ?>>Cuartas (4)</option>
                                        <option value="5" <?php echo ($player_type->type_game == 5) ? "selected" : ""; ?>>Quintas (5)</option>
                                    </select>
                                </div>
                            </div>
                        </div>

                        <hr>
                        <br>

                        <h4 class="card-title">Jugadores por genero y/o condición</h4>

                        <div class="row">

                            <div class="col-md-3 border-right">
                                <h5 class="card-title">Hombres</h5>
                                <div class="form-group">
                                    <label>* Mayores a </label>
                                    <div class="input-group">
                                        <input type="number" class="form-control" value="<?php echo e($player_type->male_major_than_year); ?>" name="male_major_than_year">
                                        <div class="input-group-append">
                                            <span class="input-group-text">años</span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3 border-right">
                                <h5 class="card-title">Mujeres</h5>
                                <div class="form-group">
                                    <label>* Mayores a </label>
                                    <div class="input-group">
                                        <input type="number" class="form-control" value="<?php echo e($player_type->women_major_than_year); ?>" name="women_major_than_year">
                                        <div class="input-group-append">
                                            <span class="input-group-text">años</span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3 border-right">
                                <h5 class="card-title">Juveniles</h5>
                                <div class="form-group">
                                    <label>* Genero permitido</label>
                                    <select class="form-control" name="young_gender_permited">
                                        <option value="">Selecciona genero</option>
                                        <option value="male" <?php echo ($player_type->young_gender_male == 1 && $player_type->young_gender_female == 0) ? "selected" : ""; ?>>Hombres</option>
                                        <option value="female" <?php echo ($player_type->young_gender_male == 0 && $player_type->young_gender_female == 1) ? "selected" : ""; ?>>Mujeres</option>
                                        <option value="ambos" <?php echo ($player_type->young_gender_male == 1 && $player_type->young_gender_female == 1) ? "selected" : ""; ?>>Ambos</option>
                                    </select>
                                </div>
                                <div class="form-group">
                                    <label>* Menores a </label>
                                    <div class="input-group">
                                        <input type="number" class="form-control" value="<?php echo e($player_type->young_less_than_year); ?>" name="young_less_than_year">
                                        <div class="input-group-append">
                                            <span class="input-group-text">años</span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <h5 class="card-title">Especiales</h5>
                                <div class="form-group">
                                    <label>* Genero permitido</label>
                                    <select class="form-control" name="special_gender_permited">
                                        <option value="">Selecciona genero</option>
                                        <option value="male" <?php echo ($player_type->special_gender_male == 1) ? "selected" : ""; ?>>Hombres</option>
                                        <option value="female" <?php echo ($player_type->special_gender_female == 1) ? "selected" : ""; ?>>Mujeres</option>
                                    </select>
                                </div>
                                <div class="form-group">
                                    <label>* Condición</label>
                                    <input type="text" class="form-control" value="<?php echo e($player_type->special_condition); ?>" name="special_condition">
                                </div>
                            </div>
                        </div>

                        <br>
                        <hr>
                        <br>

                        <h4 class="card-title">Formato y puntos de liga</h4>

                        <div class="row">
                            <div class="col-md-7">
                                <div class="form-group">
                                    <label>* ¿Los jugadores juveniles y especiales pueden jugar en cualquier genero?</label> <br>
                                    <select class="form-control col-md-2" style="vertical-align: top;" name="can_young_and_special_play_any_gender">
                                        <option value="1" <?php echo ($player_type->can_young_and_special_play_any_gender == 1) ? "selected" : ""; ?>>Si</option>
                                        <option value="0" <?php echo ($player_type->can_young_and_special_play_any_gender == 0) ? "selected" : ""; ?>>No</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-5">
                                <div class="form-group">
                                    <label>* Fecha final para ser editable</label><br>
                                    <input type="text" class="form-control col-md-3 text-center" custom-input='date-input' value="<?php echo e(date("d/m/Y", strtotime($player_type->limit_date_to_be_edited))); ?>" name="limit_date_to_be_edited">
                                </div>
                            </div>

                        </div>


                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>* Formato de la liga</label>
                                    <div class="row">
                                        <div class="col text-center">
                                            <div class="custom-control custom-checkbox">
                                                <input type="checkbox" class="custom-control-input" id="player_type_enable_male" value="player_type_enable_male" name="player_type_enable_male" <?php echo e(($player_type->player_type_enable_male == 1) ? "checked" : ""); ?>>
                                                <label class="custom-control-label" for="player_type_enable_male">Varonil</label>
                                            </div>
                                        </div>
                                        <div class="col text-center">
                                            <div class="custom-control custom-checkbox">
                                                <input type="checkbox" class="custom-control-input" id="player_type_enable_female" value="player_type_enable_female" name="player_type_enable_female" <?php echo e(($player_type->player_type_enable_female == 1) ? "checked" : ""); ?>>
                                                <label class="custom-control-label" for="player_type_enable_female">Femenil</label>
                                            </div>
                                        </div>
                                        <div class="col text-center">
                                            <div class="custom-control custom-checkbox">
                                                <input type="checkbox" class="custom-control-input" id="player_type_enable_mix" value="player_type_enable_mix" name="player_type_enable_mix" <?php echo e(($player_type->player_type_enable_mix == 1) ? "checked" : ""); ?>>
                                                <label class="custom-control-label" for="player_type_enable_mix">Mixta </label>
                                            </div>
                                        </div>
                                        <div class="col text-center">
                                            <div class="custom-control custom-checkbox">
                                                <input type="checkbox" class="custom-control-input" id="player_type_enable_young" value="player_type_enable_young" name="player_type_enable_young" <?php echo e(($player_type->player_type_enable_young == 1) ? "checked" : ""); ?>>
                                                <label class="custom-control-label" for="player_type_enable_young">Juvenil</label>
                                            </div>
                                        </div>
                                        <div class="col text-center">
                                            <div class="custom-control custom-checkbox">
                                                <input type="checkbox" class="custom-control-input" id="player_type_enable_special" value="player_type_enable_special" name="player_type_enable_special" <?php echo e(($player_type->player_type_enable_special == 1) ? "checked" : ""); ?>>
                                                <label class="custom-control-label" for="player_type_enable_special">Especial</label>
                                            </div>
                                        </div>
                                        <div class="col">
                                            <a class="btn-info btn" style="color: white;" onclick="select_all_week_days();">Todos</a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>


                        <div id="special_rule_content" style="display: <?php echo e(($player_type->player_type_enable_mix == 0) ? "none" : "block"); ?>;">

                            <div class="row">
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label style="line-height: 38px; display: inline;">¿Tienes alguna regla especial en la integración de los equipos?
                                            <select class="form-control col-md-1" style="vertical-align: top;" id="special_rule" name="there_are_special_rule_with_the_teams">
                                                <option value="0" <?php echo e(($player_type->there_are_special_rule_with_the_teams == 0) ? "selected" : ""); ?>>No</option>
                                                <option value="1" <?php echo e(($player_type->there_are_special_rule_with_the_teams == 1) ? "selected" : ""); ?>>Si</option>
                                            </select>
                                        </label>
                                    </div>
                                </div>
                            </div>

                            <div class="row" id="special_rule_show" style="display: <?php echo e(($player_type->there_are_special_rule_with_the_teams == 0) ? "none" : "block"); ?>;">
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label>Cantidad de jugadores por genero</label>

                                        <div class="row">
                                            <div class="col-md-2">
                                                <div class="form-group">
                                                    <label>* Hombres</label>
                                                    <input type="number" value="<?php echo e($player_type->number_of_male); ?>" class="form-control" name="number_of_male">
                                                </div>
                                            </div>
                                            <div class="col-md-2">
                                                <div class="form-group">
                                                    <label>* Mujeres</label>
                                                    <input type="number" value="<?php echo e($player_type->number_of_female); ?>" class="form-control" name="number_of_female">
                                                </div>
                                            </div>
                                            <div class="col-md-2">
                                                <div class="form-group">
                                                    <label>* Juveniles</label>
                                                    <input type="number" value="<?php echo e($player_type->number_of_young); ?>" class="form-control" name="number_of_young">
                                                </div>
                                            </div>
                                            <div class="col-md-2">
                                                <div class="form-group">
                                                    <label>* Especiales</label>
                                                    <input type="number" value="<?php echo e($player_type->number_of_special); ?>" class="form-control" name="number_of_special">
                                                </div>
                                            </div>

                                            <div class="col-md-2">
                                                <div class="form-group">
                                                    <label>* Pinos de penalización</label>
                                                    <input type="number" value="<?php echo e($player_type->penalty_pins); ?>" class="form-control" name="penalty_pins">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                        </div>

                        <hr>
                        <br>

                        <h4 class="card-title">Puntaje</h4>

                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>* Juegos por sesión</label>
                                    <input type="number" class="form-control" name="number_game_by_session" value="<?php echo e($player_type->number_game_by_session); ?>">
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>* Puntos por serie ganada </label>
                                    <input type="number" class="form-control" name="point_by_win_serie" value="<?php echo e($player_type->point_by_win_serie); ?>">
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>* Puntos por puntialidad</label>
                                    <input type="number" class="form-control" name="point_by_puntuality" value="<?php echo e($player_type->point_by_puntuality); ?>">
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>* Punto por juego</label>
                                    <select class="form-control" name="point_by_game">
                                        <option value="1" <?php echo e(($player_type->point_by_game == 1) ? "selected" : ""); ?>>Si</option>
                                        <option value="0" <?php echo e(($player_type->point_by_game == 0) ? "selected" : ""); ?>>No</option>
                                    </select>
                                </div>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-md-12 text-right">
                                <br><br>
                                <button type="submit" class="btn btn-primary">Guardar</button>
                            </div>
                        </div>


                    </div>
                </div>
            </div>

            <?php echo e(Form::close()); ?>


        </div>

    </div>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('JS'); ?>
    <?php echo e(Html::script('system/js/form.js')); ?>

    <?php echo e(Html::script('system/players_type/edit.js')); ?>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('back.layout.dashboard', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>