<?php $__env->startSection('contentTitle', 'Configuración de liga'); ?>

<?php $__env->startSection('topButton'); ?>
    <a href="<?php echo e(route('league_index')); ?>" class="m-l-15">
        <button type="button" class="btn btn-info d-none d-lg-block"><i class="fas fa-chevron-left"></i> Regresar</button>
    </a>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content_dashboard'); ?>

    <?php echo $__env->make("back.league.top_header_tabs", ["league" => $league], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>

    <div class="sections_step_forms">

        <div class="content_tab informacion_principal">

            <?php echo e(Form::open(['route' => array('category_rules.update', $league->id), 'class' => 'form-horizontal'])); ?>


            <div class="row">
                <div class="col-sm-12">
                    <div class="card card-body m-b-0">

                        <h4 class="card-title">Reglas de categorias y equipos</h4>
                        <h5 class="card-subtitle">Especificación de reglas por categorías y equipos que componen la liga</h5>

                        <div class="row">
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>* Máximo número de integrantes por equipo</label><br>
                                    <input type="number" value="<?php echo e($category_rules->maximum_players_by_team); ?>" class="form-control col-md-4" name="maximum_players_by_team">
                                </div>
                            </div>
                        </div>

                        <hr>
                        <br>

                        <h4 class="card-title">Equipos</h4>

                        <div class="row team_form">

                            <?php $__currentLoopData = $league->get_team_and_category_specification->get_categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $categoryes): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                                <div class="col-md-6 category_team_list m-b-30">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <h5 class="card-subtitle text-left"><?php echo e($categoryes->name); ?></h5>
                                        </div>
                                        <div class="col-md-12">

                                            <?php $__currentLoopData = $categoryes->get_team_each_category; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $team_each_category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <?php if($team_each_category->team_id != 39): ?>
                                                    <div class="row">
                                                        <div class="col-md-12">
                                                            <div class="form-group uppercase_selected_2">
                                                                <label>Equipo <?php echo e($key+1); ?></label> <br>
                                                                <?php echo Form::select("team_name[".$team_each_category->id."][".($key+1)."]", $teams, $team_each_category->team_id, ['class' => 'form-control', 'placeholder' => "Selecciona equipo", 'custom-select' => 'select2']); ?>

                                                            </div>
                                                        </div>
                                                    </div>
                                                <?php else: ?>
                                                    <div class="row">
                                                        <div class="col-md-12">
                                                            <div class="form-group uppercase_selected_2">
                                                                <label>Equipo <?php echo e($key+1); ?></label> <br>
                                                                <?php echo Form::select("team_name[".$team_each_category->id."][".($key+1)."]", [39 => "DUMMY"], 39, ['class' => 'form-control','custom-select' => 'select2']); ?>

                                                            </div>
                                                        </div>
                                                    </div>
                                                <?php endif; ?>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                            <?php for($i = $categoryes->get_team_each_category->count(); $i < $categoryes->total_teams_in_category; $i++): ?>
                                                <div class="row">
                                                    <div class="col-md-12">
                                                        <div class="form-group uppercase_selected_2">
                                                            <label>Equipo <?php echo e($i+1); ?></label> <br>
                                                            <?php echo Form::select("team_name_nuevo[".$categoryes->id."][".($i+1)."]", $teams, null, ['class' => 'form-control', 'placeholder' => "Selecciona equipo", 'custom-select' => 'select2']); ?>

                                                        </div>
                                                    </div>
                                                </div>
                                            <?php endfor; ?>


                                        </div>
                                    </div>
                                </div>


                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                        </div>

                        <div class="row">
                            <div class="col-md-12 text-right">
                                <br><br>
                                <button type="submit" class="btn btn-primary">Guardar</button>
                            </div>
                        </div>


                    </div>
                </div>
            </div>

            <?php echo e(Form::close()); ?>


        </div>

    </div>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('JS'); ?>
    <?php echo e(Html::script('system/js/form.js')); ?>

    <?php echo e(Html::script('system/category_rules/edit.js')); ?>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('back.layout.dashboard', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>