<?php

namespace MetodikaTI\Http\Controllers\Back\Liga;

use GuzzleHttp\Exception\RequestException;
use Illuminate\Http\Request;
use MetodikaTI\Handicap;
use MetodikaTI\CategoryRule;
use MetodikaTI\HandicapEachCategory;
use MetodikaTI\Http\Controllers\Controller;
use MetodikaTI\League;
use MetodikaTI\Library\Pastora;
use MetodikaTI\Library\URI;
use MetodikaTI\Player;
use MetodikaTI\PlayerInTeamEachCategory;
use MetodikaTI\PlayerRules;
use MetodikaTI\Rol;
use MetodikaTI\RolTournament;
use MetodikaTI\RolTournamentSession;
use MetodikaTI\RolTournamentSessionPoint;
use MetodikaTI\RolTournamentSessionPointsTotal;
use MetodikaTI\Team;
use MetodikaTI\TeamCategory;
use MetodikaTI\TeamEachCategory;
use MetodikaTI\PremiacionEachCategory;
use MetodikaTI\PremiacionLugares;
use MetodikaTI\PlayerType;
use MetodikaTI\Penalties;
use MetodikaTI\DummyPenalty;
use MetodikaTI\TeamAndCategorySpecification;
use MetodikaTI\LeagueContact;
use MetodikaTI\TeamsAddedInCurrentTournament;
use MetodikaTI\PlayersInGame;
use mysql_xdevapi\Collection;
use Carbon\Carbon;
use DB;


class AsignacionPuntajeController extends Controller
{

    public function asignar_puntaje($id, $iterator_week, $category_id, $type)
    {
        
        $id   = base64_decode($id);    
        $data = League::find($id);
        $rol  = Rol::where("league_id", $data->id)->first();    
        
        $handicap_db = Handicap::where("league_id",  $data->id)->first();

        //PARA LIMPIAR LA SEMANA        
        if( $iterator_week == 12 ){
            
            // $player = Player::all();           

            // error_log("PLAYERS".json_encode($player));

            // foreach ($player as $key => $value) {
                
            //     $name_lower = strtolower($value->nickname);
            //     $explode = explode(" ", $name_lower);

            //     if( !empty( $explode[0] ) ){                    
            //         $email = $value->id."@beonline.app";
            //     }else{
            //         $email = $value->id."@beonline.app";
            //     }

            //     if( $value->id == 8 ){
            //         error_log($email);
            //     }

            //     $player_new = Player::find( $value->id );

            //     $player_new->email = $email;
            //     $player_new->password = "e10adc3949ba59abbe56e057f20f883e";
            //     $player_new->nip = "1234";
            //     $player_new->save();
                
            // }
            
            // $rol_tournaments = RolTournament::where("rol_id", $rol->id)->where("category_id", $category_id)->where("iterator_week", $iterator_week)->orderBy("id", "ASC")->get();
                
            // //Primero eliminamos toda la información que tenga la ronda de posiciones virtual para no tener datos basura, mas abajo se agregará dicha información
            // foreach ($rol_tournaments as $rol_tournament) {
            //     $rol_tournament_sessions = RolTournamentSession::where("rol_tournament_id", $rol_tournament->id);
            //     RolTournamentSessionPoint::whereIn("rol_tournament_session_id", $rol_tournament_sessions->pluck("id")->toArray())->delete();
            //     $rol_tournament_sessions->delete();
            // } 
    
            // return;

        }

        //Obtenemos la cantidad de equipos dummy que podemos insertar en cada partido
        $total_dummy_players_available = Handicap::where("league_id", $data->id)->first();
        $total_dummy_players_available = $total_dummy_players_available->dummy_by_team;

        //Vamos a obtener los juegos de cada semana, primero la semana 1 y asi sucesivamente.
        //Dejaremos de mostrar los juegos cuando en una semana este pendiente de llenar el puntaje, esto por las rondas de posiciones virtuales.
        //Por ejemplo si estamos en la semana 4 y no han llenado de información, no mostraremos la semana 5 en adelante hasta que termine de llenar la información de la semana 4.

        $categories = $data->get_team_and_category_specification->get_categories;
        $juegos_por_semana = array();        

        /************* Obtenemos el número de semana *************/
        //Obtenemos el número de la semana segun el iterator_week, ya que tenemos semanas de ronda de posiciones virtuales
        $rol_tournaments_weeks = RolTournament::where("rol_id", $rol->id)->where("category_id", $category_id)->where("type", "!=", "ronda_posiciones_virtual")->groupBy("iterator_week")->orderBy("id", "ASC")->get();
        
        $week_label_number = 1;
        foreach ($rol_tournaments_weeks as $rol_tournaments_week) {
            if ($rol_tournaments_week->iterator_week < $iterator_week) {
                $week_label_number++;
            }
        }

        /************* Obtenemos el paginador para la semana anterior y siguiente *************/
        $semana_anterior  = RolTournament::where("rol_id", $rol->id)->where("category_id", $category_id)->where("iterator_week", ($iterator_week - 1))->first();
        $semana_siguiente = RolTournament::where("rol_id", $rol->id)->where("category_id", $category_id)->where("iterator_week", ($iterator_week + 1))->first();        

        // error_log("SEMANA ANTERIOR ==> ".$semana_anterior);

        //Cuando es día festivo no tendremos datos, solo mostramos que es festivo
        if ($type == "festivo") {
            $semana_actual = RolTournament::where("rol_id", $rol->id)->where("category_id", $category_id)->where("iterator_week", $iterator_week)->first();
            return view('back.league.asignar_puntaje.create', array("rol_id" => $rol->id, 'juegos_por_semana' => null, "league" => $data, "enable_go_to_next_week" => true, "week_number" => $iterator_week, "total_dummy_players_available" => null, "categories" => $categories, "category_id" => $category_id, "semana_anterior" => $semana_anterior, "semana_siguiente" => $semana_siguiente, "type" => $type, "semana_actual" => $semana_actual, "week_label_number" => $week_label_number, 'permitions' => URI::checkPermitions()));
        }

        $enable_go_to_next_week = true;

        //Obtenemos la semana del torneo
        $rol_tournaments_by_week = RolTournament::where("rol_id", $rol->id)->where("category_id", $category_id)->where("iterator_week", $iterator_week)->where("type", $type)->groupBy("iterator_week")->orderBy("iterator_week", "ASC")->get();

        // $teams_added_team_new = TeamsAddedInCurrentTournament::where("league_id", $data->id)->where("type",1)->first();                

        foreach ($rol_tournaments_by_week as $rol_tournament_by_week) {

            $rol_tournaments = RolTournament::where("rol_id", $rol->id)->where("category_id", $category_id)->where("iterator_week", $iterator_week)->with(["get_first_team", "get_second_team"])->orderBy("id", "ASC")->get();

            /******** Para cada rol_tournament vamos a obtener los jugadores del primer y segundo equipo ********/
            foreach ($rol_tournaments as $key => $value) {

                /******** Primer equipo ********/
                $rol_tournaments[$key]["first_team_players"] = null;
                $players = TeamEachCategory::where("team_category_id", $category_id)->where("team_id", $rol_tournaments[$key]["first_team_id"])->with("get_player_in_team_each_category.get_player")->first();
                $rol_tournaments[$key]["first_team_players"] = $players["get_player_in_team_each_category"];

                //Agregamos como jugadores adicionales los dummy
                for ($i = 1; $i <= $total_dummy_players_available; $i++) {

                    $player = new Player();
                    $player->id = ($i * -1);
                    $player->name = "DUMMY";

                    $dummy = new PlayerInTeamEachCategory();
                    //"id" => ,
                    //"team_each_categories_id" => 0,
                    $dummy->player_id = ($i * -1);
                    $dummy->player_handy_cap_in_tournament = 0;
                    $dummy->get_player = $player;
                    $rol_tournaments[$key]["first_team_players"]->push($dummy);

                }

                //Obtenemos el puntaje
                $rol_tournament_sessions = RolTournamentSession::where("rol_tournament_id", $value->id)->where("team_id", $rol_tournaments[$key]["first_team_id"])->orderBy("session_number")->get();

                foreach ($rol_tournaments[$key]["first_team_players"] as $key_player => $player) {

                    //Iteramos cada sesion y despues cada jugador para obtener su puntaje
                    $puntaje_por_session = array();
                    foreach ($rol_tournament_sessions as $rol_tournament_session) {

                        $rol_tournament_session_points = RolTournamentSessionPoint::where("rol_tournament_session_id", $rol_tournament_session->id)->where("player_id", $player->player_id)->first();



                        if ($rol_tournament_session_points != null) {
                            $puntaje_por_session[$rol_tournament_session->session_number] = $rol_tournament_session_points->points;
                        }
                        
                    }
                    
                    $rol_tournaments[$key]["first_team_players"][$key_player]->rol_tournament_session_points = $puntaje_por_session;

                }

                $rol_tournaments[$key]["first_team_rol_tournament_sessions"] = $rol_tournament_sessions;


                /******** Segundo equipo ********/
                $rol_tournaments[$key]["second_team_players"] = null;
                $players = TeamEachCategory::where("team_category_id", $category_id)->where("team_id", $rol_tournaments[$key]["second_team_id"])->with("get_player_in_team_each_category.get_player")->first();
                $rol_tournaments[$key]["second_team_players"] = $players["get_player_in_team_each_category"];

                //Agregamos como jugadores adicionales los dummy
                for ($i = 1; $i <= $total_dummy_players_available; $i++) {

                    $player = new Player();
                    $player->id = ($i * -1);
                    $player->name = "DUMMY";

                    $dummy = new PlayerInTeamEachCategory();
                    //"id" => ,
                    //"team_each_categories_id" => 0,
                    $dummy->player_id = ($i * -1);
                    $dummy->player_handy_cap_in_tournament = 0;
                    $dummy->get_player = $player;                                        

                    if( $rol_tournaments[$key]["second_team_players"] ){
                        $rol_tournaments[$key]["second_team_players"]->push($dummy);
                    }

                    //Validar second team players muestra error null
                }

                //Obtenemos el puntaje
                $rol_tournament_sessions = RolTournamentSession::where("rol_tournament_id", $value->id)->where("team_id", $rol_tournaments[$key]["second_team_id"])->orderBy("session_number")->get();

                // if( $rol_tournaments[$key]["second_team_players"] ){
                
                foreach ($rol_tournaments[$key]["second_team_players"] as $key_player => $player) {                    

                    //Iteramos cada sesion y despues cada jugador para obtener su puntaje
                    $puntaje_por_session = array();
                    foreach ($rol_tournament_sessions as $rol_tournament_session) {

                        $rol_tournament_session_points = RolTournamentSessionPoint::where("rol_tournament_session_id", $rol_tournament_session->id)->where("player_id", $player->player_id)->first();

                        // if( $player->player_id == 358 ){
                        //     error_log( $rol_tournament_session_points );   
                        // }
                        if( $player->player_id == 566 ){
                            error_log( "player ==>". $rol_tournament_session_points );   
                        }
                        
                        if ($rol_tournament_session_points != null) {
                            $puntaje_por_session[$rol_tournament_session->session_number] = $rol_tournament_session_points->points;
                        }

                    }

                    $rol_tournaments[$key]["second_team_players"][$key_player]->rol_tournament_session_points = $puntaje_por_session;

                }

                // }

                $rol_tournaments[$key]["second_team_rol_tournament_sessions"] = $rol_tournament_sessions;

            }

            $category_info = TeamCategory::find($category_id);

            $juegos_por_semana[$category_id][$rol_tournament_by_week->iterator_week]["category"] = $category_info;
            $juegos_por_semana[$category_id][$rol_tournament_by_week->iterator_week]["rol_tournament_information"] = $rol_tournament_by_week;
            $juegos_por_semana[$category_id][$rol_tournament_by_week->iterator_week]["rol_tournaments"] = $rol_tournaments;

        }

        //Revisaremos si podremos podremos continuar a la siguiente semana
        $rol_tournaments_by_week = RolTournament::where("rol_id", $rol->id)->where("category_id", $category_id)->where("iterator_week", $iterator_week)->whereRaw("(first_team_total is null or second_team_total is null)")->count();
        $rol_tournaments_by_week_suspended = RolTournament::where("rol_id", $rol->id)->where("category_id", $category_id)->where("iterator_week", $iterator_week)->where("suspended",1)->count();
        
        //VERIFICA SI EXISTE UN EQUIPO QUE NO ASISTIO PARA HABILITAR EL BOTON SIGUIENTE
        $q_teams_added_in_current_tournament = TeamsAddedInCurrentTournament::where("league_id",$data->id)->where("week",$iterator_week)->where("type",2)->count();     
    
        // if ($rol_tournaments_by_week > 0) {
        if ($rol_tournaments_by_week > ($q_teams_added_in_current_tournament + $rol_tournaments_by_week_suspended) ) {
            $enable_go_to_next_week = false;
        }        
        
        /************* Revisaremos el handycap de cada jugador *************/
        foreach ($juegos_por_semana as $category_id => $juego_por_semana) {

            // $team_add = TeamsAddedInCurrentTournament::where("team_id", $team_player["team"])
            //                                             ->where("league_id", $request->id_liga)
            //                                             ->where("type", 1)->first();

            foreach ($juego_por_semana[$iterator_week]["rol_tournaments"] as $key_rol_tournament => $rol_tournament) {

                // error_log( print_r($juego_por_semana[$iterator_week]["rol_tournaments"], true) );
                
                foreach ($rol_tournament["first_team_players"] as $key_first_team_players => $first_team_players) {
                    //Calculamos el handycap ya sea el inicial o dependiendo de las reglas que tenemos                                          
                    $team_id = $rol_tournament->first_team_id;                    
                    $juegos_por_semana[$category_id][$iterator_week]["rol_tournaments"][$key_rol_tournament]["first_team_players"][$key_first_team_players]["handycap_calculated"] = 1000;//$this->get_handycap_by_player($first_team_players, $iterator_week, $data->id, $category_id, $team_id, $type, $rol_tournament);
                }

                foreach ($rol_tournament["second_team_players"] as $key_second_team_players => $second_team_players) {
                    //Calculamos el handycap ya sea el inicial o dependiendo de las reglas que tenemos
                    $team_id = $rol_tournament->second_team_id;
                    $juegos_por_semana[$category_id][$iterator_week]["rol_tournaments"][$key_rol_tournament]["second_team_players"][$key_second_team_players]["handycap_calculated"] = $this->get_handycap_by_player($second_team_players, $iterator_week, $data->id, $category_id, $team_id, $type, $rol_tournament);
                }

            }

        }  
        
        // EN CASO DE QUE LA SEMANA ANTERIOR SE AYAN SUSPENDIDO TODOS LOS JUEGOS Y LA SEMANA SIGUIENTE SEA UNA RONDA DE POSICIONES
        //numero de enfrentamientos
        $sem_anterior_num  = RolTournament::where("rol_id", $rol->id)->where("category_id", $category_id)->where("iterator_week", ($iterator_week - 1))->count();
        $sem_suspendidas   = RolTournament::where("rol_id", $rol->id)->where("category_id", $category_id)
                                            ->where("iterator_week", ($iterator_week - 1))
                                            ->where("suspended",1)
                                            ->count();

        // SI SON IGUALES INDICA QUE TODOS SON SUSPENDIDOS ESTO PASA POR QUE SI LA SEMANA SIGUIENTE ES UNA RONDA DE POSICIONES
        // AL GUARDAR CUALQUIERA RECALCULA LA RONDA DE ACUERDO ALA TABLA DE POSICIONES
        if( $sem_anterior_num == $sem_suspendidas &&  $iterator_week != 0 ){
            error_log($rol->id ."==". $iterator_week ."==". ($iterator_week + 1) ."==". $category_id);
            // Pastora::get_recalcular_ronda_de_posiciones($rol->id, $iterator_week, $iterator_week, $category_id,"partido");        
        }                                                    

        return view('back.league.asignar_puntaje.create', array( "rol_id" => $rol->id, 'juegos_por_semana' => $juegos_por_semana, "league" => $data, "enable_go_to_next_week" => $enable_go_to_next_week, "week_number" => $iterator_week, "total_dummy_players_available" => $total_dummy_players_available, "categories" => $categories, "category_id" => $category_id, "semana_anterior" => $semana_anterior, "semana_siguiente" => $semana_siguiente, "type" => $type, "week_label_number" => $week_label_number, 'permitions' => URI::checkPermitions()));
    }

    private function getHandicapPuntajePlayers( $first_second_team_players, $iterator_week, $league_id, $category_id, $team_id, $type, $rol_tournament ){
        if(  $iterator_week == 0 ){
            // consultamos hc inicial y la regla en caso de que la tenga
            $teams_each_category = TeamEachCategory::where("team_category_id", $category_id)
                                                    ->where("team_id",$team_id)->first();
            error_log($teams_each_category);                                                    

        }else{

        }
    }

    private function getPlayersPositions( $id_inicial, $id_final ){

        $rol_ts = RolTournamentSession::where("rol_tournament_id",">=", $id_inicial )->where("rol_tournament_id","<=",$id_final)->get();

        $rol_tp = RolTournamentSessionPoint::where("rol_tournament_session_id",">=",$rol_ts[0]["id"] )->where("player_id", "<=",$rol_ts[count( $rol_ts)-1]["id"])->orderBy('points','DESC')->limit(20)->get();    

    }

    public function penalties( Request $request ){

        $response = array();

        $penalties = Penalties::where("league_id", $request->id_liga)
                   ->where("category_id", $request->category_id)
                   ->where("week", $request->week_number)->get();

        // error_log("penlties => ". print_r( $penalties, true ) );
        $dummy_penalty = DummyPenalty::where("week",$request->week_number)
                                     ->where("category_id", $request->category_id)
                                     ->where("league_id", $request->id_liga)->get();
        

        $penalties_push = array(); 

        
        foreach ($penalties as $key => $value) {
                
            $rol_t_s = RolTournamentSession::where("id",$value->rol_tournament_sesion)->first();//->pluck("id")->toArray();//->get();//
            $suma    = RolTournamentSession::where("rol_tournament_id", $value->rol_tournament_id)
                                            ->where("team_id", $value->team_id)->sum("sum_puntaje_handycap");               

            if( $rol_t_s ){
                array_push($penalties_push, array( "sesion" => $value->sesion, "sum_puntaje_handycap" => $rol_t_s->sum_puntaje_handycap,  "team_id" => $value->team_id, "rol_tournament_session" => $value->rol_tournament_id, "total" => $suma ));
            }                                                

        }   
        
        $response["penalties"]     = $penalties_push;
        $response["dummy_penalty"] = $dummy_penalty;
        
        return response()->json( $response );
    }

    private function insertar_puntaje_suspendido_new( $puntaje_rol_tournaments_id, $suspendido, $request, $rol_tournaments_id, $league, $rol_torunament_prev, $player_type ){
        
        // error_log("insertar_puntaje_suspendido_new => ". $rol_torunament_prev);
        //si el id coincide con la 

        // $rolTournament = RolTournament::find($rol_tournaments_id);
        // $penalties = Penalties::where("week",$rolTournament->iterator_week)->where("league_id", $league)
        //                     ->where("team_id", 24)->get();


        
        foreach ($puntaje_rol_tournaments_id as $key => $value) {
            
            // error_log( print_r( $key."==". json_encode( $value ), true)  );

            if( $key == $suspendido->first_team_id || $key == $suspendido->second_team_id ){
                
                foreach ($puntaje_rol_tournaments_id[$key] as $serie => $puntaje) {

                    $rol_tournament_sessions_exists = RolTournamentSession::where("rol_tournament_id", $suspendido->id)->where("team_id", $key)->where("session_number", $serie)->first();

                    if ($rol_tournament_sessions_exists != null) {
                        $rol_tournament_sessions = $rol_tournament_sessions_exists;
                    } else {
                        $rol_tournament_sessions = new RolTournamentSession();
                    }
    
                    $rol_tournament_sessions->rol_tournament_id = $suspendido->id;
                    $rol_tournament_sessions->team_id = $key;
                    $rol_tournament_sessions->session_number = $serie;
                    $rol_tournament_sessions->in_process_to_validate = 1;
                    $rol_tournament_sessions->validate = 1;
                    $rol_tournament_sessions->save();

                    //Eliminamos el puntaje, cada vez que almacenemos el puntaje tenemos que elminar lo ya almacenado antes de volverlo a insertar
                    RolTournamentSessionPoint::where("rol_tournament_session_id", $rol_tournament_sessions->id)->delete();

                    // error_log( "1 rol_tournament_session_id ==>".$rol_tournament_sessions );
                    $sum_puntaje  = 0;
                    $sum_handycap = 0;

                    foreach ($puntaje as $player_id => $puntaje_ingresado) {

                        if ($puntaje_ingresado != null) {
  
                            $rol_tournament_session_points = new RolTournamentSessionPoint();
                            $rol_tournament_session_points->rol_tournament_session_id = $rol_tournament_sessions->id;
                            $rol_tournament_session_points->player_id = $player_id;
                            $rol_tournament_session_points->handycap_calculated = $request->hc[$rol_tournaments_id][$key][$player_id];
                            $rol_tournament_session_points->points = $puntaje_ingresado;
                            $rol_tournament_session_points->save();                                                        

                            $sum_puntaje  += $puntaje_ingresado;
                            $sum_handycap += $request->hc[$rol_tournaments_id][$key][$player_id];
                            
                            // error_log( "suspender_juego->".$sum_handycap );
                        }
                        
                    }

                    //revisa penalizacion
                    $penalizacion = 0;
                    
                    $penalties = Penalties::where("sesion", $serie)->where("team_id", $key)
                                            ->where("rol_tournament_id", $rol_tournaments_id)->first();

                    // error_log($serie."==".$key."====".$rol_tournaments_id."===".$rol_tournament_sessions->id);
                    // error_log( $penalties );

                    $penalizacion = $penalties ? $player_type->penalty_pins: 0;

                    error_log("penaliza ==>". $penalizacion);

                     //Agregamos la sumatorias a la sesion (serie), esto nos va a servir para determinar quien gano
                    $rol_tournament_sessions->sum_puntaje = $sum_puntaje;
                    $rol_tournament_sessions->sum_handycap = $sum_handycap;
                    $rol_tournament_sessions->sum_puntaje_handycap = ($sum_puntaje + $sum_handycap) - $penalizacion;
                    $rol_tournament_sessions->save();                    
                }
            }

            
            //es el id del rol anterior - semana anterior no el actual rol_tournaments_id
            $rol_tournaments = RolTournament::find($suspendido->id);
            // error_log( $rol_tournaments );
            // $rol_tournaments->first_team_total  = $request->total[$rol_tournaments_id][$first_team->id];
            // $rol_tournaments->second_team_total = $request->total[$rol_tournaments_id][$second_team->id];

            //SE VERIFICA CUAL DE LOS DOS TIENE CALIFICACION PARA INSERTAR TOTAL
            if( !empty($request->total[$rol_tournaments_id][$suspendido->first_team_id] ) ){
                $rol_tournaments->first_team_total = $request->total[$rol_tournaments_id][$suspendido->first_team_id];
                $rol_tournaments->save();  
            }

            if( !empty( $request->total[$rol_tournaments_id][$suspendido->second_team_id] ) ){
                $rol_tournaments->second_team_total  = $request->total[$rol_tournaments_id][$suspendido->second_team_id];
                $rol_tournaments->save();
            }

            $puntos_por_seria_ganada = $league->get_player_types["point_by_win_serie"];
            
            $rol_new = RolTournament::find( $suspendido->id );            

            if ($rol_tournaments->first_team_total > $rol_tournaments->second_team_total) {
                $rol_tournaments->first_team_win_serie = $puntos_por_seria_ganada;
                $rol_tournaments->second_team_win_serie = 0;
            } else if ($rol_tournaments->first_team_total < $rol_tournaments->second_team_total) {
                $rol_tournaments->first_team_win_serie = 0;
                $rol_tournaments->second_team_win_serie = $puntos_por_seria_ganada;
            } else {
                $rol_tournaments->first_team_win_serie = 0;
                $rol_tournaments->second_team_win_serie = 0;
            }
    
            $rol_tournaments->save();

            /********* Determinar quien gano o perdio el juego *********/
            for ($serie = 1; $serie <= $league->get_player_types["number_game_by_session"]; $serie++) {

                $win_first_team = 0;
                $win_second_team = 0;                

                $rol_tournament_sessions_first_team  = RolTournamentSession::where("rol_tournament_id", $suspendido->id )
                                                        ->where("team_id", $suspendido->first_team_id)
                                                        ->where("session_number", $serie)->first();

                $rol_tournament_sessions_second_team = RolTournamentSession::where("rol_tournament_id", $suspendido->id)
                                                        ->where("team_id", $suspendido->second_team_id)
                                                        ->where("session_number", $serie)->first();                

                // //Primero revisaremos si la liga tiene configurado el puntaje por juego
                // //Si hay puntaje por juego

////////////////////REVISAR SI LA SERIE GANADA ESTA CORRECTA
///////////////////EN BASE A CONFIGURACION DE LA LIGA
                // if ($league->get_player_types["point_by_game"] == 1) {

                //     if( $rol_tournament_sessions_first_team && $rol_tournament_sessions_second_team ){

                //         if ($rol_tournament_sessions_first_team->sum_puntaje_handycap > $rol_tournament_sessions_second_team->sum_puntaje_handycap) {  //Gano el primer equipo
                //             $win_first_team = 1;
                //             $win_second_team = 0;
                //         } else if ($rol_tournament_sessions_first_team->sum_puntaje_handycap < $rol_tournament_sessions_second_team->sum_puntaje_handycap) { //Gano el segundo equipo
                //             $win_first_team = 0;
                //             $win_second_team = 1;
                //         } else { //Hubo empate
    
                //             //Si hubo empate, le daremos el gane a quien tenga un PT mayor
                //             if ($rol_tournaments->first_team_total > $rol_tournaments->second_team_total) {
                //                 $win_first_team = 1;
                //                 $win_second_team = 0;
                //             } else if ($rol_tournaments->first_team_total < $rol_tournaments->second_team_total) {
                //                 $win_first_team = 0;
                //                 $win_second_team = 1;
                //             }
    
                //         }
    
                //         $rol_tournament_sessions_first_team->win = $win_first_team;
                //         $rol_tournament_sessions_first_team->save();
    
                //         $rol_tournament_sessions_second_team->win = $win_second_team;
                //         $rol_tournament_sessions_second_team->save();

                //     }


                // } else {

                //     //No hay puntaje por juego
                //     $rol_tournament_sessions_first_team->win = null;
                //     $rol_tournament_sessions_first_team->save();

                //     $rol_tournament_sessions_second_team->win = null;
                //     $rol_tournament_sessions_second_team->save();                   

                // }

                // error_log($rol_tournament_sessions_first_team->team_id ."========". $rol_tournament_sessions_second_team->team_id);

                //quien gana o pierde la serie
                if( $rol_tournament_sessions_first_team && $rol_tournament_sessions_second_team ){                    

                    if ($rol_tournament_sessions_first_team->sum_puntaje_handycap > $rol_tournament_sessions_second_team->sum_puntaje_handycap) {  //Gano el primer equipo
                        $win_first_team = 1;
                        $win_second_team = 0;
                    } else if ($rol_tournament_sessions_first_team->sum_puntaje_handycap < $rol_tournament_sessions_second_team->sum_puntaje_handycap) { //Gano el segundo equipo
                        $win_first_team = 0;
                        $win_second_team = 1;                        
                    } else { //Hubo empate

                        //Si hubo empate, le daremos el gane a quien tenga un PT mayor
                        if ($rol_tournaments->first_team_total > $rol_tournaments->second_team_total) {
                            $win_first_team = 1;
                            $win_second_team = 0;
                        } else if ($rol_tournaments->first_team_total < $rol_tournaments->second_team_total) {
                            $win_first_team = 1;
                            $win_second_team = 0;   
                        }                        

                    }     

                    $rolTout = RolTournamentSession::where("rol_tournament_id", $suspendido->id )->where("team_id", $rol_tournament_sessions_first_team->team_id)
                                            ->where("session_number", $serie)->first();
                    
                    // error_log("rolTour =>".$rolTout);                                            
                    RolTournamentSession::where("rol_tournament_id", $suspendido->id )->where("team_id", $rol_tournament_sessions_first_team->team_id)
                                            ->where("session_number", $serie)->update([ "win" => $win_first_team ]);

                    RolTournamentSession::where("rol_tournament_id", $suspendido->id )->where("team_id", $rol_tournament_sessions_second_team->team_id)
                                            ->where("session_number", $serie)->update([ "win" => $win_second_team ]);                    
                
                }


            }

            
        }
  
    }


    private function doble_partido_no_asisitio( $rol_tournaments, $league_id ){
                    
        $player_type = PlayerType::where("league_id", $league_id)->first();

        $q_teams_added_in_current_tournament_1 = TeamsAddedInCurrentTournament::where("team_id",$rol_tournaments->first_team_id)->where("league_id",$league_id)->where("week",$rol_tournaments->iterator_week)->where("type",2)->first();
        $q_teams_added_in_current_tournament_2 = TeamsAddedInCurrentTournament::where("team_id",$rol_tournaments->second_team_id)->where("league_id",$league_id)->where("week",$rol_tournaments->iterator_week)->where("type",2)->first();

        //VERIFICA SI EXISTE EN BASE DE DATOS, SI NO EXISTE LO AÑADE
        if( !$q_teams_added_in_current_tournament_1 ){

            $teams_added_in_current_tournament = new TeamsAddedInCurrentTournament();
            $teams_added_in_current_tournament->team_id   = $rol_tournaments->first_team_id;
            $teams_added_in_current_tournament->league_id = $league_id;
            $teams_added_in_current_tournament->week      = $rol_tournaments->iterator_week;
            $teams_added_in_current_tournament->type      = 2;
    
            $teams_added_in_current_tournament->save();            

            RolTournamentSession::where("id", $rol_tournaments->id)->where("team_id", $rol_tournaments->first_team_id)->delete();

            for ($i = 1; $i <= $player_type->number_game_by_session; $i++) {
                //se crean las sesiones perdidas
                $r_tournament_sesion = new RolTournamentSession();
                $r_tournament_sesion->team_id = $rol_tournaments->first_team_id;
                $r_tournament_sesion->rol_tournament_id = $rol_tournaments->id;
                $r_tournament_sesion->session_number = $i;
                $r_tournament_sesion->win = 0;
                $r_tournament_sesion->save();

            }           

        }

        if( !$q_teams_added_in_current_tournament_2 ){

            $teams_added_in_current_tournament = new TeamsAddedInCurrentTournament();
            $teams_added_in_current_tournament->team_id   = $rol_tournaments->second_team_id;
            $teams_added_in_current_tournament->league_id = $league_id;
            $teams_added_in_current_tournament->week      = $rol_tournaments->iterator_week;
            $teams_added_in_current_tournament->type      = 2;
    
            $teams_added_in_current_tournament->save();

            RolTournamentSession::where("id", $rol_tournaments->id)->where("team_id", $rol_tournaments->secomnd_team_id)->delete();

            for ($i = 1; $i <= $player_type->number_game_by_session; $i++) {
                //se crean las sesiones perdidas
                $r_tournament_sesion = new RolTournamentSession();
                $r_tournament_sesion->team_id = $rol_tournaments->second_team_id;
                $r_tournament_sesion->rol_tournament_id = $rol_tournaments->id;
                $r_tournament_sesion->session_number = $i;
                $r_tournament_sesion->win = 0;
                $r_tournament_sesion->save();
            }

        }
       


        $rol_tournaments->first_team_win_serie  = 0;
        $rol_tournaments->second_team_win_serie = 0;
        $rol_tournaments->first_team_suspended  = 1;
        $rol_tournaments->second_team_suspended = 1;

        $rol_tournaments->save();



        $response["message"] = "Los equipos no asitieron al juego.";
        $response["rol_tournament_sessions_first_team"] = array();
        $response["rol_tournament_sessions_second_team"] = array();
        $response["rol_tournaments"] = $rol_tournaments;
        $response["reload"] = true;
        $response["status"] = true;

        return $response;
    }


    private function partido_suspendido( $league_id, $league, $week_number_pagination, $no_asistio, $request, $rol_tournaments_id, $equipo_asisitio, $team, $type, $category_id ){
        // verificamos la configuración de la liga
    
        $response[""] = "";

        error_log( $no_asistio );

        $player_type = PlayerType::find($league_id);        
        $date = Carbon::now();
        $players_validacion = array();
      
        $q_teams_added_in_current_tournament = TeamsAddedInCurrentTournament::where("team_id",$no_asistio)->where("league_id",$league_id)->where("week",$week_number_pagination)->where("type",2)->first();

        //VERIFICA SI EXISTE EN BASE DE DATOS, SI NO EXISTE LO AÑADE
        if( !$q_teams_added_in_current_tournament ){

            $teams_added_in_current_tournament = new TeamsAddedInCurrentTournament();
            $teams_added_in_current_tournament->team_id   = $no_asistio;
            $teams_added_in_current_tournament->league_id = $league_id;
            $teams_added_in_current_tournament->week      = $week_number_pagination;
            $teams_added_in_current_tournament->type      = 2;
    
            $teams_added_in_current_tournament->save();

        }

        //EVALUA SOLO EL EQUIPO QUE NO ESTA SUSPENDIDO

        /******** Revisamos que se halla ingresado el total de puntaje ********/
        //Iteramos las series SOLO DE 1 EQUIPO   
        
        $players_special = array();
        
        $male   = 0;
        $female = 0;

        $num_serie = 0;      
        foreach ($request->puntaje[$rol_tournaments_id][$equipo_asisitio] as $team_id => $series) {  

            $total_points_added_by_serie = array_filter($series, function ($value) {
                return !is_null($value) && $value !== '';
            });

            
            foreach ($series as $key => $player_id) {   
                if( $player_id ){                    
                    array_push($players_special, $player_id);
                }                             
            }

             //SE CALIFICA EN UNA SEMANA MENOR A LA QUE INGRESO EL EQUIPO LE PERMITE GUARDAR             
            

            if (count($total_points_added_by_serie) < $league->get_player_types["type_game"]) {

                //SI SOLO SELECCIONA NO ASISITIO ESTO DEBE DE CAMBIAR PARA QUE SEA CALIFICADO DESDE EL MOVIL

                error_log( "total_points_added_by_serie => ".count( $total_points_added_by_serie ) );

                if( count($total_points_added_by_serie) == 0 ){
                    
                    $rol_tournaments = RolTournament::find($rol_tournaments_id);
                    $team = Team::find($no_asistio);
                    
                    if( $rol_tournaments->first_team_id == $no_asistio ){
                        $rol_tournaments->first_team_suspended = true;
                    }

                    if( $rol_tournaments->second_team_id == $no_asistio ){
                        $rol_tournaments->second_team_suspended = true;
                    }

                    $rol_tournaments->save();

                    $response["url"] = route("asignar_puntaje.create", array(base64_encode($league_id), $week_number_pagination, $league_id, $rol_tournaments->type ));
                    $response["message"] = "El equipo de ". $team->name. " no asisitio al juego.";
                    $response["status"] = true;
                    $response["rol_tournament_sessions_first_team"] = array();
                    $response["rol_tournament_sessions_second_team"] = array();
                    $response["rol_tournaments"] = $rol_tournaments;

                    return $response;
                }

                $team = Team::find($equipo_asisitio);
                $response["message"] = "Ingresa el puntaje para el equipo de '" . $team->name . "''.";
                $response["status"] = false;
                
                return $response;
            }

        }   
        
        
        // if( $player_type->there_are_special_rule_with_the_teams == 1 ){
                
        //     $new_player_special = array_unique( $players_special);
            
        //     foreach ($new_player_special as $key => $player_especial) {                    
                
        //         $player = Player::find( $player_especial );
                
        //         //los jugadores dummy son numero negativos
        //         if( $player_especial > 0 ){

        //             if( $player->gender === "female" ){
        //                 $female++;
        //             }

        //             if( $player->gender === "male" ){
        //                 $male++;
        //                 array_push( $players_validacion, array( "player" => $player->id, "team_id" => $team_id ) );
        //             }                        
                    
        //             $date = Carbon::parse($player->birthday)->age;
        //             //Juvenil           
        //             if( $date < 18 ){
        //                 $female++;
        //             }                        

        //         }else{
        //             $female++;
        //         }
                
        //     }

        //     Penalties::where("team_id", $players_validacion[count($players_validacion)-1]["team_id"])
        //                      ->where("week",$week_number_pagination)
        //                      ->where("player_id", $players_validacion[count($players_validacion)-1]["player"] )
        //                      ->where("league_id", $league_id)->delete();
            
        //     if( $player_type->number_of_female != 0 ){
        //         if( $player_type->number_of_female > $female ){
        //             // error_log($rol_tournaments_id);
        //             // error_log( print_r( $players_validacion[count($players_validacion)-1]["player"], true ) );
        //             // error_log($players_validacion[count($players_validacion)-1]["player"]);
                    
        //             //se podria añadir la penalizacion en DB
        //             // error_log("hay penalizacion =>");
        //             $penalties = new Penalties();

        //             $penalties->player_id = $players_validacion[count($players_validacion)-1]["player"];
        //             $penalties->league_id = $league_id;
        //             $penalties->week      = $week_number_pagination;
        //             $penalties->team_id   = $players_validacion[count($players_validacion)-1]["team_id"];
        //             $penalties->category_id = $category_id;
        //             $penalties->save();

        //             $penalizacion = true;
        //         }
        //     }
                
        //     $players_special = [];
        //     $players_validacion = [];
        // }

        /******** Insertamos el puntaje ********/

        $juegos  = array();
        $equipos = array();

        foreach ($request->puntaje[$rol_tournaments_id] as $team_id => $series) {

            $penalties_join = array();

            array_push($equipos, $team_id ); 
            
            $num = 0;

            foreach ($series as $serie => $puntaje) { 
                $num++;               
                
                $rol_tournament_sessions_exists = RolTournamentSession::where("rol_tournament_id", $rol_tournaments_id)->where("team_id", $team_id)->where("session_number", $serie)->first();

                if ($rol_tournament_sessions_exists != null) {
                    $rol_tournament_sessions = $rol_tournament_sessions_exists;
                } else {                    
                    $rol_tournament_sessions = new RolTournamentSession();
                }
                            

                $rol_tournament_sessions->rol_tournament_id = $rol_tournaments_id;
                $rol_tournament_sessions->team_id = $team_id;
                $rol_tournament_sessions->session_number = $serie;
                $rol_tournament_sessions->in_process_to_validate = 1;
                $rol_tournament_sessions->validate = 1;   

                // $rol_tournament_sessions->save();

                //Eliminamos el puntaje, cada vez que almacenemos el puntaje tenemos que elminar lo ya almacenado antes de volverlo a insertar
                RolTournamentSessionPoint::where("rol_tournament_session_id", $rol_tournament_sessions->id)->delete();

                $sum_puntaje  = 0;
                $sum_handycap = 0;


                //SE CALIFICA EN UNA SEMANA MENOR A LA QUE INGRESO EL EQUIPO LE PERMITE GUARDAR  
                if( $player_type->there_are_special_rule_with_the_teams == 1 ){                       

                //     if( isset($request->add_dummy[$rol_tournaments_id][$team_id]) ){
                        
                //     }

                    if( $team_id === $equipo_asisitio ){
                        
                        $check_pen = $this->checkPenalizacion( $puntaje, $team_id, $player_type, $num, $request->add_dummy[$rol_tournaments_id], $week_number_pagination, $league_id, $category_id );                          
                        $check_dummy_regla = $this->validaDummyReglaEspecial( $check_pen, $player_type, $num, $team_id);                                                
        
                            
                        if( $check_dummy_regla["status"] === true ){
        
                                $response["status"]  = false;
                                $response["message"] = $check_dummy_regla["gender"];
                            
                                return response()->json($response);
        
                        }else{
                                
                                DummyPenalty::where("team_id", $team_id)->where("week", $week_number_pagination)
                                            ->where("league_id", $league_id)->where("category_id", $category_id)
                                            ->where("sesion",$num)
                                            ->delete();
        
                        }
        
                        array_push($penalties_join, $check_pen);

                    }

                } 

                //CUANDO SE MENEJAN EJEMPLO 2 HOMBRES Y 2 MUJERES Y SE TIENE QUE PENELIZAR
                //gender 1 = hombre | 2 = mujer | 3 = juvenil | 4 = especial
                if( $player_type->there_are_special_rule_with_the_teams == 1 ){                                        
                
                    Penalties::where("team_id", $team_id)
                         ->where("week",$week_number_pagination)                
                         ->where("league_id", $league_id)->delete(); 


                         foreach ($penalties_join as $key => $penal) {                                        

                            if( $player_type->number_of_female > $penal["female"] || $player_type->number_of_male < $penal["male"] && 
                                $penal["female"] < $player_type->number_of_female ){
                        
                                $penalties = new Penalties();
        
                                $penalties->player_id = 0;
                                $penalties->league_id = $league_id;
                                $penalties->week      = $week_number_pagination;
                                $penalties->team_id   = $penal["team_id"];
                                $penalties->sesion    = $penal["num"];
                                $penalties->category_id = $category_id;
                                $penalties->save();                                                        
        
                            }
        
                            foreach ($penal["dummys"] as $key => $value) {
                                // error_log( "DUMMYS => ". print_r($value, true) );
                                $dummy_penalty = new DummyPenalty();
                                $dummy_penalty->league_id = $league_id;
                                $dummy_penalty->team_id   = $penal["team_id"];
                                $dummy_penalty->player_id = $value["key"];
                                $dummy_penalty->week      = $week_number_pagination;
                                $dummy_penalty->sesion    = $penal["num"];
                                $dummy_penalty->gender    = $value["gender"];  
                                $dummy_penalty->category_id = $category_id;                                 
                                $dummy_penalty->save();
                            }
                            
                        }
                
                
                }

                foreach ($puntaje as $player_id => $puntaje_ingresado) {                    

                    // error_log( "RolTournamentSessionPoint ". $rol_tournament_sessions->id );
                    
                    if ($puntaje_ingresado != null) {
                 
                        if( $rol_tournament_sessions->id ){

                            $rol_tournament_session_points = new RolTournamentSessionPoint();
                            $rol_tournament_session_points->rol_tournament_session_id = $rol_tournament_sessions->id;
                            $rol_tournament_session_points->player_id = $player_id;
                            $rol_tournament_session_points->handycap_calculated = $request->hc[$rol_tournaments_id][$team_id][$player_id];
                            $rol_tournament_session_points->points = $puntaje_ingresado;
                            $rol_tournament_session_points->save();
                            
                            $sum_puntaje  += $puntaje_ingresado;
                            $sum_handycap += $request->hc[$rol_tournaments_id][$team_id][$player_id];
                        }                        
                                                
                    }
                                        
                }
                
                //Agregamos la sumatorias a la sesion (serie), esto nos va a servir para determinar quien gano
                $rol_tournament_sessions->sum_puntaje = $sum_puntaje;
                $rol_tournament_sessions->sum_handycap = $sum_handycap;
                $rol_tournament_sessions->sum_puntaje_handycap = $sum_puntaje + $sum_handycap;

                $rol_tournament_sessions->save(); //SI SE GUARDA
                
                // error_log($rol_tournament_sessions );
                
            }
            
        }
                
        //Insertamos el puntaje total
        $rol_tournaments = RolTournament::find($rol_tournaments_id);
        
        // error_log( "=>TOOTOALL ===>". print_r( $request ) );

        //SI EL TIPO ES 1 INDICA QUE 1 NO VINO Y SE BUSCA EL SEGUNDO EQUIPO
        if( $type == 1 ){
            
            $rol_tournaments->second_team_total = $request->total[$rol_tournaments_id][$rol_tournaments->second_team_id];
            //SE ACTUALIZA EL JUEGO SUSPENDIDO
            RolTournament::where('id',$rol_tournaments_id)->update(['first_team_suspended' => true ]);
        }else{        

            $rol_tournaments->first_team_total  = $request->total[$rol_tournaments_id][$rol_tournaments->first_team_id];
            //SE ACTUALIZA EL JUEGO SUSPENDIDO
            RolTournament::where('id',$rol_tournaments_id)->update(['second_team_suspended' => true ]);
        }

        $rol_tournaments->save();

        /** REVISA LA CONFIGURACIÓN DE LA LIGA EN HANDICAP **/
        $handicap_each_categories =  HandicapEachCategory::where("team_category_id", $league_id)->first();
        
        
        /********* Dependiendo del valor de PT, indicamos quien gano la serie y asignamos el puntaje total *********/
        
        $puntos_por_seria_ganada = $league->get_player_types["point_by_win_serie"];        
        $total_confi_liga =  $league->get_player_types["number_game_by_session"] * $handicap_each_categories->base_dummy;
                
        //SE REVISA SI GANO LA SERIE EN BASE A LA CONFIGURACION DE LA LIGA

        if( $type == 1 ){
            
            //reviso el segundo equipo
            if ( $total_confi_liga > $rol_tournaments->second_team_total) {
                // $rol_tournaments->first_team_win_serie = $puntos_por_seria_ganada;
                $rol_tournaments->first_team_win_serie  = 0;
                $rol_tournaments->second_team_win_serie = 0;
                // error_log("gana primero");
            } else if ($total_confi_liga < $rol_tournaments->second_team_total) {
                // $rol_tournaments->first_team_win_serie = 0;
                $rol_tournaments->first_team_win_serie  = 0;
                $rol_tournaments->second_team_win_serie = 1;
                // error_log("gana segundo");
            } else {
                // error_log("doble cero");
                $rol_tournaments->first_team_win_serie  = 0;
                $rol_tournaments->second_team_win_serie = 0;
            }

            $rol_tournaments->save();

        }else{
            
            if ( $total_confi_liga > $rol_tournaments->first_team_total) {                
                // $rol_tournaments->first_team_win_serie = $puntos_por_seria_ganada;
                $rol_tournaments->first_team_win_serie  = 0;
                $rol_tournaments->second_team_win_serie = 0;
            } else if ($total_confi_liga < $rol_tournaments->first_team_total) {
                // $rol_tournaments->first_team_win_serie = 0;
                
                $rol_tournaments->second_team_win_serie = 0;
                $rol_tournaments->first_team_win_serie = 1;
            } else {
                // error_log("TERCERA primero" );
                $rol_tournaments->first_team_win_serie = 0;
                $rol_tournaments->second_team_win_serie = 0;
            }
            
            $rol_tournaments->save();

        }

        //SI HAY PENALIZACION BUSCARA LOS JUGADORES DE LA SEMANA Y SU EQUIPO        
        foreach ($equipos as $key => $value) {
                        
            $penalties = Penalties::where("week", $week_number_pagination)
                                    ->where("category_id", $category_id)
                                    ->where("team_id", $value)
                                    ->pluck("sesion")->toArray();
            
        
            if( count( $penalties) > 0 ){                
                
                $rol_t_s = RolTournamentSession::where("rol_tournament_id",$rol_tournaments->id)
                                               ->where("team_id", $value)->whereIn("session_number", $penalties)
                                               ->pluck("id")->toArray();

                $penalties_session = Penalties::where("week", $week_number_pagination)
                                                ->where("category_id", $category_id)
                                                ->where("team_id", $value)->get();   

                foreach ($penalties_session as $key => $sesion_penalies) {

                    $rol_t_s_update = RolTournamentSession::where("rol_tournament_id",$rol_tournaments->id)
                                               ->where("team_id", $value)->where("session_number", $sesion_penalies->sesion)->first();
                    
                    
                    Penalties::where( "id", $sesion_penalies->id )->update([ "rol_tournament_sesion" => $rol_t_s_update->id, "rol_tournament_id" => $rol_tournaments->id ]);
                    

                }                                                                                                               
                    
                DB::table('rol_tournament_sessions')->where("rol_tournament_id",$rol_tournaments->id)
                                                    ->where("team_id", $value)
                                                    ->whereIn("session_number", $penalties)
                                                    ->decrement('sum_puntaje_handycap', $player_type->penalty_pins);

            }
        }

        // if ($rol_tournaments->first_team_total > $rol_tournaments->second_team_total) {
        //     $rol_tournaments->first_team_win_serie = $puntos_por_seria_ganada;
        //     $rol_tournaments->second_team_win_serie = 0;
        //     error_log("gana primero");
        // } else if ($rol_tournaments->first_team_total < $rol_tournaments->second_team_total) {
        //     $rol_tournaments->first_team_win_serie = 0;
        //     $rol_tournaments->second_team_win_serie = $puntos_por_seria_ganada;
        //     error_log("gana segundo");
        // } else {
        //     error_log("doble cero");
        //     $rol_tournaments->first_team_win_serie = 0;
        //     $rol_tournaments->second_team_win_serie = 0;
        // }

        // $rol_tournaments->save();

        // foreach ($equipos as $key => $value) {
            
        //     $penalties = Penalties::where("week", $week_number_pagination)
        //                             ->where("category_id", $category_id)
        //                             ->where("team_id", $value)
        //                             ->first();
        //     if( !empty( $penalties) ){
        //         //aqui se guarda la suma del puntaje
        //         $rol_t_s = RolTournamentSession::where("rol_tournament_id",$rol_tournaments->id)
        //                                        ->where("team_id", $value)->pluck("id")->toArray();

        //         $rol_t_s_p = RolTournamentSessionPoint::whereIn("rol_tournament_session_id", $rol_t_s)
        //                                                 ->where("player_id", $penalties->player_id)->get();

                
        //         //si el jugador proihibido hombre tiro en los 3 juegos se afecta las 3 sesiones
        //         if( count($rol_t_s_p) == $league->get_player_types["number_game_by_session"] ){
                    
        //             DB::table('rol_tournament_sessions')->where("rol_tournament_id",$rol_tournaments->id)
        //                                                ->where("team_id", $value)->decrement('sum_puntaje_handycap', 30);
        //         }else{

                

        //         }

        //         // error_log("get_player_types => ". $league->get_player_types["number_game_by_session"]);

        //     }
        // }

        /********* Determinar quien gano o perdio el juego *********/
        for ($serie = 1; $serie <= $league->get_player_types["number_game_by_session"]; $serie++) {

            $win_first_team = 0;
            $win_second_team = 0;

            $win_team = 0;
            
            
            if ($league->get_player_types["point_by_game"] == 1) {

                // error_log( "rol_tournaments". $rol_tournaments->second_team_id );
                
                
                // error_log( "rol_tournament_sessions ===>". $rol_tournament_sessions );
                $rol_tournament_sessions_first  = RolTournamentSession::where("rol_tournament_id", $rol_tournaments_id)->where("team_id", $rol_tournaments->first_team_id)->where("session_number", $serie)->first();
                $rol_tournament_sessions_second = RolTournamentSession::where("rol_tournament_id", $rol_tournaments_id)->where("team_id", $rol_tournaments->second_team_id)->where("session_number", $serie)->first();
                                

                //si tipo 1 esta suspendido busco el 2
                if( $type == 1 ){                                    
                    
                    if ($rol_tournament_sessions_second->sum_puntaje_handycap > $handicap_each_categories->base_dummy) {  //Gano el primer equipo                                                

                        $win_team = 0;
                        $win_second_team = 1;

                    } else if ($rol_tournament_sessions_second->sum_puntaje_handycap < $handicap_each_categories->base_dummy) { //Gano el segundo equipo                                                                        

                        $win_team = 0;
                        $win_second_team = 0;

                    }else{

                        //Si hubo empate, le daremos el gane a quien tenga un PT mayor

                        $win_team = 0;                        
                        $win_second_team = 1;


                        // if ($rol_tournaments->first_team_total > $rol_tournaments->second_team_total) {
                            
                        //     $win_first_team  = 1;
                        //     $win_second_team = 0;

                        // } else if ($rol_tournaments->first_team_total < $rol_tournaments->second_team_total) {

                        //     $win_first_team  = 0;
                        //     $win_second_team = 1;

                        // }

                    }

                    $rol_tournament_sessions_first->win = $win_team;
                    $rol_tournament_sessions_first->save();

                    $rol_tournament_sessions_second->win = $win_second_team;
                    $rol_tournament_sessions_second->save();

                    

                    // $rol_tournament_sessions->win = $win_team;
                    // error_log("rol_tournament_sessions_first_team => ".$win_team);
                    $rol_tournament_sessions->save();

                    // $rol_tournament_sessions_second_team->win = $win_second_team;
                    // $rol_tournament_sessions_second_team->save();
            
                }else{

                    // $rol_tournament_sessions = RolTournamentSession::where("rol_tournament_id", $rol_tournaments_id)->where("team_id", $rol_tournaments->first_team_id)->where("session_number", $serie)->first();

                    if ($rol_tournament_sessions_first->sum_puntaje_handycap > $handicap_each_categories->base_dummy) {  //Gano el primer equipo
                        
                        // $win_first_team = 1;
                        // $win_second_team = 0;

                        $win_team = 1;
                        $win_second_team = 0;

                    } else if ($rol_tournament_sessions_first->sum_puntaje_handycap < $handicap_each_categories->base_dummy) { //Gano el segundo equipo                        
                        
                        // $win_first_team = 0;
                        // $win_second_team = 1;

                        $win_team = 0;
                        $win_second_team = 0;

                    }else{

                        //Si hubo empate, le daremos el gane a quien tenga un PT mayor

                        $win_team = 1; 
                        $win_second_team = 0;                       


                    }                             

                    $rol_tournament_sessions_first->win = $win_team;
                    $rol_tournament_sessions_first->save();

                    $rol_tournament_sessions_second->win = $win_second_team;
                    $rol_tournament_sessions_second->save();

                   
                    // $rol_tournament_sessions_first_team = RolTournamentSession::where("rol_tournament_id", $rol_tournaments_id)->where("team_id", $team->id)->where("session_number", $serie)->first();
                }

            }

        }

        //Devolvemos el rol tournament session para refrescar en la pantalla quien gano o perdio                

        // error_log("rol_tournaments->first_team_id ===> ".$rol_tournaments->first_team_id."==========>". $rol_tournaments_id);

        $rol_tournament_sessions_first_team = RolTournamentSession::where("rol_tournament_id", $rol_tournaments_id)->where("team_id", $rol_tournaments->first_team_id)->orderBy('id', "ASC")->get();
        $rol_tournament_sessions_second_team = RolTournamentSession::where("rol_tournament_id", $rol_tournaments_id)->where("team_id", $rol_tournaments->second_team_id)->orderBy('id', "ASC")->get();

        //  //Revisamos por cada categoria
        // $enable_go_to_next_week = true;

        // $rol_tournaments_by_week = RolTournament::where("rol_id", $rol_tournaments->rol_id)->where("category_id", $category_id)->where("iterator_week", $week_number_pagination)->whereRaw("(first_team_total is null or second_team_total is null)")->count();
        
        // if ($rol_tournaments_by_week > 0) {
        //     $enable_go_to_next_week = false;
        // }

        // //Verificamos si la siguiente semana es ronda de posiciones fisica o virtual
        Pastora::calcular_ronda_de_posiciones($rol_tournaments->rol_id, $week_number_pagination, ($week_number_pagination + 1), $category_id);        

        $response["reload"] = true;
        $response["url"] = "dont_reload";
        $response["rol_tournament_sessions_first_team"] = $rol_tournament_sessions_first_team;
        $response["rol_tournament_sessions_second_team"] = $rol_tournament_sessions_second_team;
        $response["rol_tournaments"] = $rol_tournaments;
        $response["status"] = true;
        // $response["enable_go_to_next_week"] = $enable_go_to_next_week;
        $response["message"] = "El puntaje del juego se ha almacenado correctamente.";

        
        return $response;


    }

    private function saveEstadisticasSerie( $sum_puntaje, $sum_handycap, $puntaje_ingresado, $player_id ){

        // error_log( "saveEstadisticas => ".$sum_puntaje."=======".$sum_handycap."========".$puntaje_ingresado );
        // error_log( "player_id => ". $player_id );
        
    }

    private function validaDummy( $equipos ){
        if( $equipos ){
            foreach ($equipos as $key => $value) {
                if( $value === 39 ){
                    return true;
                }
            }
            return false;
        }else{
            return false;
        }
    }

    private function searchDummy( $equipos ){
        if( $equipos ){
            foreach ($equipos as $key => $value) {
                if( $value === 39 ){
                    return $key+1;
                }
            }
            return false;
        }else{
            return false;
        }
    }

    private function suma_puntaje( $puntajes, $rol_torunament, $player ){
        
        $num = 0;
        $num_hp = 0;
        $num_puntaje = 0;
        $valor_max = [];
        $valor_max_hc = [];
        $handicap_arr = [];
        $handicap = 0;
        $puntaje_hc = 0;
        $total = 0;        
        // error_log( $player );
        if( $player->id == 122 ){
            // error_log( "PUNTOS => ". json_encode( $puntajes ) );
            // error_log( "rol_torunament => ". $rol_torunament->id );
        }

        // $this->get_handycap_by_player( $player_in_team_each_category, $week, $league_id, $category_id, $team_id, $type, $rol_tournament);

        if( count( $puntajes ) == 0 ){              
            $result = array( "handicap" => 0, "total" => $total, "juegos_jugados" => 0, "val_mas_alto" => 0, "val_mas_alto_hc" => 0, "promedio" => 0, "promedio_hc" => 0 );
            return $result;
        }
        
        foreach ($puntajes as $key => $value) {
            
            $num_puntaje++;
            $num   = $num + $value->points;
            $total = $num;
            $puntaje_hc = $puntaje_hc + $value->points + $value->handycap_calculated;
            $handicap = $value->handycap_calculated;
            array_push( $handicap_arr, $value->handycap_calculated );
            array_push( $valor_max, $value->points ); //valor maximo sin handicap
            array_push( $valor_max_hc, $value->points + $value->handycap_calculated ); //valor maximo con handicap   
            if( $player->id == 122 ){
                // error_log( "handycap_calculated =>". $total );
            }         
        
        }        

        // error_log( "num puntaje =>". print_r( $puntaje_hc, true ) );

        $max    = max($valor_max); //max valor sin hc
        $max_hc = max($valor_max_hc); // max valor con hc

        $promedio    = $num / $num_puntaje;
        $promedio_hc = $puntaje_hc / $num_puntaje;            

        if( $player->id == 87 ){
            // round( number_format( $promedio, 2 ), 1, PHP_ROUND_HALF_UP)
            // error_log("handicap_arr ==== >". print_r( $handicap_arr, true ) );
        }

        // error_log( round( $promedio, 1, PHP_ROUND_HALF_UP) );
        // error_log( "promedio =>". $this->redondeo($promedio) );
        // error_log( "promedio_hc =>". $this->redondeo($promedio_hc) );
        //round( number_format( $promedio, 2 ), 1, PHP_ROUND_HALF_UP)
        $result = array( "handicap" => $handicap, "total" => $total, "juegos_jugados" => count( $puntajes ), "val_mas_alto" => $max, "val_mas_alto_hc" => $max_hc, "promedio" => round( number_format( $promedio, 2 ), 1, PHP_ROUND_HALF_UP), "promedio_hc" => $promedio_hc );
        return $result;
    }

    private function redondeo( $numero ){
            
        $numero_decimal = $numero - floor($numero);        
        
        if ($numero_decimal < 0.5) {
            $numero = floor($numero); //Redondeo hacia abajo
        } else {
            $numero = floor($numero) + 1; //Redondeo hacia arriba
        }

        return $numero;
                
    }

    private function redondeo_semana( $num_sem ){

        if( $num_sem < 0 ){
            return 0;
        }

        return $num_sem;

    }

    private function suma_puntaje_semana_juego( $semana, $team_id ){

        $suma_puntaje = array();
        // $suma_puntaje_handycap = array();

        foreach( $semana as $key_point => $points ){

            if( $team_id === 9 ){
                // error_log(" sum_puntaje => ".$points->sum_puntaje);
            }           

            array_push( $suma_puntaje, array( "suma_puntaje" => $points->sum_puntaje, "suma_puntaje_hc" => $points->sum_puntaje_handycap,"team_id" => $team_id ) );

        }

        // return array( "sum_puntaje" => $suma_puntaje, "sum_puntaje_hc" => $sum_hc );
        return $suma_puntaje;

    }

    private function suma_puntaje_semana( $semana, $player_id, $hc ){

        $sum    = 0;
        $sum_hc = 0;
        

        foreach( $semana as $key_point => $points ){
            // error_log( $points->points );
            $sum    = $sum + $points->points;
            $sum_hc = $sum_hc + $points->points + $points->handycap_calculated;

            // if( $player_id == 496 ){
            //     error_log( "suma_puntaje_semana". $points->handycap_calculated );
            //     error_log( "hc =>". $hc );
            // }

        }

        return array( "puntos" => $sum, "sum_hc" => $sum_hc );

    }

    private function puntaje_juegos( $puntaje_juegos ){

        $suma_puntaje = array();

        foreach ($puntaje_juegos as $key => $value) {
            array_push($suma_puntaje, $value["suma_puntaje"]);
        }

        return $suma_puntaje;
        // return array( "suma_puntaje" => $suma_puntaje );
    }

    private function series_equipo( $rol_t, $team_id ){        

        $puntaje_serie_arr = array();
        $puntaje_serie = 0;
        $puntaje_serie_hc = 0;        
        
        foreach ($rol_t as $key => $value) {           
            $puntaje_serie = $puntaje_serie + $value->sum_puntaje;
            $puntaje_serie_hc = $puntaje_serie_hc + $value->sum_puntaje_handycap;
          
        }
        
        return array( "puntaje_serie" => $puntaje_serie, "puntaje_serie_hc" => $puntaje_serie_hc );
        
    }   

    private function suma_serires_player( $rol_tournaments, $team_id, $player_id, $hc ){

        $series = 0;
        
        $sum = 0;
        $sum_hc = 0;
        $max_serie = [0];
        $max_serie_hc = [0];
        $sum_serires_total = [];
        $suma_puntaje = array();

        if( $team_id == 122 ){
            // error_log( print_r( $rol_tournaments, true ) );
            // error_log( print_r($juegos_equipo, true) );
        }
              
        foreach( $rol_tournaments as $key => $value ){                    
            
            $rol_tournament_ses   = RolTournamentSession::where("rol_tournament_id", $value)->where("team_id", $team_id)->pluck("id")->toArray();
            $rol_t_s_p_max_points = RolTournamentSessionPoint::whereIn("rol_tournament_session_id", $rol_tournament_ses)->where("player_id", $player_id )->get();            
            
            
            $puntos = $this->suma_puntaje_semana( $rol_t_s_p_max_points, $player_id, $hc );
            
            if( $team_id == 33 && $player_id == 496 ){
                // error_log( json_encode($puntos) );
                // error_log("rol_tournament_ses ===>". json_encode( $rol_tournament_ses ) );
                // error_log("player id". $player_id);
                // error_log("player id". $value);
            };
            
            array_push($max_serie, $puntos["puntos"]);
            array_push($max_serie_hc, $puntos["sum_hc"]); 
                                                      

        }

        if( $team_id == 9 ){
            // $juegos_equipo = $this->suma_puntaje_semana_juego( $rol_tournament_ses_comp, $team_id );
            // error_log( "SUMA PUNTAJE =>". json_encode($suma_puntaje) );
            // error_log( print_r( array_merge( $suma_puntaje), true ) );
            // error_log(print_r($juegos_equipo, true));
        }

        $max_serie_num    = max($max_serie);
        $max_serie_num_hc = max($max_serie_hc);   
        

        $result = array( "serie" => $max_serie_num, "serie_hc" => $max_serie_num_hc );        
        return $result;


    }

    public function get_tabla_posiciones_individual( Request $request ){
        
        $response["status"]  = true;     

        $team_each = TeamEachCategory::where("team_category_id", $request->category_id)->get();  
        $rol = Rol::where("league_id", $request->id_liga)->first();
        
        $data_result = [];
        foreach($team_each as $key => $team_id){        
            $result = $this->player_tabla_posiciones(null, $request->id_liga, $request->category_id, $request->week_number, $team_id->team_id, $rol, $request->juegos_jugados_req, $request->juegos_jugados );            
            if( $team_id->team_id == 33 ){
                error_log(json_encode($result));
            }
            array_push($data_result, $result);
        }
    
        // error_log( json_encode( $data_result ) );

        $response["data"] = $data_result;
        $response["num"]  = count( $team_each );

        return response()->json( $response );
    }

    private function pinosTotalesTirados( $puntaje ){
        $num = 0;
        foreach ($puntaje as $key => $value) {            
            $num   = $num + $value->points;
        }

        return $num;        
    }

    private function juegos_individuales( $rol_t_session ){
        $push = array();
        foreach ($rol_t_session as $key => $value) {
            $rol_tournament_session = RolTournamentSessionPoint::where("rol_tournament_session_id", $value->id )->get();            
            array_push( $push, array( "key"=> $key, "data_session_point" => $rol_tournament_session ) );
        }        

        return $push;

    }

    private function player_tabla_posiciones( $puntaje = null, $league_id = null, $category_id, $week, $team_id, $rol, $juegos_jugados_req, $how_many_games_needs_to_play_to_choose_an_award, $semana_query = "<=" ){ 
        
        // $rol = Rol::where("league_id", $league_id)->first();
        // error_log("player_tabla_posiciones =>". $semana_query. "===". $week);
        // foreach ($puntaje as $team_id => $series) {             

            $team_each = TeamEachCategory::where("team_category_id", $category_id)->where("team_id", $team_id)->first();
            // $player_in_team = PlayerInTeamEachCategory::where("team_each_categories_id", $team_each->id)->where("player_id", $player_id)->first();
            
            $rol_tournaments = RolTournament::where("rol_id", $rol->id)->where("category_id", $category_id)->where("type", "!=", "ronda_posiciones_virtual")->where("suspended", 0)->where("iterator_week", $semana_query, $week)->whereRaw("(first_team_id = " . $team_id . " OR second_team_id = " . $team_id . ")")->pluck("id")->toArray();
            // error_log($rol->id."======".$category_id."=========".$team_id);
            $rol_tournament_sessions = RolTournamentSession::whereIn("rol_tournament_id", $rol_tournaments)->where("team_id", $team_id)->pluck("id")->toArray();
                        
            $rol_tournaments_recalcular_handycap = RolTournament::where("rol_id", $rol->id)->where("type", "!=", "ronda_posiciones_virtual")->where("category_id", $category_id)->where("iterator_week", $semana_query,$week)->where("suspended", 0)->whereRaw("(first_team_id = " . $team_id . " OR second_team_id = " . $team_id . ")")->get();
            
            //puntaje mayor sin hc
            $rol_tournament_ses_comp = RolTournamentSession::whereIn("rol_tournament_id", $rol_tournaments)->where("team_id", $team_id)->max("sum_puntaje");//->get();
            $rol_tournament_ses_comp_hc = RolTournamentSession::whereIn("rol_tournament_id", $rol_tournaments)->where("team_id", $team_id)->max("sum_puntaje_handycap");//->get();            
            
            // if( $team_id == 1 ){
                
                $rol_tournaments_team = RolTournament::where("rol_id", $rol->id)->where("category_id", $category_id)->where("type", "!=", "ronda_posiciones_virtual")->where("suspended", 0)->where("iterator_week", $semana_query, $week)->whereRaw("(first_team_id = " . $team_id . " OR second_team_id = " . $team_id . ")")->get();

                if( $team_id == 33 ){
                    error_log("iterator_week |" . $semana_query." | ". $week);
                    // error_log(json_encode($rol_tournaments_team));
                }

                $serie_equipo        = array();
                $serie_equipo_hc     = array();
                $juego_equipo        = array();
                $juego_equipo_all    = array();
                $juegos_jugados_week = array();
                
                
                foreach ($rol_tournaments_team as $key => $puntaje) {

                    $rol_t_session = RolTournamentSession::select("id","rol_tournament_id","sum_puntaje", "sum_puntaje_handycap")
                                        ->where("rol_tournament_id", $puntaje->id)                                        
                                        ->where("team_id", $team_id)->get();
                    
                    if( $team_id== 33 ){
                        error_log( json_encode( $rol_t_session ) );
                    }
                    array_push( $juego_equipo, array( "week" => $puntaje->iterator_week, "puntajes" => $rol_t_session, "session_points" => $this->juegos_individuales( $rol_t_session ) ) );
                    
                    // $rol_t_s = RolTournamentSession::where("rol_tournament_id", $puntaje->id)->where("team_id", $team_id)->get();
                    $series_equipo = $this->series_equipo( $rol_t_session, $team_id );
                    array_push($serie_equipo, $series_equipo["puntaje_serie"]);
                    array_push($serie_equipo_hc, $series_equipo["puntaje_serie_hc"]);
                    
                }                
                
                // }
    
            
            $team = Team::find($team_id);
            
            $players = TeamEachCategory::where("team_category_id", $category_id)->where("team_id", $team_id)->with("get_player_in_team_each_category.get_player")->first();            
            $data = [];
            
            
            foreach ($players["get_player_in_team_each_category"] as $key => $value) {

                $player_in_team = PlayerInTeamEachCategory::where("team_each_categories_id", $team_each->id)->where("player_id", $value->player_id)->first();                

                $genero   = $value->get_player->gender;
                $nickname = $value->get_player->nickname;
                $name     = $value->get_player->name;
                $lastname = $value->get_player->last_name;
                
                //juegos jugados
                // $rol_tournament_session_points
                // $rol_tournament_session_points = RolTournamentSessionPoint::whereIn("rol_tournament_session_id", $rol_tournament_sessions)->where("player_id", $value->player_id)->count();                
                $rol_t_s_p_max_points = RolTournamentSessionPoint::whereIn("rol_tournament_session_id", $rol_tournament_sessions)->where("player_id", $value->player_id)->get();

                $juego_perfecto_status = false;

                // Juegos perfectos
                $juegos_perfectos  = RolTournamentSessionPoint::whereIn("rol_tournament_session_id", $rol_tournament_sessions)->where("player_id", $value->player_id)->where("points", 300)->get();

                
                if( count($juegos_perfectos) > 0 ){
                    error_log( "JUEGO PERFECTO => ". json_encode($juegos_perfectos)."---".$value->player_id );
                    $juego_perfecto_status = true;
                }
                           
                $hc = $this->get_handycap_by_player( $player_in_team, $week, $league_id, $category_id, $team_id, "partido", $rol_tournaments_recalcular_handycap, true, "<=");

                $puntajes = $this->suma_puntaje( $rol_t_s_p_max_points, $value->get_player, $value->get_player );
                $p_serie  = $this->suma_serires_player( $rol_tournaments, $team_id,  $value->player_id, $hc );                               

                array_push( $data, array(   "team_name" => $team->name, 
                                            "genero"    => $genero, 
                                            "name"      => $name, 
                                            "nickname"  => $nickname ? $nickname: $name." ".$lastname, 
                                            "val_mas_alto"    => $puntajes["val_mas_alto"], 
                                            "val_mas_alto_hc" => $puntajes["val_mas_alto_hc"], 
                                            "lastname"        => $lastname,
                                            "promedio"        => $puntajes["promedio"], 
                                            "promedio_hc"     => $puntajes["promedio_hc"],
                                            "player_id"       => $value->get_player->id, 
                                            "serie_max"       => $p_serie["serie"],
                                            "serie_max_hc"    => $p_serie["serie_hc"], 
                                            "juegos_jugados"  => $puntajes["juegos_jugados"],
                                            "total" => $puntajes["total"], 
                                            "handicap" => $hc,
                                            "player_id" => $value->get_player->id, 
                                            "juego_equipo" => $rol_tournament_ses_comp,
                                            "juego_equipo_hc" => $rol_tournament_ses_comp_hc, 
                                            "team_id" => $team_id,
                                            "serie_equipo" => count($serie_equipo) > 0 ? max($serie_equipo): 0, 
                                            "serie_equipo_hc" => count($serie_equipo_hc) > 0 ? max($serie_equipo_hc):0,
                                            "juegos_jugados" => count($rol_t_s_p_max_points), 
                                            "serie_equipo_all" => $serie_equipo,
                                            "serie_quipo_hc_all" => $serie_equipo_hc,                                              
                                            "juegos_equipo_all" => $juego_equipo, 
                                            "juegos_individuales_all" => $rol_t_s_p_max_points,
                                            "juego_perfecto" => $juego_perfecto_status
                                            // "juegos_jugados_week" => $juegos_jugados_week
                                        ));

                                        // $puntajes["handicap"]
            }
            
            return $data;
            
    }

    function maxValueInArray($array, $keyToSearch)
    {
        $currentMax = NULL;
        foreach($array as $arr)
        {
            foreach($arr as $key => $value)
            {
                if ($key == $keyToSearch && ($value >= $currentMax))
                {
                    $currentMax = $value;
                }
            }
        }

        return $currentMax;
    }

    private function checkPenalizacion( $puntajes, $team_id, $player_type, $num, $add_dummy = null, $week_number_pagination, $league_id, $category_id ){
        $female = 0;
        $male   = 0;   
        $dummy  = array();  
                     

        foreach ($puntajes as $key => $puntaje) {

            if( $key > 0 && $puntaje ){

                $player = Player::find( $key );

                if( $player->gender === "female" && $player->special === 0 ){                            
                    $female++;
                }

                if( $player->gender === "male" && $player->special === 0 ){
                    $male++;            
                }                                       
                
                $date = Carbon::parse($player->birthday)->age;
                //Juvenil           
                if( $date < $player_type->young_less_than_year ){
                    error_log("se cumple juvenil ===========> ". $player);
                    $female++;
                }  
                
                if( $player->special === 1 ){
                    error_log("se cumple ESPECIAL ===========>");
                    $female++;
                }  
                
            }else{
                
                if( isset( $add_dummy[$team_id][$num][$key] ) ){
                    
                    // error_log( "checkPenalizacion => ". print_r($add_dummy[$team_id][$num], true) );
                                                    
                    //HOMBRE
                    if( $add_dummy[$team_id][$num][$key] == 1 ){                          
                        $male++;       
                    }

                    //MUJER
                    if( $add_dummy[$team_id][$num][$key] == 2 ){                       
                        $female++;                        
                    }

                    //JUVENIL
                    if( $add_dummy[$team_id][$num][$key] == 3 ){                       
                        $female++;                        
                    }

                    //ESPECIAL
                    if( $add_dummy[$team_id][$num][$key] == 4 ){                       
                        $female++;                        
                    }

                    array_push($dummy, array( "league_id" => $league_id, "team_id" => $team_id, "key" => $key, "week" => $week_number_pagination, "sesion" => $num, "gender" => $add_dummy[$team_id][$num][$key] ));                                                     
                                        
                }
                                
            }
        }

        return array( "female" => $female, "male" => $male, "team_id" => $team_id, "num" => $num, "dummys" => $dummy );

    }


    private function validaDummyReglaEspecial( $equipos_dummys, $reglas, $num, $team_id ){

        $female_temp = 0;
        $resp["status"] = false;

        // error_log($reglas->number_of_female .">". $equipos_dummys["female"]);
        // error_log("equipos_dummys => ". count($equipos_dummys["dummys"]));
        if( count($equipos_dummys["dummys"]) === 0 ){
            // error_log("NO HAY DUMMYS");          
            return $resp["status"] = false;
        }        

        if( $equipos_dummys["male"] > $reglas->number_of_male  ){
            error_log( "equipos_dummys ==>>". print_r($equipos_dummys, true) );
            return $resp["status"] = false;
        }

        if( $reglas->number_of_female > $equipos_dummys["female"] ){

            $female_temp = $female_temp + $equipos_dummys["female"];
            // $equipos_dummys["dummy"]
            // error_log( print_r( $equipos_dummys["dummys"] ,true ) );
            foreach ($equipos_dummys["dummys"] as $key => $value) {
                if( $value["gender"] === 2 ){
                    $female_temp = $female_temp + 1;
                }
            }                        
            
            // error_log($female_temp. "!==".  $reglas->number_of_female);
            if( $female_temp !==  $reglas->number_of_female ){
                error_log("numero de jugadores ". $team_id);
                $team = Team::find($team_id);
                $resp["status"] = true;
                $resp["gender"] = "Alineación incorrecta, favor de revisar: juego ". $num. " del equipo ". $team->name;
                
            }            

        }
        
        return $resp; 
    }

    public function store(Request $request, $rol_tournaments_id, $league_id, $week_number_pagination, $category_id)
    {

        //Importante ver lo que contiene el request para poder entender bien el que es lo que se esta almacenando
        //dd($request->all(), $rol_tournaments_id, $league_id);  
        // error_log( json_encode( $request->all() ) );      

        $league = League::with("get_player_types")->where("id", $league_id)->first(); //get_player_types["type_game"]     number_game_by_session
        $rol_tournaments = RolTournament::find($rol_tournaments_id);
        $first_team      = Team::find($rol_tournaments->first_team_id);
        $second_team     = Team::find($rol_tournaments->second_team_id); 

        $handicap_each_categories = HandicapEachCategory::where("team_category_id", $category_id)->first();
        
        $response["puntaje"] = $request->puntaje;
        $response["rol_tournaments_id"] = $rol_tournaments_id;
                    
        
        //EQUIPO NO ASISTIO
        if( $request->no_asistio_first == "on" && $request->no_asistio_second == "on" ){

            $no_asistieron = $this->doble_partido_no_asisitio( $rol_tournaments, $league_id, $first_team, $second_team );                               

            return response()->json( $no_asistieron );            
        }

        if( $request->no_asistio_first ){
            
            $equipo_asisitio = $rol_tournaments["second_team_id"];
            $partido_suspendido = $this->partido_suspendido( $league_id, $league, $week_number_pagination, $request->no_asistio_first, $request, $rol_tournaments_id, $equipo_asisitio, $second_team, 1, $category_id);

            //Se eleiman jugadores en caso de que exista una alineación
            PlayersInGame::where("team_id", $rol_tournaments->first_team_id)->where("league_id", $league_id)->delete();            

            return response()->json( $partido_suspendido );

        }
        //SEGUNDO EQUIPO NO ASISTIO
        if( $request->no_asistio_second ){

            $equipo_asisitio = $rol_tournaments["first_team_id"];
            $partido_suspendido = $this->partido_suspendido( $league_id, $league, $week_number_pagination,$request->no_asistio_second, $request, $rol_tournaments_id, $equipo_asisitio, $second_team, 2, $category_id);

             //Se eleiman jugadores en caso de que exista una alineación
             PlayersInGame::where("team_id", $rol_tournaments->second_team_id)->where("league_id", $league_id)->delete();   
            // RolTournament::where('id',$rol_tournaments_id)->update(['second_team_suspended' => true ]);            

            return response()->json( $partido_suspendido );
        }
      
        //si se suspende juego 
        if( $request->suspender_juego == "on" ){
            //Suspender partido
            RolTournament::where('id',$rol_tournaments_id)->update(['suspended'=> true ]);
            $response["url"] = route("asignar_puntaje.create", array(base64_encode($league_id), $week_number_pagination, $league_id, $rol_tournaments->type ));
            // $response["reload"] = true;
            $response["status"] = true;
            $response["rol_tournament_sessions_first_team"] = array();
            $response["rol_tournament_sessions_second_team"] = array();
            $response["rol_tournaments"] = $rol_tournaments;
            $response["message"] = "El juego se suspendio correctamente.";
            return response()->json($response);
        }
        
        //CONSULTAR TIPOS DE JUGADORES PARA VALIDAR DE ACUERDO A LA CONFIGURACION DE LA LIGA
        $player_type = PlayerType::find($league_id);                        
        
        $players_special = array();
        $date = Carbon::now();
        $players_validacion = array();
        $penalizacion = false;
        /******** Revisamos que se halla ingresado el total de puntaje ********/
        //Iteramos las series de cada equipo                 
        
        foreach ($request->puntaje[$rol_tournaments_id] as $team_id => $series) {                     
            $num_insert = array();
            
            $male   = 0;
            $female = 0;
            
            $num_serie = 0;
            $penalties_join = array();
                                                
            $teams_added_team_new = TeamsAddedInCurrentTournament::where("league_id", $league_id)->where("type",1)->where("team_id",$team_id)->first();                        
            //REVISA SI EXISTE UN EQUIPO NUEVO
            $valida_form = false;
            //OMITE LA VALIDACION EN CASO DE SER SEMANA 1 O HABER CAMBIADO EL DUMMY
            if( $teams_added_team_new ){
                
                if( $week_number_pagination < ($teams_added_team_new->week-1) || $week_number_pagination == 0  ){
                    $valida_form = true;
                }
            }            
            
            if( $week_number_pagination != 0 ){  
                $num = 0;   

                if( $player_type->there_are_special_rule_with_the_teams == 1 ){
                    // DummyPenalty::where( "team_id", $team_id )->where("week", $week_number_pagination )->where("league_id", $league_id)->delete();                     
                }
                                
                foreach ($series as $serie => $puntaje) {                                    
                    $num++;
                    $total_points_added_by_serie = array_filter($puntaje, function ($value) {
                        return !is_null($value) && $value !== '';
                    });                                        
                    
                    error_log( $team_id );

                    if (count($total_points_added_by_serie) < $league->get_player_types["type_game"] && $valida_form == false ) {
                        $team = Team::find($team_id);                    
                        $response["status"] = false;
                        $response["message"] = "Ingresa el puntaje de los " . $league->get_player_types["type_game"] . " juegos para el equipo de '" . $team->name . "''.";
                        if( $team_id != 39 ){

                            if( $request->suspender_juego == null && $request->no_asistio_second == null &&  $request->no_asistio_first == null ){
                                return response()->json($response);
                            }

                        }
                    } 
                    
                    
                    //SE CALIFICA EN UNA SEMANA MENOR A LA QUE INGRESO EL EQUIPO LE PERMITE GUARDAR
                    //hay regla especial con los equipos  
                    if( $player_type->there_are_special_rule_with_the_teams == 1 ){                         

                        $check_pen = $this->checkPenalizacion( $puntaje, $team_id, $player_type, $num, $request->add_dummy[$rol_tournaments_id], $week_number_pagination, $league_id, $category_id );                          

                        $check_dummy_regla = $this->validaDummyReglaEspecial( $check_pen, $player_type, $num, $team_id);
            
                        
                        if( $check_dummy_regla["status"] === true ){

                            $response["status"]  = false;
                            $response["message"] = $check_dummy_regla["gender"];
                        
                            return response()->json($response);

                        }else{
                            
                            DummyPenalty::where("team_id", $team_id)->where("week", $week_number_pagination)
                                        ->where("league_id", $league_id)->where("category_id", $category_id)->where("sesion",$num)
                                        ->delete();

                        }

                        array_push($penalties_join, $check_pen);                     

                    }  
    
                }

            }else{

                $num = 0;
                foreach ($series as $serie => $puntaje) { 
                    $num++;
                 
                    if( $player_type->there_are_special_rule_with_the_teams == 1 ){
                        
                        $check_pen = $this->checkPenalizacion( $puntaje, $team_id, $player_type, $num, $request->add_dummy[$rol_tournaments_id], $week_number_pagination, $league_id, $category_id );  
                        $check_dummy_regla = $this->validaDummyReglaEspecial( $check_pen, $player_type, $num, $team_id);
                        
                        if( $check_dummy_regla["status"] === true ){

                            $response["status"]  = false;
                            $response["message"] = $check_dummy_regla["gender"];
                        
                            return response()->json($response);

                        }else{
                            
                            DummyPenalty::where("team_id", $team_id)->where("week", $week_number_pagination)
                                        ->where("league_id", $league_id)->where("category_id", $category_id)
                                        ->where("sesion",$num)
                                        ->delete();
                        }

                        array_push($penalties_join, $check_pen);
                                             
                    }  

                }   

                
            }           
            
            $penalizacion_suspendido = array();
            $penalizacion_dummy_suspendido = array();
            
            //CUANDO SE MENEJAN EJEMPLO 2 HOMBRES Y 2 MUJERES Y SE TIENE QUE PENELIZAR
            //gender 1 = hombre | 2 = mujer | 3 = juvenil | 4 = especial
            //hay regla especial con los equipos
            if( $player_type->there_are_special_rule_with_the_teams == 1 ){                                        
                
                Penalties::where("team_id", $team_id)
                         ->where("week",$week_number_pagination)                
                         ->where("league_id", $league_id)->delete(); 
                           
                        //  error_log("SE ELIMINA =======>");                
                
                // DummyPenalty::where("team_id", $team_id)->where("week",$week_number_pagination)
                //             ->where("league_id", $league_id)->where("category_id", $category_id)->delete(); 

                foreach ($penalties_join as $key => $penal) {                                        

                    if( $player_type->number_of_female > $penal["female"] || $player_type->number_of_male < $penal["male"] && 
                        $penal["female"] < $player_type->number_of_female ){
                
                        $penalties = new Penalties();

                        $penalties->player_id = 0;
                        $penalties->league_id = $league_id;
                        $penalties->week      = $week_number_pagination;
                        $penalties->team_id   = $penal["team_id"];
                        $penalties->sesion    = $penal["num"];
                        $penalties->category_id = $category_id;
                        $penalties->save(); 
                        
                        array_push( $penalizacion_suspendido, array( "player_id" => 0, 
                                                                     "league_id" => $league_id,
                                                                     "week_number_pagination" => $week_number_pagination - 1,
                                                                     "team_id" => $penal["team_id"],
                                                                     "sesion" => $penal["num"],
                                                                     "category_id" =>  $category_id
                                                                    ));

                        // $dummy_penalty = new DummyPenalty();
                        // $dummy_penalty->league_id = $league_id;
                        // $dummy_penalty->team_id   = $penal["team_id"];
                        // $dummy_penalty->player_id = $key;
                        // $dummy_penalty->week      = $week_number_pagination;
                        // $dummy_penalty->sesion    = $penal["num"];
                        // $dummy_penalty->gender    = $add_dummy[$team_id][$num][$key];  
                        // $dummy_penalty->category_id = $category_id;                                 
                        // $dummy_penalty->save();

                        //RECORRE LOS DUMYS YA QUE PUEDEN SER VARIOS                        
                        if( count( $penal["dummys"] ) > 0 ){

                            foreach ($penal["dummys"] as $key => $dummy) {

                                // DummyPenalty::where("team_id", $team_id)->where("week",$week_number_pagination)
                                //             ->where("league_id", $league_id)->where("category_id", $category_id)
                                //             ->delete(); 
                                
                                // $dummy_penalty = new DummyPenalty();
                                // $dummy_penalty->league_id = $dummy["league_id"];
                                // $dummy_penalty->team_id   = $dummy["team_id"];
                                // $dummy_penalty->player_id = $dummy["key"];
                                // $dummy_penalty->week      = $dummy["week"];
                                // $dummy_penalty->sesion    = $dummy["sesion"]; 
                                // $dummy_penalty->gender    = $dummy["gender"];  
                                // $dummy_penalty->category_id = $category_id;                                 
                                // $dummy_penalty->save();

                            }

                        }

                    }

                    foreach ($penal["dummys"] as $key => $value) {
                        // error_log( "DUMMYS => ". print_r($value, true) );
                        $dummy_penalty = new DummyPenalty();
                        $dummy_penalty->league_id = $league_id;
                        $dummy_penalty->team_id   = $penal["team_id"];
                        $dummy_penalty->player_id = $value["key"];
                        $dummy_penalty->week      = $week_number_pagination;
                        $dummy_penalty->sesion    = $penal["num"];
                        $dummy_penalty->gender    = $value["gender"];  
                        $dummy_penalty->category_id = $category_id;                                 
                        $dummy_penalty->save();
                    }
                    
                }
              
            }

        }  
                
        
        $player_rules = PlayerRules::where("league_id", $league_id)->first();
        $handicaps = Handicap::where("league_id", $league_id)->first();
        $rol = Rol::where("league_id", $league_id)->first();  

        
        /******** Insertamos el puntaje ********/
        $juegos  = array();
        $equipos = array();
        $num = 0;    
        
        foreach ($request->puntaje[$rol_tournaments_id] as $team_id => $series) {                     
                        
            $rol_tournaments_recalcular_handycap = RolTournament::where("rol_id", $rol->id)->where("type", "!=", "ronda_posiciones_virtual")->where("category_id", $category_id)->where("iterator_week", ">",$week_number_pagination)->where("suspended", 0)->whereRaw("(first_team_id = " . $team_id . " OR second_team_id = " . $team_id . ")")->get();
            //->whereRaw("(first_team_suspended = " . 0 . " OR second_team_suspended = " . 0 . ")")
            
            $num++;
            array_push($equipos, $team_id );        
            
            foreach ($series as $serie => $puntaje) {                            
                
                $rol_tournament_sessions_exists = RolTournamentSession::where("rol_tournament_id", $rol_tournaments_id)->where("team_id", $team_id)->where("session_number", $serie)->first();
                
                if ($rol_tournament_sessions_exists != null) {
                    $rol_tournament_sessions = $rol_tournament_sessions_exists;
                } else {
                    $rol_tournament_sessions = new RolTournamentSession();
                }
                
                $rol_tournament_sessions->rol_tournament_id = $rol_tournaments_id;
                $rol_tournament_sessions->team_id = $team_id;
                $rol_tournament_sessions->session_number = $serie;
                $rol_tournament_sessions->in_process_to_validate = 1;
                $rol_tournament_sessions->validate = 1;
                $rol_tournament_sessions->save();
                
                //Eliminamos el puntaje, cada vez que almacenemos el puntaje tenemos que elminar lo ya almacenado antes de volverlo a insertar
                RolTournamentSessionPoint::where("rol_tournament_session_id", $rol_tournament_sessions->id)->delete();                
                
                $sum_puntaje  = 0;
                $sum_handycap = 0;                
                
                foreach ($puntaje as $player_id => $puntaje_ingresado) {                    
                    

                    array_push($juegos, $player_id);
                    
                    if ($puntaje_ingresado != null) {
                        // error_log( $puntaje_ingresado );
                        
                        $rol_tournament_session_points = new RolTournamentSessionPoint();
                        $rol_tournament_session_points->rol_tournament_session_id = $rol_tournament_sessions->id;
                        $rol_tournament_session_points->player_id = $player_id;
                        $rol_tournament_session_points->handycap_calculated = $request->hc[$rol_tournaments_id][$team_id][$player_id];
                        $rol_tournament_session_points->points = $puntaje_ingresado;
                        $rol_tournament_session_points->save();
                        
                        $sum_puntaje  += $puntaje_ingresado;
                        $sum_handycap += $request->hc[$rol_tournaments_id][$team_id][$player_id];   
                                                
                    }
                    
                }                
                
                
                //Agregamos la sumatorias a la sesion (serie), esto nos va a servir para determinar quien gano
                $rol_tournament_sessions->sum_puntaje  = $sum_puntaje;
                $rol_tournament_sessions->sum_handycap = $sum_handycap;
                $rol_tournament_sessions->sum_puntaje_handycap = $sum_puntaje + $sum_handycap;
                
                $rol_tournament_sessions->save();                

            }

            
            $juegos_unique = array_unique( $juegos );
            // error_log(print_r($juegos_unique, true));
    
            foreach ($juegos_unique as $key => $player_id_unique) {
                // error_log( print_r( $equipos, true ) );
                // error_log( $team_id );
                $this->recalcular_handycap($league_id, $category_id, $week_number_pagination, $team_id, $player_id_unique, $handicap_each_categories, $player_rules, $handicaps, $rol_tournaments_recalcular_handycap );
            }        
        }    

        

        //hay que consultar el juego anterior en caso de ser suspendido
        // if( $week_number_pagination > 0 ){
        //     //Se revisa los 2 id first_team_id y second_team_id en dos consultas
        //     $rol_tournaments_previous     = RolTournament::where('iterator_week', $week_number_pagination - 1 )->where("suspended",true)->where('category_id',$category_id )->whereIn('first_team_id', array($rol_tournaments->first_team_id, $rol_tournaments->second_team_id) )->get();
        //     $rol_tournaments_previous_dos = RolTournament::where('iterator_week', $week_number_pagination - 1 )->where("suspended",true)->where('category_id',$category_id )->whereIn('second_team_id', array($rol_tournaments->first_team_id, $rol_tournaments->second_team_id) )->get();

        //     // error_log( "rol_tournaments_previous ====>". json_encode($rol_tournaments_previous) );

        //     // error_log( "rol_tournaments_previous_dos ====>". json_encode($rol_tournaments_previous_dos) );

            
        //     foreach ($rol_tournaments_previous as $key => $value) {
        //         error_log( "VALUE 1".$value );
        //         $this->insertar_puntaje_suspendido_new( $request->puntaje[$rol_tournaments_id], $value, $request, $rol_tournaments_id, $league, $rol_tournaments_previous );
        //     }
        //     // , $penalizacion_suspendido
        //     foreach ($rol_tournaments_previous_dos as $key => $value) {
        //         // error_log( "VALUE 2".$value );
        //         $this->insertar_puntaje_suspendido_new( $request->puntaje[$rol_tournaments_id], $value, $request, $rol_tournaments_id, $league, $rol_tournaments_previous_dos );
        //     }

        // } 

        /******** Insertamos el total en toda la serie PT ********/
        //Verificamos el puntaje total que tendrá el equipo Dummy
        //$puntaje_dummy = 0;
        // $handicap_each_categories = HandicapEachCategory::where("team_category_id", $category_id)->first();

        if ($handicap_each_categories != null) {
           $puntaje_dummy = $handicap_each_categories->base_dummy;
        }

        //Insertamos el puntaje total
        $rol_tournaments = RolTournament::find($rol_tournaments_id);
        //$rol_tournaments->first_team_total = ($first_team->name != "DUMMY") ? $request->total[$rol_tournaments_id][$first_team->id] : $puntaje_dummy;
        //$rol_tournaments->second_team_total = ($second_team->name != "DUMMY") ? $request->total[$rol_tournaments_id][$second_team->id] : $puntaje_dummy;
        
        $rol_tournaments->first_team_total  = $request->total[$rol_tournaments_id][$first_team->id];
        $rol_tournaments->second_team_total = $request->total[$rol_tournaments_id][$second_team->id];
        $rol_tournaments->save();


        /********* Dependiendo del valor de PT, indicamos quien gano la serie y asignamos el puntaje total *********/
        $puntos_por_seria_ganada = $league->get_player_types["point_by_win_serie"];
        
        //SE REVISA SI ES UN TEAM ID 39 DUMMY
        if( $this->validaDummy($equipos) || $valida_form  ){

            //POSICION DE DUMMY 1 O 2 
            // $this->searchDummy($equipos);
            /** REVISA LA CONFIGURACIÓN DE LA LIGA EN HANDICAP **/
            $handicap_each_categories =  HandicapEachCategory::where("team_category_id", $league_id)->first();
            $total_confi_liga =  $league->get_player_types["number_game_by_session"] * $handicap_each_categories->base_dummy;            

            if( $this->searchDummy($equipos) == 1 ){
    
                if ( $total_confi_liga > $rol_tournaments->second_team_total) {
                    $rol_tournaments->first_team_win_serie = 0;//$puntos_por_seria_ganada;
                    $rol_tournaments->second_team_win_serie = 0;                    
                } else if ($total_confi_liga < $rol_tournaments->second_team_total) {
                    // $rol_tournaments->first_team_win_serie = 0;
                    $rol_tournaments->second_team_win_serie = $puntos_por_seria_ganada;                    
                } else {                    
                    $rol_tournaments->first_team_win_serie = 0;
                    $rol_tournaments->second_team_win_serie = 0;
                }
    
                $rol_tournaments->save();
        

            }else{

                if ( $total_confi_liga > $rol_tournaments->first_team_total) {
                    // $rol_tournaments->first_team_win_serie = $puntos_por_seria_ganada;
                    // error_log("gana primero =========" .$puntos_por_seria_ganada);
                    $rol_tournaments->first_team_win_serie = 0;
                } else if ($total_confi_liga < $rol_tournaments->first_team_total) {
                    // $rol_tournaments->first_team_win_serie = 0;
                    // error_log("gana segundo");
                    $rol_tournaments->first_team_win_serie = $puntos_por_seria_ganada;
                } else {
                    // error_log("doble cero");
                    $rol_tournaments->first_team_win_serie = 0;
                    $rol_tournaments->second_team_win_serie = 0;
                }
    
                $rol_tournaments->save();

            }

        }else{
            // error_log("PROCESO NORMAL ===>". $rol_tournaments->first_team_total .">". $rol_tournaments->second_team_total);
            //PROCESO NORMAL

            if ($rol_tournaments->first_team_total > $rol_tournaments->second_team_total) {                
                $rol_tournaments->first_team_win_serie  = $puntos_por_seria_ganada;
                $rol_tournaments->second_team_win_serie = 0;
            } else if ($rol_tournaments->first_team_total < $rol_tournaments->second_team_total) {
                $rol_tournaments->first_team_win_serie  = 0;
                $rol_tournaments->second_team_win_serie = $puntos_por_seria_ganada;
            } else {

                // si el total es empatado se revisa cuantos juegos gano cada 1 para dar el punto por serie

                $total_first_wins = RolTournamentSession::where("rol_tournament_id", $rol_tournaments->id)
                                                        ->where("team_id", $rol_tournaments->first_team_id)
                                                        ->sum("win");

                $total_second_wins = RolTournamentSession::where("rol_tournament_id", $rol_tournaments->id)
                                                        ->where("team_id", $rol_tournaments->second_team_id)
                                                        ->sum("win"); 

                if( $total_first_wins > $total_second_wins ){
                    
                    $rol_tournaments->first_team_win_serie  = 1;
                    $rol_tournaments->second_team_win_serie = 0;

                }else if( $total_first_wins < $total_second_wins ){
                    $rol_tournaments->first_team_win_serie  = 0;
                    $rol_tournaments->second_team_win_serie = 1;
                }else{
                    //otro desempate 
                    $rol_tournaments->first_team_win_serie  = 0;
                    $rol_tournaments->second_team_win_serie = 0;
                }                                                       

                error_log("EMPATE DE SERIE ===>".$total_first_wins." === ".$total_second_wins);                                                        

            }

            $rol_tournaments->save();
        }
        
                
        //SI HAY PENALIZACION BUSCARA LOS JUGADORES DE LA SEMANA Y SU EQUIPO        
        foreach ($equipos as $key => $value) {
                        
            $penalties = Penalties::where("week", $week_number_pagination)
                                    ->where("category_id", $category_id)
                                    ->where("team_id", $value)
                                    ->pluck("sesion")->toArray();                                           
            
        
            if( count( $penalties) > 0 ){                
                
                $rol_t_s = RolTournamentSession::where("rol_tournament_id",$rol_tournaments->id)
                                               ->where("team_id", $value)->whereIn("session_number", $penalties)
                                               ->pluck("id")->toArray();

                $penalties_session = Penalties::where("week", $week_number_pagination)
                                                ->where("category_id", $category_id)
                                                ->where("team_id", $value)->get();   

                foreach ($penalties_session as $key => $sesion_penalies) {

                    $rol_t_s_update = RolTournamentSession::where("rol_tournament_id",$rol_tournaments->id)
                                               ->where("team_id", $value)->where("session_number", $sesion_penalies->sesion)
                                               ->first();
                    
                    
                    Penalties::where( "id", $sesion_penalies->id )->update([ "rol_tournament_sesion" => $rol_t_s_update->id, "rol_tournament_id" => $rol_tournaments->id ]);
                    
                    // Se valida que exista la semana con la penalizacion par no crearla con los 2 equipos

                    // $rolTournOne = RolTournament::where( "id", $rol_tournaments->id )->where("first_team_id", $value)->first();
                    $rolTourn = RolTournament::where( "id", $rol_tournaments->id )->whereRaw("(first_team_id = " . $value . " OR second_team_id = " . $value . ")")->first();                    
                    // $rolTournTow = RolTournament::where( "id", $rol_tournaments->id )->where("second_team_id", $value)->first();

                    
                    
                    if( $rolTourn ){
                        // $sesion_penalies->rol_tournament_id = $rolTournOne->id;
                        
                        $rol_t_s_anterior_update = RolTournamentSession::where("rol_tournament_id",$rolTourn->id)
                                                    ->where("team_id", $value)->where("session_number", $sesion_penalies->sesion)
                                                    ->first();

                        Penalties::where("team_id", $sesion_penalies->team_id)->where("week", $sesion_penalies->week - 1)                
                                        ->where("league_id", $sesion_penalies->league_id)->where("rol_tournament_id",$rolTourn->id)
                                        ->where("sesion",$sesion_penalies->sesion)
                                        ->delete();                                                

                        
                        $penalties_suspendido = new Penalties();
                        $penalties_suspendido->player_id = $sesion_penalies->player_id;
                        $penalties_suspendido->league_id = $sesion_penalies->league_id;
                        $penalties_suspendido->week = $sesion_penalies->week - 1;
                        $penalties_suspendido->team_id = $sesion_penalies->team_id;
                        $penalties_suspendido->category_id = $sesion_penalies->category_id;
                        $penalties_suspendido->sesion = $sesion_penalies->sesion;
                        $penalties_suspendido->rol_tournament_id = $rolTourn->id;
                        $penalties_suspendido->rol_tournament_sesion = $rol_t_s_anterior_update->id;

                        $penalties_suspendido->save();   

                    }
                                        

                }                                                                                                               
                    
                DB::table('rol_tournament_sessions')->where("rol_tournament_id",$rol_tournaments->id)
                                                    ->where("team_id", $value)
                                                    ->whereIn("session_number", $penalties)
                                                    ->decrement('sum_puntaje_handycap', $player_type->penalty_pins);

                

                $rolTournPrev = RolTournament::where('iterator_week', $week_number_pagination - 1 )->where("suspended",true)->where('category_id',$category_id )->first();
                             
                if( $rolTournPrev ){

                    DB::table('rol_tournament_sessions')->where("rol_tournament_id",$rolTournPrev->id)
                                                        ->where("team_id", $value)
                                                        ->whereIn("session_number", $penalties)
                                                        ->decrement('sum_puntaje_handycap', $player_type->penalty_pins);
                                                        
                }


                //si hay juegos suspendidos
                
                

            }
        }

        /********* Determinar quien gano o perdio el juego *********/
        for ($serie = 1; $serie <= $league->get_player_types["number_game_by_session"]; $serie++) {

            $win_first_team = 0;
            $win_second_team = 0;

            $rol_tournament_sessions_first_team  = RolTournamentSession::where("rol_tournament_id", $rol_tournaments_id)->where("team_id", $first_team->id)->where("session_number", $serie)->first();
            $rol_tournament_sessions_second_team = RolTournamentSession::where("rol_tournament_id", $rol_tournaments_id)->where("team_id", $second_team->id)->where("session_number", $serie)->first();

            //Primero revisaremos si la liga tiene configurado el puntaje por juego
            //Si hay puntaje por juego
            
            if ($league->get_player_types["point_by_game"] == 1) {

                error_log( "valida dummy =>". $valida_form);
                //VALIDA SI HAY DUMMY
                if( $this->validaDummy($equipos) || $valida_form ){          
                    
                    // error_log("valida dumy");

                    if( $this->searchDummy($equipos) == 1 ){
                        
                        if ($rol_tournament_sessions_second_team->sum_puntaje_handycap < $handicap_each_categories->base_dummy ) {  //Gano el primer equipo
                            // $win_first_team = 1;
                            $win_second_team = 0;
                        } else if ($rol_tournament_sessions_second_team->sum_puntaje_handycap > $handicap_each_categories->base_dummy) { //Gano el segundo equipo
                            // $win_first_team = 0;
                            $win_second_team = 1;
                        }else{
                            //Hubo empate
                            //Si hubo empate, le daremos el gane a quien tenga un PT mayor
                            if ($total_confi_liga > $rol_tournaments->second_team_total) {
                                // $win_first_team = 1;
                                $win_second_team = 0;
                            } else if ($total_confi_liga < $rol_tournaments->second_team_total) {
                                // $win_first_team = 0;
                                $win_second_team = 1;
                            }
                        }

                         
                    }else{       
                        
                        error_log("Califica dummy ==> ". $rol_tournament_sessions_first_team->sum_puntaje_handycap .">". $rol_tournament_sessions_second_team->sum_puntaje_handycap);

                        if ($rol_tournament_sessions_first_team->sum_puntaje_handycap > $handicap_each_categories->base_dummy ) {  //Gano el primer equipo
                            $win_first_team = 1;
                            // $win_second_team = 0;
                        } else if ($rol_tournament_sessions_first_team->sum_puntaje_handycap < $handicap_each_categories->base_dummy) { //Gano el segundo equipo
                            $win_first_team = 0;
                            // $win_second_team = 1;
                        }else{
                            //Hubo empate
                            //Si hubo empate, le daremos el gane a quien tenga un PT mayor
                            if ($total_confi_liga > $rol_tournaments->first_team_total) {
                                $win_first_team = 0;
                                // $win_second_team = 0;
                            } else if ($total_confi_liga < $rol_tournaments->first_team_total) {
                                $win_first_team = 1;
                                // $win_second_team = 1;
                            }
                        }

                    }

                }else{

                    // error_log("Califica dummy ==> ". $rol_tournament_sessions_first_team->sum_puntaje_handycap .">". $rol_tournament_sessions_second_team->sum_puntaje_handycap);
                    
                    // $teams_added_team_new = TeamsAddedInCurrentTournament::where("league_id", $league_id)->where("type",1)->where("team_id",$team_id)->first();                        

                    if ($rol_tournament_sessions_first_team->sum_puntaje_handycap > $rol_tournament_sessions_second_team->sum_puntaje_handycap) {  //Gano el primer equipo
                        $win_first_team = 1;
                        $win_second_team = 0;
                    } else if ($rol_tournament_sessions_first_team->sum_puntaje_handycap < $rol_tournament_sessions_second_team->sum_puntaje_handycap) { //Gano el segundo equipo
                        $win_first_team = 0;
                        $win_second_team = 1;
                    } else { 
                        //Hubo empate
                        //Si hubo empate, le daremos el gane a quien tenga un PT mayor
                        if ($rol_tournaments->first_team_total > $rol_tournaments->second_team_total) {
                            $win_first_team = 1;
                            $win_second_team = 0;
                        } else if ($rol_tournaments->first_team_total < $rol_tournaments->second_team_total) {
                            $win_first_team = 0;
                            $win_second_team = 1;
                        }
    
                    }

                }    

                $rol_tournament_sessions_first_team->win = $win_first_team;
                $rol_tournament_sessions_first_team->save();

                $rol_tournament_sessions_second_team->win = $win_second_team;
                $rol_tournament_sessions_second_team->save();

            } else {

                //No hay puntaje por juego
                $rol_tournament_sessions_first_team->win = null;
                $rol_tournament_sessions_first_team->save();

                $rol_tournament_sessions_second_team->win = null;
                $rol_tournament_sessions_second_team->save();

            }

        }

        /********* Revisaremos si podremos continuar a la siguiente semana *********/
        //Revisamos por cada categoria
        $enable_go_to_next_week = true;

        $rol_tournaments_by_week = RolTournament::where("rol_id", $rol_tournaments->rol_id)->where("category_id", $category_id)->where("iterator_week", $week_number_pagination)->whereRaw("(first_team_total is null or second_team_total is null)")->count();
        
        if ($rol_tournaments_by_week > 0) {
            $enable_go_to_next_week = false;
        }        
    

        // BUSCA SI HAY UN EMPATE TOTAL

        $rol_t_s_first_final = RolTournamentSession::where("rol_tournament_id", $rol_tournaments_id)->where("team_id", $first_team->id)
                                                    ->get();
        
        $numero_empates = 0;
        $reload_page = false;

        foreach ($rol_t_s_first_final as $key => $value) {

            $rol_t_s_second_final = RolTournamentSession::where("rol_tournament_id", $rol_tournaments_id)
                                ->where("team_id", $second_team->id)->where("session_number", $value->session_number)->first();
                                
            //Si hay un score con hc igual se revisa quien gana la serie para dar el gane
            if( $value->sum_puntaje_handycap == $rol_t_s_second_final->sum_puntaje_handycap ){
                
                error_log( $value->sum_puntaje_handycap ."==". $rol_t_s_second_final->sum_puntaje_handycap );

                if( $rol_tournaments->first_team_total > $rol_tournaments->second_team_total){
                    
                    // $rol_t_s_final = RolTournamentSession::find( $value->id );
                    // $rol_t_s_final->win = 1;
                    // $rol_t_s_final->save();

                }else if( $rol_tournaments->first_team_total < $rol_tournaments->second_team_total ){
                
                    // $rol_t_s_final = RolTournamentSession::find( $rol_t_s_second_final->id);
                    // $rol_t_s_final->win = 1;
                    // $rol_t_s_final->save();                      

                }else{
                    $numero_empates++;                    
                    //si es igual en total de juegos y serie se genera un empate salomonico 2-2 en caso de ser 3 juegos y las serie
                    // $league["get_player_types"]->number_game_by_session ==
                    if( $numero_empates >= 1 ){
                        
                        $rol_t_s_first = RolTournamentSession::where("rol_tournament_id", $rol_tournaments_id)->where("team_id", $first_team->id)->get();
                        
                        error_log("HAy un empate =>". json_encode($rol_t_s_first) );

                        foreach ($rol_t_s_first as $key => $rol_s) {

                            if (($rol_s->session_number % 2) == 0) {
                            
                                RolTournamentSession::where("rol_tournament_id", $rol_tournaments_id)->where("team_id", $first_team->id) 
                                                    ->where("session_number", $rol_s->session_number)->update(["win" => 0]);                                    

                            }else{

                                RolTournamentSession::where("rol_tournament_id", $rol_tournaments_id)->where("team_id", $first_team->id) 
                                                    ->where("session_number", $rol_s->session_number)->update(["win" => 1]);                                    
                            }

                        }


                        RolTournamentSession::where("rol_tournament_id", $rol_tournaments_id)->where("team_id", $second_team->id) 
                                            ->whereIn("session_number", [1,3])->update(["win" => 0]);

                        RolTournamentSession::where("rol_tournament_id", $rol_tournaments_id)->where("team_id", $second_team->id) 
                                            ->where("session_number", 2)->update(["win" => 1]);
                                                               

                        RolTournament::where("id",$rol_tournaments_id)->update([ "second_team_win_serie" => 1 ]);  
                        RolTournament::where("id",$rol_tournaments_id)->update([ "first_team_win_serie" => 0 ]);                                                         
                        $reload_page = true;
                                                                                                    
                    }
                    //EN CASO DE EMPATE 

                    // if($numero_empates >= 1 && $numero_empates < $league["get_player_types"]->number_game_by_session ){

                    // }

                }                                      
            }
        }

        //Verificamos si la siguiente semana es ronda de posiciones fisica o virtual
        //se cambio a que la ronda anterior
        Pastora::calcular_ronda_de_posiciones($rol_tournaments->rol_id, $week_number_pagination, ($week_number_pagination + 1), $category_id);

        if( $rol_tournaments->type == "ronda_posiciones_virtual" ){
            //Devolvemos el rol tournament session para refrescar en la pantalla quien gano o perdio
            $rol_tournament_sessions_first_team = RolTournamentSession::where("rol_tournament_id", $rol_tournaments_id)->where("team_id", $first_team->id)->orderBy('id', "DESC")->get();
            $rol_tournament_sessions_second_team = RolTournamentSession::where("rol_tournament_id", $rol_tournaments_id)->where("team_id", $second_team->id)->orderBy('id', "DESC")->get();
        }else{
            //Devolvemos el rol tournament session para refrescar en la pantalla quien gano o perdio
            $rol_tournament_sessions_first_team = RolTournamentSession::where("rol_tournament_id", $rol_tournaments_id)->where("team_id", $first_team->id)->orderBy('id', "ASC")->get();
            $rol_tournament_sessions_second_team = RolTournamentSession::where("rol_tournament_id", $rol_tournaments_id)->where("team_id", $second_team->id)->orderBy('id', "ASC")->get();
        }

        // error_log( print_r( $rol_tournament_sessions_first_team, true ) );

        if( $week_number_pagination > 0 ){
            //Se revisa los 2 id first_team_id y second_team_id en dos consultas
            $rol_tournaments_previous     = RolTournament::where('iterator_week', $week_number_pagination - 1 )->where("suspended",true)->where('category_id',$category_id )->whereIn('first_team_id', array($rol_tournaments->first_team_id, $rol_tournaments->second_team_id) )->get();
            $rol_tournaments_previous_dos = RolTournament::where('iterator_week', $week_number_pagination - 1 )->where("suspended",true)->where('category_id',$category_id )->whereIn('second_team_id', array($rol_tournaments->first_team_id, $rol_tournaments->second_team_id) )->get();

            // error_log( "rol_tournaments_previous ====>". json_encode($rol_tournaments_previous) );

            // error_log( "rol_tournaments_previous_dos ====>". json_encode($rol_tournaments_previous_dos) );

            
            foreach ($rol_tournaments_previous as $key => $value) {
                // error_log( "VALUE 1".$value );
                $this->insertar_puntaje_suspendido_new( $request->puntaje[$rol_tournaments_id], $value, $request, $rol_tournaments_id, $league, $rol_tournaments_previous, $player_type );
            }
            // , $penalizacion_suspendido
            foreach ($rol_tournaments_previous_dos as $key => $value) {
                // error_log( "VALUE 2".$value );
                $this->insertar_puntaje_suspendido_new( $request->puntaje[$rol_tournaments_id], $value, $request, $rol_tournaments_id, $league, $rol_tournaments_previous_dos, $player_type );
            }

        } 
        

        // $this->player_tabla_posiciones( $request->puntaje[$rol_tournaments_id], $league_id, $category_id, $week_number_pagination );        
        //$response["url"] = route("asignar_puntaje.create", array(base64_encode($league_id), $week_number_pagination));
        
        $response["url"] = "dont_reload";
        $response["rol_tournament_sessions_first_team"] = $rol_tournament_sessions_first_team;
        $response["rol_tournament_sessions_second_team"] = $rol_tournament_sessions_second_team;
        $response["rol_tournaments"] = $rol_tournaments;
        $response["status"] = true;
        $response["enable_go_to_next_week"] = $enable_go_to_next_week;
        // $response["penalizacion"] = $penalizacion;        
        $response["message"] = "El puntaje del juego se ha almacenado correctamente.";

        return response()->json($response);
    }


    public function get_tabla_posiciones($rol_id, $iterator_week, $category_id)
    {

        $rol = Rol::find($rol_id);
        $league = League::find($rol->league_id);
        $rol_torunament = RolTournament::where("rol_id", $rol->id)->where("iterator_week", $iterator_week)->where("category_id", $category_id)->first();

        //Obtenemos la tabla de posiciones por categoria
        $posiciones = array();
        $posiciones["tabla_posiciones"] = Pastora::get_tabla_de_posiciones_global($rol->id, $iterator_week, $category_id);
        $posiciones["category"] = TeamCategory::find($category_id);
        $posiciones["rol_tournament"] = $rol_torunament;

        $view = view("back.league.asignar_puntaje.tabla_de_posiciones", compact("posiciones"))->render();        
        return response()->json($view);
    }


    public function get_tabla_posiciones_json( Request $request )
    {
        //$rol_id, $iterator_week, $category_id
        $rol = Rol::find($request->rol_id);
        $league = League::find($rol->league_id);

        $rol_torunament = RolTournament::where("rol_id", $rol->id)->where("iterator_week", $request->iterator_week)->where("category_id", $request->category_id)->first();        
        //Obtenemos el número de la semana segun el iterator_week, ya que tenemos semanas de ronda de posiciones virtuales
        $rol_tournaments_weeks = RolTournament::where("rol_id", $rol->id)->where("category_id", $request->category_id)->where("type", "!=", "ronda_posiciones_virtual")->where("suspended", "0")->groupBy("iterator_week")->orderBy("id", "ASC")->get();
        
        $week_label_number = 1;
        foreach ($rol_tournaments_weeks as $rol_tournaments_week) {
            if ($rol_tournaments_week->iterator_week < $request->iterator_week) {
                $week_label_number++;
            }
        }

        //Obtenemos la tabla de posiciones por categoria
        $posiciones = array();
        $posiciones["tabla_posiciones"] = Pastora::get_tabla_de_posiciones_global($rol->id, $request->iterator_week, $request->category_id);
        $posiciones["category"] = TeamCategory::find($request->category_id);
        $posiciones["rol_tournament"] = $rol_torunament;
        $posiciones["week_label_number"] = $week_label_number;
        
        return response()->json($posiciones);
    }

    private function numeros_de_semanas( $week_db, $week ){
        $valor = array();
        for ($i = 0; $i <= $week; $i++) {
            if( $week_db !== $i ){
                array_push($valor, $i);
            }
        }
        return $valor;
    }

    private function excluir_semanas_new( $week, $acumulado, $inicio = 0 ){
        $valor = array();
        for ($i = $inicio; $i < $week; $i++) {
            if( $i !== $this->excluir_semanas( $acumulado, $i ) ){
                array_push($valor, $i);
            }                        
        }
        return $valor;   
    }

    private function excluir_semanas( $semanas, $num ){
        foreach ($semanas as $key => $value) {
            if( $value == $num ){
                return $num;
            }
        }
        
    }

    private function is_negative_number($number=0){

        if( is_numeric($number) AND ($number<0) ){
            return true;
        }else{
            return false;
        }
    
    }

    private function semanas_torneo( $weeks_to_complete_games, $week ){      
        $ids = [];
        for ($i = $week-$weeks_to_complete_games; $i < $week; $i++) {
            // error_log( "weeks_to_complete_games". $i );
            if( !$this->is_negative_number($i) ){
                array_push( $ids, $i );
            }
        }

        return $ids;
    }

    private function semanas_torneo_equipo_nuevo( $weeks_to_complete_games, $week, $week_equipo_new ){ 
        $ids = [];
        // 1 4 4
        if( $week >= $week_equipo_new ){
            for ($i = $week-$weeks_to_complete_games; $i < $week; $i++) {            
                if( !$this->is_negative_number($i) ){
                    if( $i > $week_equipo_new ){
                        array_push( $ids, $i );
                    }
                }
            }
            return $ids;
        }else{
            return [];
        }

    }


    public function get_handycap_by_player(PlayerInTeamEachCategory $player_in_team_each_category, $week, $league_id, $category_id, $team_id, $type, $rol_tournament, $tabla_posiciones = false, $margen_semanas = "<" )
    {        

        /**** JUGADOR DUMMY ****/
        //Si el jugador a procesar es un jugador DUMMY, retornaremos el HandyCap en 0
        if ($player_in_team_each_category->player_id <= 0) {
            // if( $team_id == 45 ){
            //     error_log("Se regresa un 0". $player_in_team_each_category);
            // }
            return 0;
        }

        ///**** CALCULO DE HANDYCAP PARA RONDA DE POSICIONES VIRTUAL ****/
        ////Cuando sea una ronda de posiciones virtual, vamos a retornar el valor de handycap que tenga almacenado ya que corresponde al de la semana anterior del cual se hizo la copia
        //if ($type == "ronda_posiciones_virtual") {
        //
        //    $rol_tournament_sessions = RolTournamentSession::where("rol_tournament_id", $rol_tournament->id)->where("team_id", $team_id)->first();
        //    $rol_tournament_session_points = RolTournamentSessionPoint::where("rol_tournament_session_id", $rol_tournament_sessions->id)->where("player_id", $player_in_team_each_category->player_id)->first();
        //
        //    if ($rol_tournament_session_points != null) {
        //        return $rol_tournament_session_points->handycap_calculated;
        //    } else {
        //        return 0;
        //    }
        //
        //}

        /**** CALCULO DE HANDYCAP ****/
        $player_rules = PlayerRules::where("league_id", $league_id)->first();
        $handicaps = Handicap::where("league_id", $league_id)->first();
        $rol = Rol::where("league_id", $league_id)->first();
        $handicap_each_categories = HandicapEachCategory::where("team_category_id", $category_id)->first();

        //Un jugador nuevo lo determinaremos si el handycap inicial es null.
        $is_player_new = (!is_null($player_in_team_each_category->player_handy_cap_in_tournament)) ? false : true;        
                       

        $cumple_primera_condicion = false;
        $cumple_segunda_condicion = false;

        //La diferencia entre la condición 1 y 2 es que la condición 1 le da ventaja a los juegadores nuevos de que se genere su handycap con menos jugadas
        //Comunmente se configura que los jugadores nuevos tienen que jugar al menos 2 partidos en primer semana mientras que los no nuevos tienen que acumular 3.
            
        $semana_uno_equipo_nuevo = false;

        $teams_added_team_new = TeamsAddedInCurrentTournament::where("league_id", $league_id)->where("type",1)->where("team_id",$team_id)->first();                        
        
        // error_log("teams_added_team_new ==>" .$teams_added_team_new );

        if( $teams_added_team_new ){
        
            if( ($teams_added_team_new->week-1) == $week ){   
                $semana_uno_equipo_nuevo = true;               
            }
            
            //SE SE CONSULTA UNA SEMANAS ATRAS DE LA SEMANA QUE INGRESO SE REGRESA 0                    
            if( ($teams_added_team_new->week - 1) > $week ){
                return 0;
            }

            //VERIFICAMOS QUE EQUIPO ES EL NUEVO EN LE TORNEO PARA CAMBIAR SU SEMANA INICIAL
            $rol_tournaments = RolTournament::where("rol_id", $rol->id)->where("category_id", $category_id)->where("iterator_week", ($teams_added_team_new->week-1) )->whereRaw("(first_team_id = " . $team_id . " OR second_team_id = " . $team_id . ")")->first();                              
            

        }else{
           
            //revisa la primer semana de los equipos normales
            $rol_tournaments = RolTournament::where("rol_id", $rol->id)->where("category_id", $category_id)->where("iterator_week", 0)->whereRaw("(first_team_id = " . $team_id . " OR second_team_id = " . $team_id . ")")->first();                            
        }       
                
        //Para jugadores nuevos, vamos a verificar que en la primer semana, el jugador haya jugado al menos la cantidad configurada en "Handicap", campo "Cuantos juegos debe de realizar en la primer semana"
        //Sacamos cuantos juegos realizo el jugador en la primer semana
        
        // $rol_tournaments = RolTournament::where("rol_id", $rol->id)->where("category_id", $category_id)->where("iterator_week", 0)->whereRaw("(first_team_id = " . $team_id . " OR second_team_id = " . $team_id . ")")->first();               
        $rol_tournament_sessions = RolTournamentSession::where("rol_tournament_id", $rol_tournaments->id)->where("team_id", $team_id)->pluck("id")->toArray();
        $rol_tournament_session_points = RolTournamentSessionPoint::whereIn("rol_tournament_session_id", $rol_tournament_sessions)->where("player_id", $player_in_team_each_category->player_id)->count();               



        //SE REVISA SI LA SEMANA ANTERIOR ES UNA RONDA DE POSICIONES
        $rol_tournaments_prev = RolTournament::where("rol_id", $rol->id)->where("category_id", $category_id)->where("iterator_week", "=", $week-1)->first();                 
                
        /**** SEGUNDA CONDICION ****/
        //Sean jugadores nuevos o no nuevos, se hace la condición 2
        //La segunda condición consiste en revisar cuantos partidos ha tenido el jugador desde el inicio. el jugador haya jugado al menos la cantidad configurada en "Handicap", campo "Cuantos juegos debe de jugar un jugador para obtener su Handicap nuevo"        
        
        // antes -  teams_added_team_new
        if( $semana_uno_equipo_nuevo ){            
            //Sacamos cuantos juegos realizo el jugador desde la primer semana el equipo nuevo
            $semanas_torneo_equipo_nuevo = $this->semanas_torneo_equipo_nuevo( $handicaps->weeks_to_complete_games, $week, $teams_added_team_new->week );                    
            // $rol_tournaments = RolTournament::where("rol_id", $rol->id)->where("category_id", $category_id)->where("iterator_week", ">", ($teams_added_team_new->week-1))->where("iterator_week", "<", $week)->whereRaw("(first_team_id = " . $team_id . " OR second_team_id = " . $team_id . ")")->pluck("id")->toArray();            
            $rol_tournaments = RolTournament::where("rol_id", $rol->id)->where("category_id", $category_id)->whereIn("iterator_week", $semanas_torneo_equipo_nuevo)->whereRaw("(first_team_id = " . $team_id . " OR second_team_id = " . $team_id . ")")->pluck("id")->toArray();                    
        }else{
            
            $semanas_torneo = [];

            //NO CONFUNDIR SE EVALUA LAS SEMANAS CONFIGURADAS EN LA LIGA PARA 
            
            //esta funcion se utiliza mas abajo por eso se consulto asi
            // if( $rol_tournaments_prev ){                
                
            //     if( $rol_tournaments_prev->type == "ronda_posiciones_virtual" ){ 
            //         $semanas_torneo = $this->semanas_torneo($handicaps->weeks_to_complete_games, $week);                       
            //         error_log("HAY UNA RONDA VIRTUAL ");
            //         // error_log(print_r($semanas_torneo, true));               
            //         // $rol_tournaments = RolTournament::where("rol_id", $rol->id)->where("category_id", $category_id)->whereIn("iterator_week", $semanas_torneo)->whereRaw("(first_team_id = " . $team_id . " OR second_team_id = " . $team_id . ")")->pluck("id")->toArray();            
            //         $rol_tournaments = RolTournament::where("rol_id", $rol->id)->where("category_id", $category_id)->where("iterator_week", "<", $week)->whereRaw("(first_team_id = " . $team_id . " OR second_team_id = " . $team_id . ")")->pluck("id")->toArray();            
            //     }else{                    
            //         $semanas_torneo = $this->semanas_torneo($handicaps->weeks_to_complete_games, $week);
            //         $rol_tournaments = RolTournament::where("rol_id", $rol->id)->where("type","!=","ronda_posiciones_virtual")->where("category_id", $category_id)->where("iterator_week", "<", $week)->whereRaw("(first_team_id = " . $team_id . " OR second_team_id = " . $team_id . ")")->pluck("id")->toArray();                                                           
            //     }
                
            //     // $semanas_torneo = $this->semanas_torneo($handicaps->weeks_to_complete_games, $week);  
            //     // $rol_tournaments = RolTournament::where("rol_id", $rol->id)->where("category_id", $category_id)->whereIn("iterator_week", $semanas_torneo)->whereRaw("(first_team_id = " . $team_id . " OR second_team_id = " . $team_id . ")")->pluck("id")->toArray();            

            // }else{                
            //     $semanas_torneo = $this->semanas_torneo($handicaps->weeks_to_complete_games, $week);
            //     $rol_tournaments = RolTournament::where("rol_id", $rol->id)->where("type","!=","ronda_posiciones_virtual")->where("category_id", $category_id)->where("iterator_week", "<", $week)->whereRaw("(first_team_id = " . $team_id . " OR second_team_id = " . $team_id . ")")->pluck("id")->toArray();
            // }                     
            
            // $rol_tournaments = RolTournament::where("rol_id", $rol->id)->where("type","!=","ronda_posiciones_virtual")->where("category_id", $category_id)->where("iterator_week", "<", $week)->whereRaw("(first_team_id = " . $team_id . " OR second_team_id = " . $team_id . ")")->pluck("id")->toArray();
            //Sacamos cuantos juegos realizo el jugador desde la primer semana
            //actualizacion segun esto debe ser en base a configuracion de la liga
            
            // $rol_tournaments = RolTournament::where("rol_id", $rol->id)->where("category_id", $category_id)->whereIn("iterator_week", $semanas_torneo)->whereRaw("(first_team_id = " . $team_id . " OR second_team_id = " . $team_id . ")")->pluck("id")->toArray();            
            $rol_tournaments = RolTournament::where("rol_id", $rol->id)->where("type", "!=", "ronda_posiciones_virtual")->where("category_id", $category_id)->where("iterator_week", $margen_semanas ,$week)->where("suspended", 0)->whereRaw("(first_team_id = " . $team_id . " OR second_team_id = " . $team_id . ")")->whereRaw("(first_team_suspended = " . 0 . " OR second_team_suspended = " . 0 . ")")->pluck("id")->toArray();            
        
        }   

        // Si es 0 no se toma en cuenta la condicion
        if( $handicaps->news_players_how_many_games_play_on_first_week != 0 ){
            
            //puede complir los juagos en el primero pero esto solo seria para jugadores 
            //solo se aplica para jugadores nuevos con un valor null o vacio, si el jugador tiene 0 o mas se toma la regla 2
            if ($rol_tournament_session_points >= $handicaps->news_players_how_many_games_play_on_first_week && $is_player_new ) {
                $cumple_primera_condicion = true;                              
            }

        }
            
        
        //CONSULTA ANTERIOR
        // $rol_tournaments = RolTournament::where("rol_id", $rol->id)->where("category_id", $category_id)->where("iterator_week", "<", $week)->whereRaw("(first_team_id = " . $team_id . " OR second_team_id = " . $team_id . ")")->pluck("id")->toArray();        

        //SE CONSULTA A LA SEGUNDA CONDICION
        // $rol_tournament_sessions = RolTournamentSession::whereIn("rol_tournament_id", $rol_tournaments)->where("team_id", $team_id)->pluck("id")->toArray();
        // $rol_tournament_session_points = RolTournamentSessionPoint::whereIn("rol_tournament_session_id", $rol_tournament_sessions)->where("player_id", $player_in_team_each_category->player_id)->count();            
        
        // error_log( $rol_tournament_session_points );

        // if ($rol_tournament_session_points >= $handicaps->how_many_games_to_get_new_handicap) {            
        //     $cumple_segunda_condicion = true;            
        // }        
        
        
        $player = Player::find($player_in_team_each_category->player_id);     
        
       

            
        foreach ($rol_tournaments as $key => $value) {
            
            $arr = array_slice($rol_tournaments, $key, $handicaps->weeks_to_complete_games);
            $rol_tournament_sessions = RolTournamentSession::whereIn("rol_tournament_id", $arr)->where("team_id", $team_id)->pluck("id")->toArray();
            $rol_tournament_session_points = RolTournamentSessionPoint::whereIn("rol_tournament_session_id", $rol_tournament_sessions)->where("player_id", $player_in_team_each_category->player_id)->count();                     
        
            if ($rol_tournament_session_points >= $handicaps->how_many_games_to_get_new_handicap) {            
                $cumple_segunda_condicion = true;    
                break;        
            }
        }
        // }               
         
      

        //Primero revisamos si es la primera semana
        if ($week == 0 || $semana_uno_equipo_nuevo) {

            
            //Cuando es la semana 1, solamente verificaremos si colocamos el handycap inicial o en 0 dependiendo de lo que se configure en "Configuración de jugadores", campo " ¿Jugadores inician con handicap en "0"?"
            if ($player_rules->players_start_with_zero_handicap == 1) {                
                return 0; //Jugadores inician con handycap en 0
            } else {    
                                                

                //Si es un jugador nuevo, verificamos si genero un handycap, si no genero le regresamos 0 ya que ira generando su handycap conforme se le vaya asignando puntaje
                if ($is_player_new) {

                    // if( $is_player_new ){
                    //     error_log($is_player_new);
                    //     error_log("player ==>". $player);
                    //     error_log("cumple_primera_condicion=>".$cumple_primera_condicion);
                    // }                    
                                    

                    if ($cumple_primera_condicion) {

                        //Para la semana 1 (0) al menos para jugadores nuevos si generaremos su handycap de forma dinamica. Para jugadores viejos no generaremos su handycap.
                        //Para generar el nuevo handycap tenemos una formula que desglosaremos
                        //Suma de todos los Pinos tirados anteriores a la semana actual/cantidad de juegos jugados                        
                        if( $semana_uno_equipo_nuevo ){                            
                            $rol_tournaments = RolTournament::where("rol_id", $rol->id)->where("category_id", $category_id)->where("iterator_week", "=", ($teams_added_team_new->week-1))->whereRaw("(first_team_id = " . $team_id . " OR second_team_id = " . $team_id . ")")->pluck("id")->toArray();
                        }else{                    
                            $rol_tournaments = RolTournament::where("rol_id", $rol->id)->where("category_id", $category_id)->where("iterator_week", "=", 0)->whereRaw("(first_team_id = " . $team_id . " OR second_team_id = " . $team_id . ")")->pluck("id")->toArray();
                        }                                            

                        $rol_tournament_sessions = RolTournamentSession::whereIn("rol_tournament_id", $rol_tournaments)->where("team_id", $team_id)->pluck("id")->toArray();

                        $promedio = RolTournamentSessionPoint::whereIn("rol_tournament_session_id", $rol_tournament_sessions)->where("player_id", $player_in_team_each_category->player_id)->avg("points");
                        $base = $handicap_each_categories->base_normal;                     

                        //hc retroactivo
                        
                        if( $handicaps->retroactivo == 1 ){
                            return $this->calcular_handycap($player, $promedio, $base, $handicap_each_categories);
                        }else{  
                            
                            // if( $player->id == 107 ){
                            //     error_log("RETROACTIVO ===>". $handicaps->retroactivo);
    
                            //     // error_log("cumple_primera_condicion =>". $cumple_primera_condicion);
                            //     // error_log("cumple_segunda_condicion =>". $cumple_segunda_condicion);
                            // }
    
                            $hc = $player_in_team_each_category->player_handy_cap_in_tournament ? $player_in_team_each_category->player_handy_cap_in_tournament: 0;                                                                                                      

                            // error_log("hc".$hc);
                            return $hc;   
                        }


                    } else {                         
                        return 0;
                    }

                } else { 
               

                    // si es true validara y contara la semana para la tabla de posiciones individual
                    if( $tabla_posiciones ){

                        if( $semana_uno_equipo_nuevo ){                            
                            $rol_tournaments = RolTournament::where("rol_id", $rol->id)->where("category_id", $category_id)->where("iterator_week", "=", ($teams_added_team_new->week-1))->whereRaw("(first_team_id = " . $team_id . " OR second_team_id = " . $team_id . ")")->pluck("id")->toArray();
                        }else{                    
                            $rol_tournaments = RolTournament::where("rol_id", $rol->id)->where("category_id", $category_id)->where("iterator_week", "=", 0)->whereRaw("(first_team_id = " . $team_id . " OR second_team_id = " . $team_id . ")")->pluck("id")->toArray();
                        }  

                        $rol_tournament_sessions = RolTournamentSession::whereIn("rol_tournament_id", $rol_tournaments)->where("team_id", $team_id)->pluck("id")->toArray();

                        $promedio = RolTournamentSessionPoint::whereIn("rol_tournament_session_id", $rol_tournament_sessions)->where("player_id", $player_in_team_each_category->player_id)->avg("points");
                        $base = $handicap_each_categories->base_normal;
                        
                        return $this->calcular_handycap($player, $promedio, $base, $handicap_each_categories);
                    }
                    
                    //Jugadores inician con handycap inicial indicado en "Jugadores", campo "HAndyCap inicial"                    
                    return $player_in_team_each_category->player_handy_cap_in_tournament;
                }

            }

        } else {                
                                    
                        
            /**** GENERAR NUEVO HANDYCAP ****/
            //Revisamos si cumple al menos una condición, si la cumple generamos su nuevo handycap.
            //Si no la cumple pierde su handycap y le colocamos el handycap en 0
                    
            

            if ($cumple_primera_condicion || $cumple_segunda_condicion) { 
                
                
                
                //SE AÑADE ES TABLA PARA EL CONTROL DE EQUIPOS AÑADIDOS EN UN JUGO EN CURSOR
                //EN ESTE CASO ES LA SUSTITUCION DEL DUMMY
                //CUENTA A PARTIR DE LA SEMANA EN QUE SE AÑADIO EL EQUIPO Y SUS JUGADORES
                

                // $teams_added_in_current_tournament =  TeamsAddedInCurrentTournament::where("team_id", $team_id)->where("league_id", $league_id)->where("week", $week)->first();
                       
                
                //Para generar el nuevo handycap tenemos una formula que desglosaremos
                //Suma de todos los Pinos tirados anteriores a la semana actual/cantidad de juegos jugados   
                
                //JUEGOS SUSPENDIDOS INDIVIDUALES                
                $teams_added_partido = TeamsAddedInCurrentTournament::where("team_id", $team_id)->where("type",2)->where("league_id", $league_id)->where("week", "<" ,$week)->get();
            
                //REVISA SI HAY NUEVO EQUIPO SOLO DEBE SER UNO POR AHORA
                $teams_added_team_new = TeamsAddedInCurrentTournament::where("league_id", $league_id)->where("type",1)->where("team_id",$team_id)->first();                
                
                
                //SE VALIDA SI HAY JUEGOS SUSPENDIDOS
                //SI HAY JUEGO SUSPENDIDOS SE REALIZAN OTRAS CONSULTAS YA QUE HAY QUE OMITIR ESA SEMANA EN EL HANDICAP
                
                // //SE REVISA SI LA SEMANA ANTERIOR ES UNA RONDA DE POSICIONES
                // $rol_tournaments_prev = RolTournament::where("rol_id", $rol->id)->where("category_id", $category_id)->where("iterator_week", "=", $week-1)->first();
                                
                
                if( count( $teams_added_partido ) > 0 ){                                           
                    
                    // error_log( print_r($teams_added_team_new, true) );
                    // error_log("Equipoo new ==> ". print_r($teams_added_partido, true));
        
                    //REVISA SI HAY UN NUEVO EQUIPO
                    if( $teams_added_team_new ){  
                                                                        
                        //SE CONTARA A PARTIR DE LA SEMANA EN QUE INGRESO Y SE REVISA SI TIENE JUEGOS SUEPENDIDOS
                        //acumula las semanas a excluir
                        // $acumulado = $this->acumulaIdsAExcluir( $teams_added_partido ); 
                        //SEMANAS QUE CONSULTARA
                        // $semanas = $this->excluir_semanas_new($week, $acumulado, ($teams_added_team_new->week - 2));                        
                        // $rol_tournaments = RolTournament::where("rol_id", $rol->id)->where("suspended","=",0)->where("category_id", $category_id)->where("type","!=","ronda_posiciones_virtual")->whereIn("iterator_week", $semanas)->whereRaw("(first_team_id = " . $team_id . " OR second_team_id = " . $team_id . ")")->pluck("id")->toArray();                                       
                        $rol_tournaments = RolTournament::where("rol_id", $rol->id)->where("suspended","=",0)->where("type","!=","ronda_posiciones_virtual")->where("category_id", $category_id)->where("iterator_week", $margen_semanas, $week)->whereRaw("(first_team_id = " . $team_id . " OR second_team_id = " . $team_id . ")")->pluck("id")->toArray();
                        
                    }else{
                        
                        //NO HAY UN EQUIPO NUEVO SOLO JUEGOS SUSPENDIDOS                        
                        //acumula las semanas a excluir
                        // $acumulado = $this->acumulaIdsAExcluir( $teams_added_partido );
                        //SEMANAS QUE CONSULTARA
                        // $semanas = $this->excluir_semanas_new($week, $acumulado);
                        // error_log( "ACUMULADO ===>". print_r( $semanas, true ) );                       

                        // $rol_tournaments = RolTournament::where("rol_id", $rol->id)->where("suspended","=",0)->where("type","!=","ronda_posiciones_virtual")->where("category_id", $category_id)->whereIn("iterator_week", $semanas)->whereRaw("(first_team_id = " . $team_id . " OR second_team_id = " . $team_id . ")")->pluck("id")->toArray();
                        // $rol_tournaments = RolTournament::where("rol_id", $rol->id)->where("first_team_suspended","=",0)->where("second_team_suspended","=",0)->where("suspended","=",0)->where("type","!=","ronda_posiciones_virtual")->where("category_id", $category_id)->where("iterator_week", "<", $week)->whereRaw("(first_team_id = " . $team_id . " OR second_team_id = " . $team_id . ")")->pluck("id")->toArray();
                        $rol_tournaments = RolTournament::where("rol_id", $rol->id)->where("suspended","=",0)->where("type","!=","ronda_posiciones_virtual")->where("category_id", $category_id)->where("iterator_week", $margen_semanas, $week)->whereRaw("(first_team_id = " . $team_id . " OR second_team_id = " . $team_id . ")")->pluck("id")->toArray();                        
                    }
                   
                }else{    
                                                          
                    if( $teams_added_team_new ){
                      
                        //SI LA SEMANA REGISTRADA ES MENOR A LA ACTUAL COMIENZA A CONTAR A PARTIR DE AHI                                                
                        if( ($teams_added_team_new->week-1) < $week ){                                                        
                            $rol_tournaments = RolTournament::where("rol_id", $rol->id)->where("suspended","=",0)->where("type","!=","ronda_posiciones_virtual")->where("category_id", $category_id)->whereBetween("iterator_week",[ ($teams_added_team_new->week-1), ($week-1)])->whereRaw("(first_team_id = " . $team_id . " OR second_team_id = " . $team_id . ")")->pluck("id")->toArray();                                                                                      

                        }else{                            
                            // $rol_tournaments = RolTournament::where("rol_id", $rol->id)->where("category_id", $category_id)->where("iterator_week", "<", $week)->whereRaw("(first_team_id = " . $team_id . " OR second_team_id = " . $team_id . ")")->pluck("id")->toArray();                                       
                            $rol_tournaments = RolTournament::where("rol_id", $rol->id)->where("suspended","=",0)->where("type","!=","ronda_posiciones_virtual")->where("category_id", $category_id)->whereBetween("iterator_week",[ ($teams_added_team_new->week - 1), ($week-1)])->whereRaw("(first_team_id = " . $team_id . " OR second_team_id = " . $team_id . ")")->pluck("id")->toArray();                                                                                
                        }                                                

                    }else{                                                    
                                                
                        /*
                        $rol_tournaments = RolTournament::where("rol_id", $rol->id)->where("category_id", $category_id)->where("iterator_week", "<", $week)->whereRaw("(first_team_id = " . $team_id . " OR second_team_id = " . $team_id . ")")->pluck("id")->toArray();
                        */                                    


                        $rol_tournaments = RolTournament::where("rol_id", $rol->id)->where("suspended","=",0)->where("type","!=","ronda_posiciones_virtual")->where("category_id", $category_id)->where("iterator_week", $margen_semanas, $week)->whereRaw("(first_team_id = " . $team_id . " OR second_team_id = " . $team_id . ")")->pluck("id")->toArray();
                        
                        // if( $player->id == 75 ){
                        //     error_log("ROL TORNAMET OK => teams_added_team_new". print_r($rol_tournaments , true));
                        // }
                        
                        if( $rol_tournaments_prev->type == 'ronda_posiciones_virtual'){   

                            // if( $player->id == 75 ){
                            //     error_log("ROL TORNAMET OK => ronda_posiciones_virtual");
                            // }
                                                     
                            //SI ES RONDA DE POSICIONES SE ANULA EL ID PARA QUE NO REALICE EL CONTEO DE HANDICAP
                            //PARA QUE ES SU SIGUIENTE SEMANA COMIENCEN LOS JUGADORES CON EL MISMO HANDYCAP                                              
                            //$week-3                                               
                            // $rol_tournaments = RolTournament::where("rol_id", $rol->id)->where("suspended","=",0)->where("type","!=","ronda_posiciones_virtual")->where("category_id", $category_id)->where("iterator_week", "<", $week)->whereRaw("(first_team_id = " . $team_id . " OR second_team_id = " . $team_id . ")")->pluck("id")->toArray();
                            
                        }else{
                            
                            // if( $type == "ronda_posiciones_virtual" ){
                            //     // $rol_tournaments = RolTournament::where("rol_id", $rol->id)->where("suspended","=",0)->where("type","!=","ronda_posiciones_virtual")->where("category_id", $category_id)->where("iterator_week", "<", $week)->whereRaw("(first_team_id = " . $team_id . " OR second_team_id = " . $team_id . ")")->pluck("id")->toArray();                            
                            // }else{                               

                            //     // $rol_tournaments = RolTournament::where("rol_id", $rol->id)->where("suspended","=",0)->where("type","!=","ronda_posiciones_virtual")->where("category_id", $category_id)->where("iterator_week", "<", $week)->whereRaw("(first_team_id = " . $team_id . " OR second_team_id = " . $team_id . ")")->pluck("id")->toArray();                                                                                                                                               
                                
                            // }                                    

                        }                        
                        
                    }                                         
                    
                }                                                                                                            
                                         
                
                $rol_tournament_sessions = RolTournamentSession::whereIn("rol_tournament_id", $rol_tournaments)->where("team_id", $team_id)->pluck("id")->toArray();
                $promedio = RolTournamentSessionPoint::whereIn("rol_tournament_session_id", $rol_tournament_sessions)->where("player_id", $player_in_team_each_category->player_id)->avg("points");

                $base = $handicap_each_categories->base_normal;                               
                
                
                // VALIDA EN EQUIPOS AGREGADOS EN TORNEO EN CURSO QUE SI EXISTE UN JUGADOR Y NO HA TENIDO NUNGUN SCORE
                // TENDRA UN HANDUCAP DE 0
                if( $teams_added_team_new ){
                    
                    $r_t_s_p = RolTournamentSessionPoint::whereIn("rol_tournament_session_id", $rol_tournament_sessions)->where("player_id", $player_in_team_each_category->player_id)->count();                    

                    if( $r_t_s_p == 0 ){                        
                        return 0;
                    }

                }  
                    

                return $this->calcular_handycap($player, $promedio, $base, $handicap_each_categories, $team_id);
                

            } else {               

                if( $player->id == 107 ){                
                    error_log("player_in_team_each_category===>". $player );            
                }
                //si no se cumple ninguna queda la segunda regla
                if( $player_in_team_each_category->player_id == 98 ){                 
                    // error_log("first =>".$cumple_primera_condicion);
                    // error_log("second =>".$cumple_segunda_condicion);                                    
                    // error_log("rol_tournament_session_points ==> ". $handicaps);
                }              

                if( $handicaps->weeks_to_complete_games <= ($week+1) && $handicaps->weeks_to_complete_games != 0 ){                    
                    return $player_in_team_each_category->player_handy_cap_in_tournament;
                    
                }else{                    
                    
                    return 0;
                }              
             
            }

        }

    }

    private function acumulaIdsAExcluir( $suspendidos ){

        $result = array();

        foreach ($suspendidos as $key => $value) {
            array_push( $result, ($value->week-1) );
        }

        return $result;

    }


    public function get_handycap_new_player(Request $request, $league_id, $category_id, $week)
    {

        //dd($request->all(), $league_id, $category_id, $week);
        
        //Retornamos null cuando no queremos que se recalcule el handycap

        //Se tendria que añadir el equipo nuevo

        $semana_uno_equipo_nuevo = false;

        $teams_added_team_new = TeamsAddedInCurrentTournament::where("league_id", $league_id)->where("type",1)->where("team_id",$request->equipo)->first();                        

        
        if( $teams_added_team_new ){

            if( ($teams_added_team_new->week-1) == $week ){                
                $semana_uno_equipo_nuevo = true;
            }

        }

        if ($week == 0 || $semana_uno_equipo_nuevo) {

            $player_rules = PlayerRules::where("league_id", $league_id)->first();
            $handicaps = Handicap::where("league_id", $league_id)->first();
            $handicap_each_categories = HandicapEachCategory::where("team_category_id", $category_id)->first();

            //Cuando es la semana 1, solamente verificaremos si colocamos el handycap inicial o en 0 dependiendo de lo que se configure en "Configuración de jugadores", campo " ¿Jugadores inician con handicap en "0"?"
            if ($player_rules->players_start_with_zero_handicap == 1) {
                return null;
            } else {

                //Para jugadores nuevos, vamos a verificar que en la semana en curso, el jugador haya jugado al menos la cantidad configurada en "Handicap", campo "Cuantos juegos debe de realizar en la primer semana"
                //Quitamos los valores que tengan null
                $puntaje_ingresado = array_filter($request->puntaje_ingresado, function ($value) {
                    return ($value != null);
                });

                //Verificamos si cumple la condición del total de puntaje ingresado en la semana 1
                if (count($puntaje_ingresado) >= $handicaps->news_players_how_many_games_play_on_first_week) {

                    //Generamos el nuevo handycap
                    $player = Player::find($request->player_id);

                    //Para generar el nuevo handycap tenemos una formula que desglosaremos
                    //1.- Suma de todos los Pinos ingresados actualmente/cantidad de juegos jugados
                    $total_puntaje = array_sum($puntaje_ingresado);
                    $promedio = $total_puntaje / count($puntaje_ingresado);
                    $base = $handicap_each_categories->base_normal;

                    return $this->calcular_handycap($player, $promedio, $base, $handicap_each_categories);

                } else {
                    return null;
                }

            }

        } else {
            return null;
        }

    }
    

    private function condicionales( $num, $promedio, $promedio_player, $handicap ){
        // error_log("num=>". $num);
        // error_log("promedio=>". $promedio);
        // error_log("promedio_player=>". $promedio_player);
        // error_log("handicap=>". $handicap);

        //MENOR O IGUAL
        if( $num == 1 ){
            if( $promedio_player <= $promedio ){
                return $handicap;
            }else{
                return false;
            }
        }

        //MAYOR QUE
        if( $num == 2 ){
            if( $promedio_player < $promedio ){
                return $handicap;
            }else{
                return false;
            }
        }

        //IGUAL QUE
        if( $num == 3 ){
            if( $promedio_player == $promedio ){
                return $handicap;
            }else{
                return false;
            }
        }

        //MAYOR O IGUAL
        if( $num == 4 ){
            if( $promedio_player >= $promedio ){
                return $handicap;
            }else{
                return false;
            }
        }

        //MAYOR QUE
        if( $num == 5 ){
            if( $promedio_player > $promedio ){
                return $handicap;
            }else{
                return false;
            }
        }


        return false;

        
    }

    private function suma_puntaje_recalcular_handycap_calculated( $puntaje ){
        $sum_puntaje = 0;
        foreach ($puntaje as $key => $value) {
            // error_log($value);
            $sum_puntaje = $sum_puntaje + $value->handycap_calculated;
        }

        return $sum_puntaje;
    }

    private function suma_puntaje_recalcular_handycap_points( $puntaje ){
        $sum_puntaje = 0;
        foreach ($puntaje as $key => $value) {
            // error_log($value);
            $sum_puntaje = $sum_puntaje + $value->points;
        }

        return $sum_puntaje;
    }

    private function recalcular_handycap( $league_id, $category_id, $week, $team_id, $player_id, $handicap_each_categories, $player_rules, $handicaps, $rol_tournaments  ){                
        
        $team_each = TeamEachCategory::where("team_category_id", $category_id)->where("team_id", $team_id)->first();
        $player_in_team = PlayerInTeamEachCategory::where("team_each_categories_id", $team_each->id)->where("player_id", $player_id)->first();
        
        // $rol = Rol::where("league_id", $league_id)->first();                
        // $rol_tournaments = RolTournament::where("rol_id", $rol->id)->where("type", "!=", "ronda_posiciones_virtual")->where("category_id", $category_id)->where("iterator_week", ">",$week)->where("suspended", 0)->whereRaw("(first_team_id = " . $team_id . " OR second_team_id = " . $team_id . ")")->whereRaw("(first_team_suspended = " . 0 . " OR second_team_suspended = " . 0 . ")")->get();
        //->pluck("id")->toArray();            
        
        $new_week = $week;
        $suma_puntaje_total = 0;
        $update = false;
        
        //Recorre las semanas hacia a delante 
        foreach ($rol_tournaments as $key => $value) {
            
            //SI ENCUENTRA UN NULL EN LA BASE DE DATOS DETIENE EL CICLO
            if( $value->first_team_total == NULL and $value->second_team_total == NULL ){
                // error_log( "Se detiene ==> ".$value->iterator_week  );
                break;
            }

            if( $player_in_team ){
    
                $handycap = $this->get_handycap_by_player( $player_in_team, $value->iterator_week, $league_id, $category_id, $team_id, "ok", $rol_tournaments);
                $session = RolTournamentSession::where("rol_tournament_id", $value->id)->where("team_id", $team_id)->get();
                
                $suma_points = 0;
                $suma_hc = 0;        
                $hc = 0;

                foreach ($session as $key => $value_session) {
                        
                    $session_point = RolTournamentSessionPoint::where("rol_tournament_session_id", $value_session->id)->where("player_id", $player_id)->get();

                    $session_point_total = RolTournamentSessionPoint::where("rol_tournament_session_id", $value_session->id)->get();

                    foreach ($session_point as $key => $value_session_point) {
                        //SI EL HANDYCAP CONSULTADO ES DIFERENTE AL QUE ESTA EN LA BASE DE DATOS SE ACTUALIZA
                        //$handycap != $value_session_point->handycap_calculated
                        if( true ){                            
                            
                            RolTournamentSessionPoint::where("id", $value_session_point->id)->update(["handycap_calculated" => $handycap]);
                            $update = true;

                        }
                    }


                    if( $update ){

                        //Se actualiza las suma nueva del handycap y la suma nueva del puntaje con HC

                        //NUEVO HANDICAP
                        $session_point_total = RolTournamentSessionPoint::where("rol_tournament_session_id", $value_session->id)->get();                      

                        //la suma de hc si se actualza
                        $suma_calculated = $this->suma_puntaje_recalcular_handycap_calculated( $session_point_total );  
                        $suma_points     = $this->suma_puntaje_recalcular_handycap_points($session_point_total);
                        $total_con_hc = $suma_calculated + $suma_points;
                        
                                                                        
                        RolTournamentSession::where("id", $value_session->id)->update([ "sum_handycap" => $suma_calculated, "sum_puntaje_handycap" => $total_con_hc ]);

                        $session = RolTournamentSession::where("rol_tournament_id", $value->id)->where("team_id", $team_id)->get();

                        $puntaje_final = 0;
                        //PUNTAJE TOTAL DE RONDA
                        foreach ($session as $key => $session_new) {                            
                            $puntaje_final = $puntaje_final + $session_new->sum_puntaje_handycap;                            
                        }
                        
                        
                        //se revisa donde esta este equipo para poder actualizar su total
                        $rol_t = RolTournament::find($value->id);  
                        
                        if( $rol_t->first_team_id == $team_id){
                            RolTournament::where("id", $value->id)->update(["first_team_total" => $puntaje_final]);                           
                        }

                        if( $rol_t->second_team_id == $team_id){
                            RolTournament::where("id", $value->id)->update(["second_team_total" => $puntaje_final]);                   
                        }
                        
                        $update = false;
                        
                    }

                }
            
            }
                        
           $new_week++;
        }      

    }



    public function calcular_handycap($player, $promedio, $base, $handicap_each_categories, $team_id = null)
    {
        
        $porcentaje = 0;
        $tope = 0; 

        if( empty( $player ) ){            
            return 0;   
        }

        //2.- Obtenemos el jugador para saber a que categoria pertenece, si es especial, joven, masculino o femenino (se toma ese orden de importancia)
        //Obtenemos el valor del porcentaje a multiplicar el promedio y el tope
        if ($player->player_type == "special") {

            if( $handicap_each_categories->especial_aplica_cond_esp == 1 ){

                $condicion = $this->condicionales( $handicap_each_categories->especial_condicion_prom_cond_esp, 
                               $handicap_each_categories->especial_prom_cond_esp, $promedio, 
                               $handicap_each_categories->especial_hd_cond_esp );
                
                if( $condicion ){                    
                    return $condicion;
                }

            }

            $porcentaje = ($handicap_each_categories->especial_normal / 100);
            $tope = $handicap_each_categories->especial_normal_tope;

        } elseif ($player->player_type == "young") {

            if( $handicap_each_categories->juvenil_aplica_cond_esp == 1 ){

                $condicion = $this->condicionales( $handicap_each_categories->juvenil_condicion_prom_cond_esp, 
                               $handicap_each_categories->juvenil_prom_cond_esp, $promedio, 
                               $handicap_each_categories->juvenil_hc_cond_esp );
                
                if( $condicion ){                    
                    return $condicion;
                }
                
            }

            $porcentaje = ($handicap_each_categories->juvenil_normal / 100);
            $tope = $handicap_each_categories->juvenil_normal_tope;

        } elseif ($player->player_type == "male") {

            //SE REVISA SI ESTA ACTIVA LA CONDICION
            if( $handicap_each_categories->hombre_aplica_cond_esp == 1 ){
                
                $condicion = $this->condicionales( $handicap_each_categories->hombre_condicion_prom_cond_esp, 
                               $handicap_each_categories->hombre_prom_cond_esp, $promedio, 
                               $handicap_each_categories->hombre_hc_cond_esp );
                
                if( $condicion ){                    
                    return $condicion;
                }
               
            }

            $porcentaje = ($handicap_each_categories->male_normal / 100);
            $tope = $handicap_each_categories->male_normal_tope;

        } elseif ($player->player_type == "female") {

            if( $handicap_each_categories->mujer_aplica_cond_esp == 1 ){

                $condicion = $this->condicionales( $handicap_each_categories->mujer_condicion_prom_cond_esp, 
                               $handicap_each_categories->mujer_prom_cond_esp, $promedio, 
                               $handicap_each_categories->mujer_hc_cond_esp );
                
                if( $condicion ){                    
                    return $condicion;
                }

            }

            $porcentaje = ($handicap_each_categories->female_normal / 100);
            $tope = $handicap_each_categories->female_normal_tope;

        }
        
        //3.- Generamos la formula
        if ($promedio >= $base) {
            return 0;
        } else {

            $handycap = (($base - $promedio) * $porcentaje);
            $handycap_decimal = $handycap - floor($handycap);        

            if($player->id == 114){
               
            }

            //Redondeamos el handycap
            if ($handycap_decimal < 0.5) {
                $handycap = floor($handycap); //Redondeo hacia abajo
            } else {
                $handycap = floor($handycap) + 1; //Redondeo hacia arriba
            }

            if ($handycap > $tope) {
                return $tope;
            } else {
                return $handycap;
            }

        }


    }

    public function premiacion(Request $request)
    {

        $response = array();
        $response["message"] = "";        
        
        
        $premiacion_each_categories = PremiacionEachCategory::where("league_id", $request->id)->first();
        error_log("Premiacion ==>". $premiacion_each_categories->id."========". $premiacion_each_categories->team_category_id);
        
        $premiacion_lugares         = PremiacionLugares::where( "premiacion_each_categories_id", $premiacion_each_categories->id )
                                                        ->where("category_id", $premiacion_each_categories->team_category_id)->get();

        $response["data"] = $premiacion_each_categories;
        $response["premiacion_lugares"] = $premiacion_lugares;

        return response()->json($response, 200);

        // return view('back.league.awards.edit', array("league" => $league, "premiacion_each_categories" => $premiacion_each_categories));
    }


    public function quitar_suspencion( Request $request ){

        $response = array();
        $response["message"] = "";
        $response["status"] = false;

        $update = RolTournament::where('id',$request->id)->update(['suspended'=> false ]);        

        if( $update ){
            $response["message"] = "Se actualizó correctamente";
            $response["status"] = true;
        }

        return response()->json($response, 200);

    }

    public function handicap( Request $request ){

        $response = array();
        $response["status"] = true;

        $league_id = $request->id_liga;

        $team_and_category_specification = TeamAndCategorySpecification::where("league_id", $league_id)->first();

        $team_categories = TeamCategory::where( "team_and_category_specifications_id",$team_and_category_specification->id )->first();
        //team_and_category_specifications_id
        // error_log( "team_categories => ". $team_categories );

        $handicap_each_categories =  HandicapEachCategory::where("team_category_id", $team_categories->team_and_category_specifications_id)->first();
        $response["data"] = $handicap_each_categories;

        return response()->json($response, 200); 
    }

    private function update_equipo_suspendido_ronda_virtual( $league_id, $week, $id_equipo ){

        $rol = Rol::where("league_id", $league_id)->first();
        $rol_ronda = RolTournament::where("rol_id", $rol->id)->where( "iterator_week", ($week-1) )->whereRaw("(first_team_id = " . $id_equipo . " OR second_team_id = " . $id_equipo . ")")->first();
        
        if( $rol_ronda->type == "ronda_posiciones_virtual" ){
            if($rol_ronda->first_team_suspended == 1){
                RolTournament::where("id", $rol_ronda->id)->update([ "first_team_suspended" => 0 ]);
            }

            if($rol_ronda->second_team_suspended == 1){
                RolTournament::where("id", $rol_ronda->id)->update([ "second_team_suspended" => 0 ]);
            }
        }

    }

    public function quitar_suspencion_equipo( Request $request ){

        $response = array();
        $response["message"] = "";
        $response["status"] = false;        

        if( $request->posicion == 1 ){
            
            $update = RolTournament::where('id',$request->id_semana)->update(['first_team_suspended'=> false ]);        

            if( $update ){
                
                TeamsAddedInCurrentTournament::where("league_id", $request->league_id)->where("week",$request->week)->where("type", 2)->where("team_id",$request->id_equipo)->delete();
                
                $rol = Rol::where("league_id", $request->id)->first();
                // al quitar el suspendido debe verificar si la semana anterior es una ronda de posiciones
                $this->update_equipo_suspendido_ronda_virtual( $request->league_id, $request->week, $request->id_equipo );
            
                $response["status"] = true;
                $response["message"] = "Se actualizó correctamente";
            }else{
                $response["status"] = false;
            }

        }else if( $request->posicion == 2 ){
            
            $update = RolTournament::where('id',$request->id_semana)->update(['second_team_suspended'=> false ]);

            if( $update ){

                TeamsAddedInCurrentTournament::where("league_id", $request->league_id)->where("week",$request->week)->where("type", 2)->where("team_id",$request->id_equipo)->delete();

                $this->update_equipo_suspendido_ronda_virtual( $request->league_id, $request->week, $request->id_equipo );

                $response["status"] = true;
                $response["message"] = "Se actualizó correctamente";
            }else{
                $response["status"] = false;
            }
            
        }else{
            $response["message"] = "Error al actualizar";
            $response["status"] = true;
        }
        
        return response()->json($response, 200);        

        // $update = RolTournament::where('id',$request->id)->update(['suspended'=> false ]);        

        // if( $update ){
        //     $response["message"] = "Se actualizó correctamente";
        //     $response["status"] = true;
        // }
        
    }

    public function tabla_de_puntajes( Request $request ){
        $response["status"] = false;

        $data = League::find($request->id_liga);
        $rol = Rol::where("league_id", $data->id)->first();

        $teams_each_category = TeamEachCategory::where("team_category_id", $request->category_id)->pluck("team_id")->toArray();

        // error_log(print_r())
        
        $rol_tournament = RolTournament::where("rol_id", $rol->id)->where("category_id", $request->category_id)->get();

        //$rol_tournament_sessions = RolTournamentSession::where("rol_tournament_id", $value->id)->where("team_id", $rol_tournaments[$key]["first_team_id"])->orderBy("session_number")->get();

        $response["rol_tournament"] = $rol_tournament;

        return response()->json($response, 200); 
    }


    public function tabla_por_equipo( Request $request ){
        
        $data = League::find( $request->id_liga );
        $rol  = Rol::where("league_id", $data->id)->first();
        $player_types = PlayerType::find($request->id_liga);

        $teams_each_category = TeamEachCategory::where("team_category_id", $request->category_id)->pluck("team_id")->toArray();

        $teams = Team::whereIn("id", $teams_each_category)->get();        

        $data_enfrentamiento = array();
        
        $rol_tournament = RolTournament::where("rol_id", $rol->id)->where("category_id", $request->category_id)->get();

        $totla_acumulado_first  = 0;
        $totla_acumulado_second = 0;

        $rol_tournamement_first_win_serie_total = 0;

        $first_t = array();

        foreach ($rol_tournament as $key => $value) { 
            
            // error_log("ID ===>". $value->id);

            $team_added = TeamsAddedInCurrentTournament::whereRaw("(team_id = " . $value->first_team_id . " OR team_id = " . $value->second_team_id . ")")->where("league_id",$request->id_liga)->where("type",1)->first();            

            // $first_t[$value->first_team_id] = array( "firts_team" => $value->first_team_id + $value->first_team_total );

            $rol_tournamement_first = RolTournament::where("rol_id", $rol->id)->where("category_id", $request->category_id)
                                                ->where("first_team_id",$value->first_team_id)
                                                // ->where("type", "!=", "ronda_posiciones_virtual")
                                                // ->whereRaw("(first_team_id = " . $value->first_team_id . " OR second_team_id = " . $value->first_team_id . ")")
                                                ->where("iterator_week", "<=",$value->iterator_week)->sum("first_team_total");

            $rol_tournamement_first_2 = RolTournament::where("rol_id", $rol->id)->where("category_id", $request->category_id)
                                                ->where("second_team_id",$value->first_team_id)
                                                // ->where("type", "!=", "ronda_posiciones_virtual")
                                                // ->whereRaw("(first_team_id = " . $value->first_team_id . " OR second_team_id = " . $value->first_team_id . ")")
                                                ->where("iterator_week", "<=",$value->iterator_week)->sum("second_team_total");

            $rol_tournamement_second = RolTournament::where("rol_id", $rol->id)->where("category_id", $request->category_id)
                                                ->where("first_team_id",$value->second_team_id)
                                                // ->where("type", "!=", "ronda_posiciones_virtual")
                                                // ->whereRaw("(first_team_id = " . $value->second_team_id . " OR second_team_id = " . $value->second_team_id . ")")
                                                ->where("iterator_week", "<=",$value->iterator_week)->sum("first_team_total");

            $rol_tournamement_second_2 = RolTournament::where("rol_id", $rol->id)->where("category_id", $request->category_id)
                                                ->where("second_team_id",$value->second_team_id)
                                                // ->where("type", "!=", "ronda_posiciones_virtual")
                                                // ->whereRaw("(first_team_id = " . $value->second_team_id . " OR second_team_id = " . $value->second_team_id . ")")
                                                ->where("iterator_week", "<=",$value->iterator_week)->sum("second_team_total");                                                
            
            //suma serie ganada
            $rol_tournamement_first_win_serie = RolTournament::where("rol_id", $rol->id)->where("category_id", $request->category_id)
                                                ->where("first_team_id", $value->first_team_id)
                                                // ->where("type", "!=", "ronda_posiciones_virtual")
                                                // ->whereRaw("(first_team_id = " . $value->first_team_id . " OR second_team_id = " . $value->first_team_id . ")")
                                                ->where("iterator_week", "<=",$value->iterator_week)->sum("first_team_win_serie");                                                

            $rol_tournamement_first_win_serie_2 = RolTournament::where("rol_id", $rol->id)->where("category_id", $request->category_id)
                                                ->where("second_team_id", $value->first_team_id)
                                                // ->where("type", "!=", "ronda_posiciones_virtual")
                                                // ->whereRaw("(first_team_id = " . $value->first_team_id . " OR second_team_id = " . $value->first_team_id . ")")
                                                ->where("iterator_week", "<=",$value->iterator_week)->sum("second_team_win_serie");                                                            



            $rol_tournamement_second__win_serie = RolTournament::where("rol_id", $rol->id)->where("category_id", $request->category_id)
                                                ->where("first_team_id",$value->second_team_id)
                                                // ->where("type", "!=", "ronda_posiciones_virtual")
                                                // ->whereRaw("(first_team_id = " . $value->second_team_id . " OR second_team_id = " . $value->second_team_id . ")")
                                                ->where("iterator_week", "<=",$value->iterator_week)->sum("first_team_win_serie");                                                
            
            $rol_tournamement_second__win_serie_2 = RolTournament::where("rol_id", $rol->id)->where("category_id", $request->category_id)
                                                ->where("second_team_id",$value->second_team_id)
                                                // ->where("type", "!=", "ronda_posiciones_virtual")
                                                // ->whereRaw("(first_team_id = " . $value->second_team_id . " OR second_team_id = " . $value->second_team_id . ")")
                                                ->where("iterator_week", "<=",$value->iterator_week)->sum("second_team_win_serie");                                                

            //suma las series pedidas
            $rol_tournamement_first_lost_serie = RolTournament::where("rol_id", $rol->id)->where("category_id", $request->category_id)
                                                // ->whereRaw("(second_team_id = " . $value->first_team_id . " OR second_team_id = " . $value->first_team_id . ")")
                                                ->where("first_team_id",$value->first_team_id)
                                                // ->where("type", "!=", "ronda_posiciones_virtual")
                                                ->where("first_team_win_serie", 0)                                                
                                                ->where("iterator_week", "<=",$value->iterator_week)->count(); 
                                                
            $rol_tournamement_first_lost_serie_2 = RolTournament::where("rol_id", $rol->id)->where("category_id", $request->category_id)
                                                // ->whereRaw("(second_team_id = " . $value->first_team_id . " OR second_team_id = " . $value->first_team_id . ")")
                                                ->where("second_team_id",$value->second_team_id)
                                                // ->where("type", "!=", "ronda_posiciones_virtual")
                                                ->where("second_team_win_serie", 0)                                                
                                                ->where("iterator_week", "<=",$value->iterator_week)->count(); 


            $rol_tournamement_second_lost_serie = RolTournament::where("rol_id", $rol->id)->where("category_id", $request->category_id)
                                                ->whereRaw("(first_team_id = " . $value->second_team_id . " OR second_team_id = " . $value->second_team_id . ")")
                                                // ->where("second_team_id",$value->second_team_id)
                                                // ->where("type", "!=", "ronda_posiciones_virtual")
                                                ->where("second_team_win_serie", 0)
                                                ->where("iterator_week", "<=",$value->iterator_week)                                                
                                                ->count();                                                


            // Busca de acuerdo a la semana los ids de torneos para saber los juegos que ha jugado cada equipo.
            $r_t_first = RolTournament::where("rol_id", $rol->id)->where("category_id", $request->category_id)                                                
                                                ->whereRaw("(first_team_id = " . $value->first_team_id . " OR second_team_id = " . $value->first_team_id . ")")
                                                // ->where("type", "!=", "ronda_posiciones_virtual")
                                                // ->where("suspended",0)
                                                // ->where("first_team_suspended",0)
                                                ->where("iterator_week", "<=",$value->iterator_week)->pluck("id")->toArray();
            

            $r_t_second = RolTournament::where("rol_id", $rol->id)->where("category_id", $request->category_id)
                                                ->whereRaw("(first_team_id = " . $value->second_team_id . " OR second_team_id = " . $value->second_team_id . ")")                                                
                                                // ->where("type", "!=", "ronda_posiciones_virtual")
                                                // ->where("suspended",0)
                                                // ->where("second_team_suspended",0)
                                                ->where("iterator_week", "<=",$value->iterator_week)->pluck("id")->toArray();
                                                

            // error_log("new first => ". $rol_tournamement_first."========". $rol_tournamement_first_2);                                                                        

            $rol_tournamentSession = RolTournamentSession::where("rol_tournament_id", $value->id)->get();



            $first_tournamentSessionCount  = RolTournamentSession::whereIn("rol_tournament_id",$r_t_first)->where("team_id", $value->first_team_id)->count();
            $second_tournamentSessionCount = RolTournamentSession::whereIn("rol_tournament_id",$r_t_second)->where("team_id", $value->second_team_id)->count();

            $first_tournamentSessionCount_get = RolTournamentSession::whereIn("rol_tournament_id",$r_t_first)->where("team_id", $value->first_team_id)                                                                    
                                                                     ->get();

            $second_tournamentSessionCount_get = RolTournamentSession::whereIn("rol_tournament_id",$r_t_second)->where("team_id", $value->second_team_id)                                                                    
                                                                     ->get();

                                                                                                                                                 
            $num_juegos_jugados_first  = $this->sesiones_con_juegos_jugados( $first_tournamentSessionCount_get, null, null);
            $num_juegos_jugados_second = $this->sesiones_con_juegos_jugados( $second_tournamentSessionCount_get, null, null);  
            
            //conteo de juegos ganados
            $first_tournamentSessionCount_win_num  = RolTournamentSession::whereIn("rol_tournament_id",$r_t_first)->where("team_id", $value->first_team_id)->where("win", 1)->get();
            $num_juegos_jugados_ganados_first      = $this->sesiones_con_juegos_jugados( $first_tournamentSessionCount_win_num, $value->first_team_win_serie, 1 );

            $second_tournamentSessionCount_win_num = RolTournamentSession::whereIn("rol_tournament_id",$r_t_second)->where("team_id", $value->second_team_id)->where("win", 1)->get();
            $num_juegos_jugados_ganados_second     = $this->sesiones_con_juegos_jugados( $second_tournamentSessionCount_win_num, $value->second_team_win_serie, 1 );

            //numero de juegos jugados perdidos
            $first_tournamentSessionCount_lost_num  = RolTournamentSession::whereIn("rol_tournament_id",$r_t_first)->where("team_id", $value->first_team_id)->where("win", 0)->get();
            $second_tournamentSessionCount_lost_num = RolTournamentSession::whereIn("rol_tournament_id",$r_t_second)->where("team_id", $value->second_team_id)->where("win", 0)->get();
            
            $num_juegos_jugados_perdidos_first      = $this->sesiones_con_juegos_jugados( $first_tournamentSessionCount_lost_num, $value->first_team_win_serie, 0 );
            $num_juegos_jugados_perdidos_second     = $this->sesiones_con_juegos_jugados( $second_tournamentSessionCount_lost_num, $value->second_team_win_serie, 0 );
            
            // $this->sessiones_con_juegos_suspendidos($first_tournamentSessionCount_lost_num);            
            
            // VALIDA JUEGOS SUSPENDIDOS                    

            $first_tournamentSessionCount_win  = RolTournamentSession::whereIn("rol_tournament_id",$r_t_first)->where("team_id", $value->first_team_id)->where("win", 1)->count();
            $second_tournamentSessionCount_win = RolTournamentSession::whereIn("rol_tournament_id",$r_t_second)->where("team_id", $value->second_team_id)->where("win", 1)->count();

            $first_tournamentSessionCount_lost  = RolTournamentSession::whereIn("rol_tournament_id",$r_t_first)->where("team_id", $value->first_team_id)->where("win", 0)->count();
            $second_tournamentSessionCount_lost = RolTournamentSession::whereIn("rol_tournament_id",$r_t_second)->where("team_id", $value->second_team_id)->where("win", 0)->count();

            // JUEGOS JUGADOS DE LA SEMANA ACTUAL
            //total de juegos de la semana
            // $juegos_total_jugados_week_f    = RolTournamentSession::where("rol_tournament_id",$value->id)->where("team_id", $value->first_team_id)->count();            

            // $juegos_total_jugados_week_f    = RolTournamentSession::where("rol_tournament_id",$value->id)->where("team_id", $value->first_team_id)->get();                        
            // $juegos_total_jugados_week_s    = RolTournamentSession::where("rol_tournament_id",$value->id)->where("team_id", $value->second_team_id)->get();            
            

            if( $value->first_team_suspended == 1 ){
                $juegos_total_jugados_week_f    = RolTournamentSession::where("rol_tournament_id",$value->id)->where("team_id", $value->first_team_id)->count();     
                
                $valor_point_by_win_serie = 0;
                if( $player_types->point_by_win_serie > 0 ){
                    $valor_point_by_win_serie = $player_types->point_by_win_serie;
                }                   

                $juegos_jugados_week_first_lost = RolTournamentSession::where("rol_tournament_id",$value->id)->where("team_id", $value->first_team_id)->where("win", 0)->count() +  $valor_point_by_win_serie;
                // $juegos_total_jugados_week_f = count($juegos_total_jugados_week_f);
            }else{
                
                $juegos_total_jugados_week_f    = RolTournamentSession::where("rol_tournament_id",$value->id)->where("team_id", $value->first_team_id)->get();                        
                $juegos_total_jugados_week_f = $this->sesiones_con_juegos_jugados($juegos_total_jugados_week_f);

                $juegos_jugados_week_first_lost = RolTournamentSession::where("rol_tournament_id",$value->id)->where("team_id", $value->first_team_id)->where("win", 0)->get();
                $juegos_jugados_week_first_lost = $this->sesiones_con_juegos_jugados( $juegos_jugados_week_first_lost, $value->first_team_win_serie, 0 );
                
            }                       

            if( $value->second_team_suspended == 1 ){ 
                $juegos_total_jugados_week_s    = RolTournamentSession::where("rol_tournament_id",$value->id)->where("team_id", $value->second_team_id)->count();                           
                
                $valor_point_by_win_serie = 0;
                if( $player_types->point_by_win_serie > 0 ){
                    $valor_point_by_win_serie = $player_types->point_by_win_serie;
                }                   
                
                $juegos_jugados_week_second_lost = RolTournamentSession::where("rol_tournament_id",$value->id)->where("team_id", $value->second_team_id)->where("win", 0)->count() +  $valor_point_by_win_serie;

            }else{
                $juegos_total_jugados_week_s    = RolTournamentSession::where("rol_tournament_id",$value->id)->where("team_id", $value->second_team_id)->get();            
                $juegos_total_jugados_week_s    = $this->sesiones_con_juegos_jugados($juegos_total_jugados_week_s);

                $juegos_jugados_week_second_lost = RolTournamentSession::where("rol_tournament_id",$value->id)->where("team_id", $value->second_team_id)->where("win", 0)->get();
                $juegos_jugados_week_second_lost = $this->sesiones_con_juegos_jugados( $juegos_jugados_week_second_lost, $value->second_team_win_serie, 0 );
            }                        

            // error_log( "num_juego ===>". $num_juego_ok );

            // $juegos_jugados_week_first_lost = RolTournamentSession::where("rol_tournament_id",$value->id)->where("team_id", $value->first_team_id)->where("win", 0)->get();
            // $juegos_jugados_week_first_lost = $this->sesiones_con_juegos_jugados( $juegos_jugados_week_first_lost, $value->first_team_win_serie, 0 );

            $juegos_jugados_week_first_win  = RolTournamentSession::where("rol_tournament_id",$value->id)->where("team_id", $value->first_team_id)->where("win", 1)->get();            
            $juegos_jugados_week_first_win  = $this->sesiones_con_juegos_jugados( $juegos_jugados_week_first_win, $value->first_team_win_serie, 1 );

            

            // $juegos_jugados_week_second_lost = RolTournamentSession::where("rol_tournament_id",$value->id)->where("team_id", $value->second_team_id)->where("win", 0)->get();
            // $juegos_jugados_week_second_lost = $this->sesiones_con_juegos_jugados( $juegos_jugados_week_second_lost, $value->second_team_win_serie, 0 );
            
            $juegos_jugados_week_second_win  = RolTournamentSession::where("rol_tournament_id",$value->id)->where("team_id", $value->second_team_id)->where("win", 1)->get();            
            $juegos_jugados_week_second_win  = $this->sesiones_con_juegos_jugados( $juegos_jugados_week_second_win, $value->second_team_win_serie, 1 );

            
            $totla_acumulado_first  =+ $num_juegos_jugados_first;//$first_tournamentSessionCount;
            $totla_acumulado_second =+  $num_juegos_jugados_second;//$second_tournamentSessionCount; //$num_sesion_points;//

            // error_log( "totla_acumulado_second =>". $totla_acumulado_second );
            $rol_tournamement_first_total  = $rol_tournamement_first + $rol_tournamement_first_2;
            $rol_tournamement_second_total = $rol_tournamement_second + $rol_tournamement_second_2;
            
            if( $value->first_team_id == 83 or $value->second_team_id == 83 ){
                // error_log("rol_tournamement_second_lost_serie ==>". $juegos_jugados_week_first_lost);
                // error_log("rol_id =>". $rol->id);
                // error_log("id =>". $value->id);
                // error_log("week =>". $value->iterator_week );
                // error_log("puntos ==>". $rol_tournamement_second_2);
              
                // error_log("second_team_id =>". $value->second_team_id);
                // error_log("====================================================");
            }
            $rol_tournamement_first_win_serie_total   = $rol_tournamement_first_win_serie + $rol_tournamement_first_win_serie_2;
            $rol_tournamement_second__win_serie_total = $rol_tournamement_second__win_serie + $rol_tournamement_second__win_serie_2;

        
            if( count( $rol_tournamentSession ) > 0 ){                

                // if( $team_added ){
                //     error_log( $team_added->week." =========== ".$value->iterator_week );
                //     if(  $value->iterator_week < $team_added->week ){
                //         array_push( $data_enfrentamiento, array( "rol_tournament" => $value, 
                //                                             "rol_tournamentSession" => 0,
                //                                         //  "rol_tournament_session_point"
                //                                             "week" => $value->iterator_week, 
                //                                             "total_acumulado_first" => 0,
                //                                             "total_acumulado_second" => 0,
                //                                             "jj_first" => 0,
                //                                             "jj_second" => 0,
                //                                             "team_add" => false
                //                                             ) 
                //                                         );
                //     }else{
                //         array_push( $data_enfrentamiento, array( "rol_tournament" => $value, 
                //                                              "rol_tournamentSession" => $rol_tournamentSession,
                //                                             //  "rol_tournament_session_point"
                //                                              "week" => $value->iterator_week, 
                //                                              "total_acumulado_first" => $totla_acumulado_first,
                //                                              "total_acumulado_second" => $totla_acumulado_second,
                //                                              "jj_first" => $first_tournamentSessionCount,
                //                                              "jj_second" => $second_tournamentSessionCount,
                //                                              "team_add" => true
                //             )
                //         );
                //     }
                // }else{

                

                //     array_push( $data_enfrentamiento, array( "rol_tournament" => $value, 
                //                                              "rol_tournamentSession" => $rol_tournamentSession,
                //                                             //  "rol_tournament_session_point"
                //                                              "week" => $value->iterator_week, 
                //                                              "total_acumulado_first" => $totla_acumulado_first,
                //                                              "total_acumulado_second" => $totla_acumulado_second,
                //                                              "jj_first" => $first_tournamentSessionCount,
                //                                              "jj_second" => $second_tournamentSessionCount,
                //                                              "team_add" => true
                //                                              ) 
                //                                             );

                // }

                array_push( $data_enfrentamiento, array( "rol_tournament" => $value, 
                        "rol_tournamentSession" => $rol_tournamentSession,
                        "week" => $value->iterator_week, 
                        "total_acumulado_first"  => $num_juegos_jugados_first,//$totla_acumulado_first,
                        "total_acumulado_second" => $num_juegos_jugados_second,//$totla_acumulado_second,
                        "jj_first"  => $num_juegos_jugados_first,
                        "jj_second" => $num_juegos_jugados_second,//$second_tournamentSessionCount,
                        "team_add"  => true,
                        "team_added_in_tournament" => $team_added,
                        "first_totla_acumulado"    => $rol_tournamement_first_total,
                        "second_totla_acumulado"   => $rol_tournamement_second_total,
                        "first_tournament_session_win"       => $first_tournamentSessionCount_win,
                        "second_tournament_session_win"      => $second_tournamentSessionCount_win,
                        "first_tournament_session_lost"      => $first_tournamentSessionCount_lost,
                        "second_tournament_session_lost"     => $second_tournamentSessionCount_lost,
                        "rol_tournamement_first_win_serie"   => $rol_tournamement_first_win_serie_total,
                        "rol_tournamement_second__win_serie" => $rol_tournamement_second__win_serie_total,
                        "rol_tournamement_first_lost_serie"  => $rol_tournamement_first_lost_serie,
                        "rol_tournamement_second_lost_serie" => $rol_tournamement_second_lost_serie,
                        "first_win_num"   => $num_juegos_jugados_ganados_first,
                        "second_win_num"  => $num_juegos_jugados_ganados_second,
                        "first_lost_num"  => $num_juegos_jugados_perdidos_first,
                        "second_lost_num" => $num_juegos_jugados_perdidos_second,
                        "juegos_total_jugados_week_f"    => $juegos_total_jugados_week_f,
                        "juegos_jugados_week_first_lost" => $juegos_jugados_week_first_lost,
                        "juegos_jugados_week_first_win"  => $juegos_jugados_week_first_win,
                        "juegos_total_jugados_week_s"    => $juegos_total_jugados_week_s,
                        "juegos_jugados_week_second_lost"=> $juegos_jugados_week_second_lost,
                        "juegos_jugados_week_second_win" => $juegos_jugados_week_second_win,
                        // "num_juegos_jugados_first" => $num_juegos_jugados_first,
                        // "num_juegos_jugados_ganados_second" => $num_juegos_jugados_ganados_second                                             
                    ) 
               );

            }else{
                // break;
                // error_log("Id Torneo =>". $value->id);
            }
        }

        // $player_types = PlayerType::where("league_id",$request->id_liga)->first();
        

        // $response["player_types"] = $player_types;
        $response["teams"] = $teams;
        $response["data_enfrentamiento"] = $data_enfrentamiento;

        return response()->json($response, 200); 

    }

    private function sessiones_con_juegos_suspendidos( $juegos ){

        error_log( $juegos );
        // $num_sesion_points = 0;     
        // //revisa si esta suspendido
        // if( $rol_torunament != null ){

        //     if($rol_torunament->suspended == 1){
        //         error_log("Suspendido ==>". $rol_torunament);
        //         error_log("ganado perdido =>". $ganado_perdido );
        //         //si es perdido
        //         if( $ganado_perdido == 0 ){
        //             return 100000;
        //         }

        //     }
        // }
    }

    private function sesiones_con_juegos_jugados( $data, $value_rt = null, $ganado_perdido = null){

        $num_sesion_points = 0;             

        if( !$data ){
            return 0;
        }

        foreach ($data as $value) {
            
            $sessions_points = RolTournamentSessionPoint::where("rol_tournament_session_id", $value->id )->count();
      
            if( $sessions_points > 0 ){
                $num_sesion_points++;
            }

        }      

        if( $value_rt == 1 || $value_rt == 0 ){
            //1 es ganado
            if( $ganado_perdido == 1 ){
                $num_sesion_points = $num_sesion_points +  $value_rt;
            }

            if( $ganado_perdido == 0 ){
                // error_log("antes =>".  $num_sesion_points);

                if( $value_rt == 0 ){
                    $num_sesion_points = $num_sesion_points + 1;
                }

                // error_log("perdido =>". $num_sesion_points);
            }
        }

        return $num_sesion_points;
    }

    public function tabla_por_jugador_new( Request $request ){
        
        $data = League::find( $request->id_liga );
        $rol  = Rol::where("league_id", $data->id)->first();

        // $rol_tournament_req = RolTournament::find( $request->rol_tournament_id);

        $handicap_db = Handicap::where("league_id",  $data->id)->first();
        //consulta los equipos
        $teams_each_category = TeamEachCategory::where("team_category_id", $request->category_id)->pluck("team_id")->toArray();
        $teams = Team::whereIn("id", $teams_each_category)->get();        

        $data_equipo_jugador = array();   
        
        
        $handicap_each_categories = HandicapEachCategory::where("team_category_id", $request->category_id)->first();
        $base = $handicap_each_categories->base_normal;

        $rol_tournament_max = RolTournament::where("rol_id", $rol->id)
                                            ->where("category_id", $request->category_id)
                                            -> whereNotNull("first_team_total")
                                            ->whereRaw("(first_team_id = " . 24 . " OR second_team_id = " . 24 . ")")
                                            ->pluck("iterator_week")->toArray();        

        $teams_each_category = TeamEachCategory::select("id","team_id")->where("team_category_id", $request->category_id)
                                ->where("team_id", 24)
                                ->get();
            
        // error_log(print_r(array_unique($rol_tournament_max ), true ));

        $rol_tournament_max = array_unique($rol_tournament_max );

        // error_log( "rol_tournament_max ==>". json_encode($rol_tournament_max) );
        
        // Recorre equipo y id de la categoria donde se encuentra añadidos los jugadores
        // Ese id es diferente al de team id
        $num = 0;
        foreach ($teams_each_category as $key => $value) {
            //consulta el el id category para mostrar el id del jugador por equipo
            $player_team = PlayerInTeamEachCategory::where("team_each_categories_id", $value->id )->get();
                        
            foreach( $player_team as $v_player ){
                $player = Player::find( $v_player->player_id );
                // $player_team_player = PlayerInTeamEachCategory::where("team_each_categories_id", $value->id )->get();
                array_push($data_equipo_jugador, array( "player_handy_cap_in_tournament" => $v_player->player_handy_cap_in_tournament, 
                                                        "jugador"=> $player, "team" => $value->team_id, "player_team" => $v_player ) );               

            }
            
        }

        //se consultan las semanas del torneo        

        // $rol_tournament = RolTournament::where("rol_id", $rol->id)->where("category_id", $request->category_id)->get();

        $data_total = array();
        $rol_tournament_session_points_actual = array();
        $jugos_jugados = array();
        $hc_iniciales = array();
        $semana = 0;

        
        
        foreach ($rol_tournament_max as $week => $torneo_week) {        
                        
            $team_add_in_curr_status = false;

            $semana++;
            
            foreach ($data_equipo_jugador as $key => $team_player) { 

                $cumple_primera_condicion = false;
                $cumple_segunda_condicion = false;

                $cumple_primera_condicion_inicial = false;
                $cumple_segunda_condicion_inicial = false;
                $hc_retroactivo = false;             
                
                $team_add = TeamsAddedInCurrentTournament::where("team_id", $team_player["team"])
                                                        ->where("league_id", $request->id_liga)
                                                        ->where("type", 1)->first();
                
                if( $team_add ){
                    
                    $team_add_in_curr_status = true;                       

                }



                $id_torneo = 0;     
                
                $rol_tournaments_first = RolTournament::where("rol_id", $rol->id)->where("category_id", $request->category_id)
                                                // ->where("type", "!=", "ronda_posiciones_virtual")
                                                // ->where("suspended", 0)
                                                ->where("iterator_week", "=", $torneo_week)
                                                ->whereRaw("(first_team_id = " . $team_player["team"] . " OR second_team_id = " . $team_player["team"] . ")")
                                                ->first();              
                                                             


                if( empty( $rol_tournaments_first ) ){
                    error_log("VACIO");
                }else{

                    $acumulado_sesion = array();
                    $juegos_jugados = 0;
                    
                    $rol_tournamentSession_actual = RolTournamentSession::where("rol_tournament_id", $rol_tournaments_first->id)
                                                                        ->where("team_id", $team_player["team"])
                                                                        ->pluck("id")->toArray();     
                                                                        
                                                                                                                                                                                   
                                                                        
                    $rol_session_actual_ses = RolTournamentSession::where("rol_tournament_id", $rol_tournaments_first->id)
                                                                        ->where("team_id", $team_player["team"])
                                                                        ->get();
                                                                                           
               
                    foreach( $rol_session_actual_ses as $rol_s_a_s ){                       

                        $rol_tournament_s_p_a = RolTournamentSessionPoint::where("rol_tournament_session_id", $rol_s_a_s->id)
                                                                        ->where("player_id", $team_player["jugador"]["id"] )
                                                                        ->first();                   
                        if( empty($rol_tournament_s_p_a) ){
                            array_push($acumulado_sesion, array( "session_number" => 0, 
                                                                    "player_id" => $team_player["jugador"]["id"],
                                                                    "handycap_calculated" => 0,
                                                                    "points" => 0
                                                                    ) );
                        }else{

                            array_push($acumulado_sesion, array( "session_number" => $rol_s_a_s->session_number, 
                                                                    "player_id" => $team_player["jugador"]["id"],
                                                                    "handycap_calculated" => $rol_tournament_s_p_a->handycap_calculated,
                                                                    "points" => $rol_tournament_s_p_a->points
                                                                    ) );

                                                                    if( $rol_tournaments_first->suspended == 0 
                                                                        or $rol_tournaments_first->type != "ronda_posiciones_virtual"){
                                                                        $juegos_jugados++;                                                                 
                                                                    }


                        }

                        
                    }                     

                                       
                    
                    $rol_tournament_session_points_actual = RolTournamentSessionPoint::whereIn("rol_tournament_session_id", $rol_tournamentSession_actual)
                                                                        ->where("player_id", $team_player["jugador"]["id"] )
                                                                        ->get();            

                    $rol_tournament_session_points_actual_hc = RolTournamentSessionPoint::whereIn("rol_tournament_session_id", $rol_tournamentSession_actual)
                                                                        ->where("player_id", $team_player["jugador"]["id"] )
                                                                        ->sum("handycap_calculated");                                                                                                        

                    $rol_tournament_session_points_points = RolTournamentSessionPoint::whereIn("rol_tournament_session_id", $rol_tournamentSession_actual)
                                                                        ->where("player_id", $team_player["jugador"]["id"])
                                                                        ->sum("points");                                                                         
                                                                                            

                }


                  //LA CONSULTA DE LOS TORNEOS ES DE ACUERDO A SI LA SEMANA EN QUE INGRESO UN EQUIPO NUEVO

                if( !empty( $team_add_in_curr_status ) ){
                   
                    $week_added = empty( $team_add->week )  ? 0 : $team_add->week - 1;

                    $rol_tournaments = RolTournament::where("rol_id", $rol->id)->where("category_id", $request->category_id)
                                                    ->where("type", "!=", "ronda_posiciones_virtual")
                                                    ->where("suspended", 0)                                                    
                                                    ->where("iterator_week", ">=", $week_added )
                                                    ->where("iterator_week", "<=", $torneo_week)
                                                    ->whereRaw("(first_team_id = " . $team_player["team"] . " OR second_team_id = " . $team_player["team"] . ")")                                                    
                                                    ->pluck("id")->toArray();

                    $rol_tournaments_menor = RolTournament::where("rol_id", $rol->id)->where("category_id", $request->category_id)                                                    
                                                    ->where("type", "!=", "ronda_posiciones_virtual")
                                                    ->where("suspended", 0)
                                                    ->where("iterator_week", ">=", $week_added )
                                                    ->where("iterator_week", "<=", $torneo_week)
                                                    ->whereRaw("(first_team_id = " . $team_player["team"] . " OR second_team_id = " . $team_player["team"] . ")")                                                    
                                                    ->pluck("id")->toArray();                                                    
                    
                }else{
                    
                    $rol_tournaments = RolTournament::where("rol_id", $rol->id)->where("category_id", $request->category_id)
                                                    ->where("type", "!=", "ronda_posiciones_virtual")
                                                    ->where("suspended", 0)
                                                    ->where("iterator_week", "<=", $torneo_week)
                                                    ->whereRaw("(first_team_id = " . $team_player["team"] . " OR second_team_id = " . $team_player["team"] . ")")
                                                    ->pluck("id")->toArray();

                    $rol_tournaments_menor = RolTournament::where("rol_id", $rol->id)->where("category_id", $request->category_id)
                                                    ->where("type", "!=", "ronda_posiciones_virtual")
                                                    ->where("suspended", 0)
                                                    ->where("iterator_week", "<", $torneo_week)
                                                    ->whereRaw("(first_team_id = " . $team_player["team"] . " OR second_team_id = " . $team_player["team"] . ")")
                                                    ->pluck("id")->toArray();                                                    
                }
                                
                
                
                $rol_tournamentSession = RolTournamentSession::whereIn("rol_tournament_id", $rol_tournaments)
                                                             ->where("team_id",$team_player["team"])
                                                             ->pluck("id")->toArray();  

                $rol_tournamentSession_menor = RolTournamentSession::whereIn("rol_tournament_id", $rol_tournaments_menor)
                                                             ->where("team_id",$team_player["team"])
                                                             ->pluck("id")->toArray(); 
                                                                                                                                        
                
                // ---------------------------------------
                
                $rol_tournament_session_points = RolTournamentSessionPoint::whereIn("rol_tournament_session_id", $rol_tournamentSession)
                                                                            ->where("player_id", $team_player["jugador"]["id"] )                                                                            
                                                                            ->sum("points");  

                $rol_tournament_session_points_count = RolTournamentSessionPoint::whereIn("rol_tournament_session_id", $rol_tournamentSession)
                                                                            ->where("player_id", $team_player["jugador"]["id"] )                                                                            
                                                                            ->count(); 

                $promedio = RolTournamentSessionPoint::whereIn("rol_tournament_session_id", $rol_tournamentSession)
                                                     ->where("player_id", $team_player["jugador"]["id"])->avg("points"); 
                                                     
                $promedio_menor = RolTournamentSessionPoint::whereIn("rol_tournament_session_id", $rol_tournamentSession_menor)
                                                     ->where("player_id", $team_player["jugador"]["id"])->avg("points");                                                      
                                
            
                //CUANTOS JUEGOS DEBES JUGAR PARA RECUPERAR TU HC                                                    
                $handicap = 0;                              

                
                // si es verdad hay quipo nuevo
                if( $team_add_in_curr_status ){   
                    //Si es 0 quiere decir que no tiene datos en esa semana por que ya eta filtrado arriba
                    if( count($rol_tournaments) > 0 ){
                        //semana inicial de equipo nuevo
                        
                        $rol_tournamentSession_first = RolTournamentSession::where("rol_tournament_id", $rol_tournaments[0])
                                                                    ->where("team_id",$team_player["team"])
                                                                    ->pluck("id")->toArray();  

                        $rol_tournament_session_points_count_first = RolTournamentSessionPoint::whereIn("rol_tournament_session_id", $rol_tournamentSession)
                                                                            ->where("player_id", $team_player["jugador"]["id"] )
                                                                            ->count(); 


                        // if( $handicap_db->news_players_how_many_games_play_on_first_week > 0){

                            if( $handicap_db->news_players_how_many_games_play_on_first_week > 0 && 
                                $rol_tournament_session_points_count_first >= $handicap_db->news_players_how_many_games_play_on_first_week ){                            
                                
                                // $is_player_new = (!is_null($player_in_team_each_category->player_handy_cap_in_tournament)) ? false : true;        

                                if( is_null( $team_player["player_handy_cap_in_tournament"] ) ){

                                    $cumple_primera_condicion = true;
                                    $jugos_jugados[$team_player["jugador"]["id"]] = true;
                                }

    
                                if( $torneo_week == ($team_add->week - 1 ) ){   
                                    //inidca que es un jugador nuevo y si ya cumplio la regla de los juegos tendra un hc retroactivo
                                    if(  is_null( $team_player["player_handy_cap_in_tournament"] ) ){
                                        $hc_retroactivo = true;
                                    }                          
                                }   
    
                            }else{                      
    
                                if( $torneo_week == 0 ){
                                    $jugos_jugados[$team_player["jugador"]["id"]] = false;
                                }
                            }

                        // }


                        //SE REVISA QUE EN LA SEMANA 0 DE UN EQUIPO QUE ENTRO A UN TORNEO YA EN CURSO CUANTO JUEGOS JUEGO                                                                            
                        // error_log("WEEK =>". $rol_tournament_session_points_count_first );
                        // error_log($team_player["jugador"]["id"]);
                    }else{                        

                        if( $torneo_week == 0 ){
                            $jugos_jugados[$team_player["jugador"]["id"]] = false;
                        }
                    }
                                      
                }else{
                    //NO ES UN EQUIPO NUEVO
                  

                    $rol_tournamentSession_first = RolTournamentSession::where("rol_tournament_id", $rol_tournaments[0])
                                                                    ->where("team_id",$team_player["team"])
                                                                    ->pluck("id")->toArray();  

                    $rol_tournament_session_points_count_first = RolTournamentSessionPoint::whereIn("rol_tournament_session_id", $rol_tournamentSession_first)
                                                                        ->where("player_id", $team_player["jugador"]["id"] )
                                                                        ->count();                                                                                                       
                    
                    // if( $handicap_db->news_players_how_many_games_play_on_first_week > 0){
                        //revisa la primer semana cumple con la regla de los juegos jugados
                        if( $rol_tournament_session_points_count_first >= $handicap_db->news_players_how_many_games_play_on_first_week 
                            && $handicap_db->news_players_how_many_games_play_on_first_week != 0 ){
                            
                            if( is_null( $team_player["player_handy_cap_in_tournament"] ) ){

                                $cumple_primera_condicion = true;
                                $jugos_jugados[$team_player["jugador"]["id"]] = true;

                            }else{
                                $cumple_primera_condicion = false;
                                $jugos_jugados[$team_player["jugador"]["id"]] = false;
                            }
                            
                            if( $torneo_week == 0 ){                                                    
                                //inidca que es un jugador nuevo y si ya cumplio la regla de los juegos tendra un hc retroactivo
                                if( is_null( $team_player["player_handy_cap_in_tournament"] && $handicap_db->retroactivo == 1 ) ){
                                    $hc_retroactivo = true;
                                }                          
                            }   
    
                        }else{
                            if( $torneo_week == 0 ){
                                $jugos_jugados[$team_player["jugador"]["id"]] = false;
                            }
                        } 

                    // }

                }  
                                           
                           
                
                //si la primera condicion es falsa evalua la siguente regla de juegos jugados en N semanas           
                
                if( $cumple_primera_condicion == false ){

                    //revisara numero de semanas atras - Revisa si es un numero negativo lo pone 0
                    $semana_inicial = $this->redondeo_semana( $torneo_week - $handicap_db->weeks_to_complete_games );                 

                    //Semanas para completar sus juegos
                    $rol_tournaments_arr = RolTournament::where("rol_id", $rol->id)->where("category_id", $request->category_id)                                                    
                                                        ->where("iterator_week", ">", $semana_inicial ) //aqui tenia >= pero consultaba 2
                                                        ->where("iterator_week", "<=", $torneo_week)
                                                        ->where("suspended", 0)
                                                        ->where("type", "!=", "ronda_posiciones_virtual")
                                                        ->whereRaw("(first_team_id = " . $team_player["team"] . " OR second_team_id = " . $team_player["team"] . ")")
                                                        ->pluck("id")->toArray();

                    $rol_tournamentSession_arr = RolTournamentSession::whereIn("rol_tournament_id", $rol_tournaments_arr)
                                                                    ->where("team_id",$team_player["team"])
                                                                    ->pluck("id")->toArray(); 

                    $rol_tournament_session_points_arr = RolTournamentSessionPoint::whereIn("rol_tournament_session_id", $rol_tournamentSession_arr)
                                                                                    ->where("player_id", $team_player["jugador"]["id"] )                                                                            
                                                                                    ->pluck("id")->toArray();  
                                                                                    
                                                                                    
                    //revisa una semana anterior  
                    
                    $rol_tournaments_arr_ant = RolTournament::where("rol_id", $rol->id)->where("category_id", $request->category_id)                                                    
                                                        ->where("iterator_week", ">=", $semana_inicial )
                                                        ->where("iterator_week", "<", $torneo_week)
                                                        ->whereRaw("(first_team_id = " . $team_player["team"] . " OR second_team_id = " . $team_player["team"] . ")")
                                                        ->pluck("id")->toArray();

                    $rol_tournamentSession_arr_ant = RolTournamentSession::whereIn("rol_tournament_id", $rol_tournaments_arr_ant)
                                                                    ->where("team_id",$team_player["team"])
                                                                    ->pluck("id")->toArray(); 

                    $rol_tournament_session_points_arr_ant = RolTournamentSessionPoint::whereIn("rol_tournament_session_id", $rol_tournamentSession_arr_ant)
                                                                                    ->where("player_id", $team_player["jugador"]["id"] )                                                                            
                                                                                    ->pluck("id")->toArray();  

                    
                                                                                    
                    if( count( $rol_tournament_session_points_arr_ant) >= $handicap_db->how_many_games_to_get_new_handicap ){
                        // $cumple_segunda_condicion_inicial =true;
                        // $jugos_jugados[$team_player["jugador"]["id"]] = true;
                    }
                              

                    if( count( $rol_tournament_session_points_arr) >= $handicap_db->how_many_games_to_get_new_handicap ){
                        // $cumple_segunda_condicion =true;
                        // $jugos_jugados[$team_player["jugador"]["id"]] = true;
                        
                    }else{
                        //jugador no cumple la segunda regla
                        
                    }                    
                                                                         
                }                                    

                // $jugos_jugados[$team_player["jugador"]["id"]]
                if( $rol_tournament_session_points_count >= $handicap_db->how_many_games_to_get_new_handicap ){
                    $cumple_segunda_condicion_inicial =true;
                    $cumple_segunda_condicion = true;                   
                }   
                
                if( $team_player["jugador"]["id"] == 229 ){
                    // error_log( "Condicion 229==>".$torneo_week."---". $cumple_primera_condicion ."===". $cumple_segunda_condicion );
                }
                                            
                        
                // && $rol_tournaments_first->type != "ronda_posiciones_virtual" && !$rol_tournaments_first->suspended
                if( $cumple_primera_condicion || $cumple_segunda_condicion ){
                    //El jugador genera su handicap
                    
                    $handicap = $this->calcular_handycap($team_player["jugador"], $promedio, $base, $handicap_each_categories, $team_player["team"]);
                    
                    if( $cumple_segunda_condicion_inicial == true ){        

                        if( $torneo_week == 0 ){
                            // $handicap = 0;
                            $hc_inicial = $team_player["player_team"]->player_handy_cap_in_tournament; ; 
                        }else{
                            // $handicap = 0;
                            

                            $hc_inicial = $hc_iniciales[$team_player["jugador"]["id"]]["hc"];  
                            
                            // if( $team_player["jugador"]["id"] == 119 ){

                            //     if( $torneo_week >= 0 && $torneo_week < 5 ){
                            //         error_log("WEEK ==>". $torneo_week);
                            //         error_log("cumple_primera_condicion =>".$cumple_primera_condicion);
                            //         error_log("cumple_segunda_condicion =>".$cumple_segunda_condicion);
                            //         error_log("handicap ==>". $hc_inicial);  
                            //         error_log("hc_iniciales =>". json_encode($hc_iniciales[$team_player["jugador"]["id"]]) );
                            //         // error_log("cumple_segunda_condicion_inicial ==>". $cumple_segunda_condicion_inicial);                             
                            //         // error_log("semana_inicial ==>".$semana_inicial);                     
                            //         error_log("=============================");
                            //         // error_log( $promedio ."---". $base ."---". $handicap_each_categories );
                            //     }
            
                            // }                           

                            // aqui podemos revisar los jugadores que iniciaron con hc y que no participan en la primer regla


                        }

                    }else{
                        // $hc_inicial = 0;
                    }

                }else{ 
                    
                    // aqui no se cumple la segunda condición pero si el jugador continuo en la liga y cuenta con HC
                    // pero no cumple la regla 1 ni la 2 pero se encuantra dentro de los juegos de la regla 2 
                    // ejemplo necesitas 4 juegos para calcular hc... El hc inical permanece hasta que eso se cumpla                
                    
                    // if( $torneo_week == 0 ){
                    //     $handicap = 0;
                    //     // $hc_inicial = $team_player["player_team"]->player_handy_cap_in_tournament; 
                    // }else{
                    //     $handicap = 0;
                    //     $hc_inicial = 0;                        
                    // }
                  

                    if($torneo_week < $handicap_db->weeks_to_complete_games){
                        $handicap = $team_player["player_team"]->player_handy_cap_in_tournament;
                    }else{
                        $handicap = 0;
                    }                                          
                        

                    //CONTAR LOS ULTIMOS JUEGOS DE ACUERDO AL ADMIN EJEMPLO 4 JUEGOS PARA GENERAR UN HC 
                    // $rol_tournaments = RolTournament::where("rol_id", $rol->id)->where("category_id", $request->category_id)
                    //                                 ->where("type", "!=", "ronda_posiciones_virtual")
                    //                                 ->where("suspended", 0)
                    //                                 ->where("iterator_week", "<=", $torneo_week)
                    //                                 ->whereRaw("(first_team_id = " . $team_player["team"] . " OR second_team_id = " . $team_player["team"] . ")")
                    //                                 ->pluck("id")->toArray();
                    
                    //juegos jugados
                    // $sesions_point = RolTournamentSessionPoint::whereIn("rol_tournament_session_id", $rol_tournamentSession)
                    //                         ->where("player_id", $team_player["jugador"]["id"] )                                                                            
                    //                         ->get();  
                                             
                    // if( $team_player["jugador"]["id"] == 110 ){
                    //     error_log(  $handicap_db->weeks_to_complete_games );
                    // }                                                                                                                                

                    // if( count($sesions_point) > 0 ){
                        
                    //     if( $rol_tournament_session_points_count_first <= $handicap_db->news_players_how_many_games_play_on_first_week ){
                    //         $handicap = 0;
                    //     }else{
                    //         $handicap = $sesions_point[count($sesions_point)-1]->handycap_calculated;//$sesions_point[count($sesions_point)-1];
                    //     }

                    //     $hc_inicial = $sesions_point[count($sesions_point)-1]->handycap_calculated;
                        
                    // }else{

                    // }


                    // ****************
                    
                    // $handicap = 0;
                    // $hc_inicial = 0;  
                }                              

                // buscar la semana 1
                // $hc_inicial = 0;

                if(  $team_add_in_curr_status ){

                    if( $torneo_week == ($team_add->week - 1 ) ){

                        if($hc_retroactivo){
                            $hc_inicial = $handicap;
                        }

                    }

                }
                
                //la variable handicap es igual al hc final                

                if( $torneo_week == 0 ){                 
                    
                    // error_log($team_player["player_team"]->player_handy_cap_in_tournament);
                    if( !empty( $team_player["player_team"]->player_handy_cap_in_tournament ) ){
                        
                        $hc_inicial = $team_player["player_team"]->player_handy_cap_in_tournament; 
                        
                        if( $rol_tournament_session_points_count_first < $handicap_db->news_players_how_many_games_play_on_first_week ){
                            
                            // $handicap = 0;
                        }

                    }else{
                        
                        $hc_inicial = 0;                       
                    }

                    if($hc_retroactivo){
                        $hc_inicial = $handicap;
                    }                    

                }else{

           
                    // error_log($hc_iniciales[$team_player["jugador"]["id"]]["week"]);

                    $rol_tournament_session_points_hc_ini = RolTournamentSessionPoint::whereIn("rol_tournament_session_id", $rol_tournamentSession)
                                                                            ->where("player_id", $team_player["jugador"]["id"] )                                                                            
                                                                            ->orderBy('id', 'ASC')
                                                                            ->take(1)
                                                                            ->get(); 

                    // if( count($rol_tournament_session_points_hc) > 0 ){
                    // $hc_inicial = $this->calcular_handycap($team_player["jugador"], $promedio_menor, $base, $handicap_each_categories, $team_player["team"]);
                    if( count($rol_tournament_session_points_hc_ini) > 0 ){  
                        
                        if( $rol_tournament_session_points_count < $handicap_db->how_many_games_to_get_new_handicap ){
                            $hc_inicial = $rol_tournament_session_points_hc_ini[0]->handycap_calculated;
                            //$rol_tournament_session_points_hc[count($rol_tournament_session_points_hc)-1];
                            //$handicap   = $rol_tournament_session_points_hc_ini[0]->handycap_calculated;
                        }else{
                            // $hc_inicial = $handicap;
                        }   

                    }else{
                        //validar si cumple con la regla 2
                        if( $handicap_db->how_many_games_to_get_new_handicap >= $torneo_week ){
                            $hc_inicial = $handicap;//$team_player["player_team"]->player_handy_cap_in_tournament; 
                        }else{
                            $hc_inicial = 0;
                        }
                    }
                    // si su hc inical mayor a 0 pero no cumple los juegos jugados permanece su hc 
                    
                    
                    // if( $team_player["jugador"]["id"] == 10 && $torneo_week < 3 ){
                            
                    //     //     // if( $torneo_week >= 0 && $torneo_week < 5 ){
                    //             error_log( $rol_tournament_session_points_count .">=". $handicap_db->how_many_games_to_get_new_handicap );
                    //             error_log("WEEK ==>". $torneo_week);
                    //             // error_log("cumple_primera_condicion =>".$cumple_primera_condicion);
                    //             // error_log("cumple_segunda_condicion =>".$cumple_segunda_condicion);
                    //             error_log("hc_inicial ==>". $hc_inicial);
                    //             error_log("Handicap  ==>". $handicap);  
                    //             // error_log("rol_tournament_session_points_arr_ant =>". count( $rol_tournament_session_points_arr_ant) );
                    //             // error_log("rol_tournament_session_points_arr ==>". count( $rol_tournament_session_points_arr) );                             
                                                
                    //             // error_log("=============================");
                                
                    //     //     // }
        
                    // }

                }                                               

                
                $hc_iniciales[$team_player["jugador"]["id"]]["hc"]   = $handicap;
                $hc_iniciales[$team_player["jugador"]["id"]]["week"] = $torneo_week;

                

                $valid_conteo = 0;

                if( $rol_tournaments_first->type == "ronda_posiciones_virtual" or $rol_tournaments_first->suspended ){
                    $valid_conteo = 1;
                }           


                if( $rol_tournaments_first->type != "ronda_posiciones_virtual" ){ 
                                        

                    array_push($data_total, array( "week" => $torneo_week, 
                        "player_name" =>  $team_player["jugador"]["nickname"] ? $team_player["jugador"]["nickname"] : $team_player["jugador"]["name"]." ".$team_player["jugador"]["last_name"] ,
                        "retroactivo" => $hc_retroactivo,
                        "rol_tournament_session_points" => $rol_tournament_session_points_actual,
                        "team_id" => $team_player["team"], 
                        "player_id" => $team_player["jugador"]["id"],
                        // "session_number" => $value_session->session_number,
                        "player" => $team_player["jugador"], 
                        "rol_tournament_actual" => $rol_tournaments_first,
                        "hc_calculado"   => $rol_tournament_session_points_actual_hc, 
                        "rol_tournament" => $id_torneo,
                        "valid_conteo"   => $valid_conteo,
                        "juegos_jugados" => $juegos_jugados,
                        "puntos_acum"    => $rol_tournament_session_points,
                        "rol_tournament_session_points_new" => $acumulado_sesion,
                        "juegos_jugados_acum" => $rol_tournament_session_points_count,
                        "date"     => $rol_tournaments_first ? $rol_tournaments_first->date : "", 
                        "semana"   => $semana,
                        "promedio" => $promedio ? number_format($promedio, 2, '.', '') : 0,
                        "hc_final" => $handicap == null ? 0 : $handicap,
                        "hc_inicial"=> $hc_inicial == null ? 0 : $hc_inicial
                       ) 
                    );               

                }                                

                if( $torneo_week >= $rol_tournament_max ){                    
                    break;
                }

            }

        }

        $response["teams"] = $teams;
        $response["data"] = $data_total;

        return response()->json($response, 200); 

    }


    function endKey( $array ){

        //Aquí utilizamos end() para poner el puntero
        //en el último elemento, no para devolver su valor
        end( $array );
    
        return key( $array );
    
    }

    public function tabla_por_jugador_new_duplicar_liga( $id_liga, $category_id ){
        
        $data = League::find( $id_liga );
        $rol  = Rol::where("league_id", $data->id)->first();

        $handicap_db = Handicap::where("league_id",  $data->id)->first();
        //consulta los equipos
        $teams_each_category = TeamEachCategory::where("team_category_id", $category_id)->pluck("team_id")->toArray();
        $teams = Team::whereIn("id", $teams_each_category)->get();        

        $data_equipo_jugador = array();                  

        $handicap_each_categories = HandicapEachCategory::where("team_category_id", $category_id)->first();
        $base = $handicap_each_categories->base_normal;

        $rol_tournament_max = RolTournament::where("rol_id", $rol->id)
                                            ->where("category_id", $category_id)
                                            -> whereNotNull("first_team_total")
                                            ->pluck("iterator_week")->toArray();        

        $teams_each_category = TeamEachCategory::select("id","team_id")->where("team_category_id", $category_id)->get();
            
        // error_log(print_r(array_unique($rol_tournament_max ), true ));

        $rol_tournament_max = array_unique($rol_tournament_max );
        

        // Recorre equipo y id de la categoria donde se encuentra añadidos los jugadores
        // Ese id es diferente al de team id
        $num = 0;
        foreach ($teams_each_category as $key => $value) {            
            //consulta el el id category para mostrar el id del jugador por equipo
            $player_team = PlayerInTeamEachCategory::where("team_each_categories_id", $value->id )->get();
                        
            foreach( $player_team as $v_player ){
                $player = Player::find( $v_player->player_id );
                // $player_team_player = PlayerInTeamEachCategory::where("team_each_categories_id", $value->id )->get();
                array_push($data_equipo_jugador, array( "jugador"=> $player, "team" => $value->team_id, "player_team" => $v_player ) );               

            }
            
        }        

        //se consultan las semanas del torneo        

        // $rol_tournament = RolTournament::where("rol_id", $rol->id)->where("category_id", $request->category_id)->get();

        $data_total = array();
        $rol_tournament_session_points_actual = array();
        $jugos_jugados = array();
        $hc_iniciales  = array();

        $rol_tournament_max_count = count($rol_tournament_max);     
            
        // $rol_tournament_max = end( $rol_tournament_max );

        // $rol_tournament_max = array( 17 => 17, 18 => 18);

        // error_log("rol_tournament_max ==>". print_r($rol_tournament_max, TRUE) );

        foreach ($rol_tournament_max as $week => $torneo_week) {        

            $team_add_in_curr_status = false;
            
            foreach ($data_equipo_jugador as $key => $team_player) { 

                $cumple_primera_condicion = false;
                $cumple_segunda_condicion = false;

                $cumple_primera_condicion_inicial = false;
                $cumple_segunda_condicion_inicial = false;
                
                $team_add = TeamsAddedInCurrentTournament::where("team_id", $team_player["team"])
                                                            ->where("league_id", $id_liga)
                                                            ->where("type", 1)->first();
                
                if( $team_add ){

                    // if( $torneo_week >= ($team_add->week-1) ){
                    // }
                    $team_add_in_curr_status = true;                       

                }


                $id_torneo = 0;     
                
                $rol_tournaments_first = RolTournament::where("rol_id", $rol->id)->where("category_id", $category_id)
                                                // ->where("type", "!=", "ronda_posiciones_virtual")
                                                // ->where("suspended", 0)
                                                ->where("iterator_week", "=", $torneo_week)
                                                ->whereRaw("(first_team_id = " . $team_player["team"] . " OR second_team_id = " . $team_player["team"] . ")")
                                                ->first();              


                if( empty( $rol_tournaments_first ) ){
                    error_log("VACIO");
                }else{

                    $acumulado_sesion = array();
                    $juegos_jugados = 0;
                    
                    $rol_tournamentSession_actual = RolTournamentSession::where("rol_tournament_id", $rol_tournaments_first->id)
                                                                        ->where("team_id", $team_player["team"])
                                                                        ->pluck("id")->toArray();                    
                    
                                                                        
                    $rol_session_actual_ses = RolTournamentSession::where("rol_tournament_id", $rol_tournaments_first->id)
                                                                        ->where("team_id", $team_player["team"])
                                                                        ->get();
                                                                                           

                    foreach( $rol_session_actual_ses as $rol_s_a_s ){                       

                        $rol_tournament_s_p_a = RolTournamentSessionPoint::where("rol_tournament_session_id", $rol_s_a_s->id)
                                                                        ->where("player_id", $team_player["jugador"]["id"] )
                                                                        ->first();
                        if( $team_player["jugador"]["id"] == 157 ){
                            error_log("WEEK =>". $torneo_week);
                            error_log($rol_tournament_s_p_a);                            
                        }        

                        if( empty($rol_tournament_s_p_a) ){
                            array_push($acumulado_sesion, array( "session_number" => 0, 
                                                                 "player_id" => $team_player["jugador"]["id"],
                                                                 "handycap_calculated" => 0,
                                                                 "points" => 0
                                                                 ) );
                        }else{

                            array_push($acumulado_sesion, array( "session_number" => $rol_s_a_s->session_number, 
                                                                 "player_id" => $team_player["jugador"]["id"],
                                                                 "handycap_calculated" => $rol_tournament_s_p_a->handycap_calculated,
                                                                 "points" => $rol_tournament_s_p_a->points
                                                                 ) );

                                                                 $juegos_jugados++;                                                                 

                        }

                        
                    }                                                                            
                                       
                    
                    $rol_tournament_session_points_actual = RolTournamentSessionPoint::whereIn("rol_tournament_session_id", $rol_tournamentSession_actual)
                                                                        ->where("player_id", $team_player["jugador"]["id"] )
                                                                        ->get();            

                    $rol_tournament_session_points_actual_hc = RolTournamentSessionPoint::whereIn("rol_tournament_session_id", $rol_tournamentSession_actual)
                                                                        ->where("player_id", $team_player["jugador"]["id"] )
                                                                        ->sum("handycap_calculated");                                                                                                        

                    $rol_tournament_session_points_points = RolTournamentSessionPoint::whereIn("rol_tournament_session_id", $rol_tournamentSession_actual)
                                                                        ->where("player_id", $team_player["jugador"]["id"])
                                                                        ->sum("points");                                                                         
                                                                                            

                }


                  //LA CONSULTA DE LOS TORNEOS ES DE ACUERDO A SI LA SEMANA EN QUE INGRESO UN EQUIPO NUEVO

                if( $team_add_in_curr_status ){
                    
                    $rol_tournaments = RolTournament::where("rol_id", $rol->id)->where("category_id", $category_id)                                                    
                                                    ->where("iterator_week", ">=", ($team_add->week-1) )
                                                    ->where("iterator_week", "<=", $torneo_week)
                                                    ->whereRaw("(first_team_id = " . $team_player["team"] . " OR second_team_id = " . $team_player["team"] . ")")                                                    
                                                    ->pluck("id")->toArray();

                    $rol_tournaments_menor = RolTournament::where("rol_id", $rol->id)->where("category_id", $category_id)                                                    
                                                    ->where("iterator_week", ">=", ($team_add->week-1) )
                                                    ->where("iterator_week", "<=", $torneo_week)
                                                    ->whereRaw("(first_team_id = " . $team_player["team"] . " OR second_team_id = " . $team_player["team"] . ")")                                                    
                                                    ->pluck("id")->toArray();                                                    
                    
                }else{
                    
                    $rol_tournaments = RolTournament::where("rol_id", $rol->id)->where("category_id", $category_id)
                                                    // ->where("type", "!=", "ronda_posiciones_virtual")
                                                    // ->where("suspended", 0)
                                                    ->where("iterator_week", "<=", $torneo_week)
                                                    ->whereRaw("(first_team_id = " . $team_player["team"] . " OR second_team_id = " . $team_player["team"] . ")")
                                                    ->pluck("id")->toArray();

                    $rol_tournaments_menor = RolTournament::where("rol_id", $rol->id)->where("category_id", $category_id)
                                                    // ->where("type", "!=", "ronda_posiciones_virtual")
                                                    // ->where("suspended", 0)
                                                    ->where("iterator_week", "<", $torneo_week)
                                                    ->whereRaw("(first_team_id = " . $team_player["team"] . " OR second_team_id = " . $team_player["team"] . ")")
                                                    ->pluck("id")->toArray();                                                    
                }
                                
                
                
                $rol_tournamentSession = RolTournamentSession::whereIn("rol_tournament_id", $rol_tournaments)
                                                             ->where("team_id",$team_player["team"])
                                                             ->pluck("id")->toArray();  

                $rol_tournamentSession_menor = RolTournamentSession::whereIn("rol_tournament_id", $rol_tournaments_menor)
                                                             ->where("team_id",$team_player["team"])
                                                             ->pluck("id")->toArray(); 
                                                                                                                                        
                
                // ---------------------------------------
                
                $rol_tournament_session_points = RolTournamentSessionPoint::whereIn("rol_tournament_session_id", $rol_tournamentSession)
                                                                            ->where("player_id", $team_player["jugador"]["id"] )                                                                            
                                                                            ->sum("points");  

                $rol_tournament_session_points_count = RolTournamentSessionPoint::whereIn("rol_tournament_session_id", $rol_tournamentSession)
                                                                            ->where("player_id", $team_player["jugador"]["id"] )                                                                            
                                                                            ->count(); 

                $promedio = RolTournamentSessionPoint::whereIn("rol_tournament_session_id", $rol_tournamentSession)
                                                     ->where("player_id", $team_player["jugador"]["id"])->avg("points"); 
                                                     
                $promedio_menor = RolTournamentSessionPoint::whereIn("rol_tournament_session_id", $rol_tournamentSession_menor)
                                                     ->where("player_id", $team_player["jugador"]["id"])->avg("points");                                                      
                                
            
                //CUANTOS JUEGOS DEBES JUGAR PARA RECUPERAR TU HC                                                    
                $handicap = 0;
                
                // si es verdad hay quipo nuevo cuando ya incio el torneo
                if( $team_add_in_curr_status ){   
                    //Si es 0 quiere decir que no tiene datos en esa semana por que ya eta filtrado arriba
                    if( count($rol_tournaments) > 0 ){
                        //semana inicial de equipo nuevo
                        
                        $rol_tournamentSession_first = RolTournamentSession::where("rol_tournament_id", $rol_tournaments[0])
                                                                    ->where("team_id",$team_player["team"])
                                                                    ->pluck("id")->toArray();  

                        $rol_tournament_session_points_count_first = RolTournamentSessionPoint::whereIn("rol_tournament_session_id", $rol_tournamentSession)
                                                                            ->where("player_id", $team_player["jugador"]["id"] )
                                                                            ->count(); 

                        if( $rol_tournament_session_points_count_first >= $handicap_db->news_players_how_many_games_play_on_first_week ){
                            $cumple_primera_condicion = true;
                            $jugos_jugados[$team_player["jugador"]["id"]] = true;
                        }else{
                            // if($jugos_jugados[$team_player["jugador"]["id"]]){
                            //     $jugos_jugados[$team_player["jugador"]["id"]] = true;    
                            // }else{
                            //     $jugos_jugados[$team_player["jugador"]["id"]] = false;
                            // }

                            if( $torneo_week == 0 ){
                                $jugos_jugados[$team_player["jugador"]["id"]] = false;
                            }
                        }

                        //SE REVISA QUE EN LA SEMANA 0 DE UN EQUIPO QUE ENTRO A UN TORNEO YA EN CURSO CUANTO JUEGOS JUEGO                                                                            
                        // error_log("WEEK =>". $rol_tournament_session_points_count_first );
                        // error_log($team_player["jugador"]["id"]);
                    }else{
                        // if($jugos_jugados[$team_player["jugador"]["id"]]){
                        //     $jugos_jugados[$team_player["jugador"]["id"]] = true;
                        // }else{

                        // }

                        if( $torneo_week == 0 ){
                            $jugos_jugados[$team_player["jugador"]["id"]] = false;
                        }
                    }
                                      
                }else{
                    //NO ES UN EQUIPO NUEVO

                    $rol_tournamentSession_first = RolTournamentSession::where("rol_tournament_id", $rol_tournaments[0])
                                                                    ->where("team_id",$team_player["team"])
                                                                    ->pluck("id")->toArray();  

                    $rol_tournament_session_points_count_first = RolTournamentSessionPoint::whereIn("rol_tournament_session_id", $rol_tournamentSession_first)
                                                                        ->where("player_id", $team_player["jugador"]["id"] )
                                                                        ->count();                    

                    if( $rol_tournament_session_points_count_first >= $handicap_db->news_players_how_many_games_play_on_first_week ){
                        $cumple_primera_condicion = true;
                        // error_log( "PRIMERA SEMANA =>". json_encode($team_player["jugador"]) );
                        $jugos_jugados[$team_player["jugador"]["id"]] = true;                        
                    }else{
                        if( $torneo_week == 0 ){
                            $jugos_jugados[$team_player["jugador"]["id"]] = false;
                        }
                    }    
                
                }
                                           
                //si la primera condicion es falsa evalua la siguente regla de juegos jugados en N semanas                         

                if( $cumple_primera_condicion == false && $torneo_week != 0  ){

                    //revisara numero de semanas atras - Revisa si es un numero negativo lo pone 0
                    $semana_inicial = $this->redondeo_semana( $torneo_week - $handicap_db->weeks_to_complete_games );
                    //Semanas para completar sus juegos
                    $rol_tournaments_arr = RolTournament::where("rol_id", $rol->id)->where("category_id", $category_id)                                                    
                                                        ->where("iterator_week", ">=", $semana_inicial )
                                                        ->where("iterator_week", "<=", $torneo_week)
                                                        ->whereRaw("(first_team_id = " . $team_player["team"] . " OR second_team_id = " . $team_player["team"] . ")")
                                                        ->pluck("id")->toArray();

                    $rol_tournamentSession_arr = RolTournamentSession::whereIn("rol_tournament_id", $rol_tournaments_arr)
                                                                    ->where("team_id",$team_player["team"])
                                                                    ->pluck("id")->toArray(); 

                    $rol_tournament_session_points_arr = RolTournamentSessionPoint::whereIn("rol_tournament_session_id", $rol_tournamentSession_arr)
                                                                                    ->where("player_id", $team_player["jugador"]["id"] )                                                                            
                                                                                    ->pluck("id")->toArray();  
                                                                                    
                                                                                    
                    //revisa una semana anterior  
                    
                    $rol_tournaments_arr_ant = RolTournament::where("rol_id", $rol->id)->where("category_id", $category_id)                                                    
                                                        ->where("iterator_week", ">=", $semana_inicial )
                                                        ->where("iterator_week", "<", $torneo_week)
                                                        ->whereRaw("(first_team_id = " . $team_player["team"] . " OR second_team_id = " . $team_player["team"] . ")")
                                                        ->pluck("id")->toArray();

                    $rol_tournamentSession_arr_ant = RolTournamentSession::whereIn("rol_tournament_id", $rol_tournaments_arr_ant)
                                                                    ->where("team_id",$team_player["team"])
                                                                    ->pluck("id")->toArray(); 

                    $rol_tournament_session_points_arr_ant = RolTournamentSessionPoint::whereIn("rol_tournament_session_id", $rol_tournamentSession_arr_ant)
                                                                                    ->where("player_id", $team_player["jugador"]["id"] )                                                                            
                                                                                    ->pluck("id")->toArray();  
                                                                                                                                                                                       

                    // error_log( $rol_tournament_session_points_arr. "----------" .$handicap_db->how_many_games_to_get_new_handicap );                                                                                    
                    
                    
                    if( count( $rol_tournament_session_points_arr_ant) >= $handicap_db->how_many_games_to_get_new_handicap ){
                        $cumple_segunda_condicion_inicial =true;
                        $jugos_jugados[$team_player["jugador"]["id"]] = true;
                    }
                    
                    if( $jugos_jugados[$team_player["jugador"]["id"]] ){
                        $cumple_segunda_condicion =true;
                    }

                    if( count( $rol_tournament_session_points_arr) >= $handicap_db->how_many_games_to_get_new_handicap ){
                        $cumple_segunda_condicion =true;
                        $jugos_jugados[$team_player["jugador"]["id"]] = true;
                        
                    }else{
                        //jugador no cumple la segunda regla
                        
                    }                    
                  
                }
                
                if( $jugos_jugados[$team_player["jugador"]["id"]] ){
                    $cumple_segunda_condicion_inicial =true;
                }
                
                
                if( $team_player["jugador"]["id"] == 147 ){
                    // error_log( "week => ".$torneo_week. "===" . $cumple_segunda_condicion. "--- ". $jugos_jugados[$team_player["jugador"]["id"]]);
                }
                        

                if( $cumple_primera_condicion || $cumple_segunda_condicion ){
                    //El jugador genera su handicap
                    // $handicap = $this->calcular_handycap($team_player["jugador"], $promedio, $base, $handicap_each_categories, $team_player["team"]);
                    
                    if( $torneo_week == 0 ){
                        // $handicap = 0;
                        $hc_inicial = $team_player["player_team"]->player_handy_cap_in_tournament; ; 
                    }else{
                        // $handicap = 0;
                        $hc_inicial = $hc_iniciales[$team_player["jugador"]["id"]]["hc"];                        
                    }

                    // if( $cumple_segunda_condicion_inicial == true ){
                    //     $hc_inicial = $this->calcular_handycap($team_player["jugador"], $promedio_menor, $base, $handicap_each_categories, $team_player["team"]);
                    // }else{
                    //     $hc_inicial = 0;
                    // }

                    

                }else{
                    
                    if( $torneo_week == 0 ){
                        $handicap = 0;
                        $hc_inicial = $team_player["player_team"]->player_handy_cap_in_tournament; 
                    }else{
                        $handicap = 0;
                        $hc_inicial = 0;                        
                    }
                    
                    // $sesions_point = RolTournamentSessionPoint::whereIn("rol_tournament_session_id", $rol_tournamentSession)
                    //                         ->where("player_id", $team_player["jugador"]["id"] )                                                                            
                    //                         ->get();  
                                             
                                                                                                                                                    

                    // if( count($sesions_point) > 0 ){
                    //     $handicap = $sesions_point[count($sesions_point)-1]->handycap_calculated;
                    //     $hc_inicial = $sesions_point[count($sesions_point)-1]->handycap_calculated;                        
                    // }else{
                    //     $hc_inicial = $sesions_point[count($sesions_point)-1]->handycap_calculated; 
                    //     $handicap = 0;
                    //     // $hc_inicial = 0;  
                    // }

                }                              

                // buscar la semana 1
                // $hc_inicial = 0;
                if( $torneo_week == 0 ){
                    // error_log($team_player["player_team"]->player_handy_cap_in_tournament);
                    if( !empty( $team_player["player_team"]->player_handy_cap_in_tournament ) ){
                        $hc_inicial = $team_player["player_team"]->player_handy_cap_in_tournament;
                        
                    }else{
                        $hc_inicial = 0;                       
                    }
                }else{
            
                }  

                $hc_iniciales[$team_player["jugador"]["id"]]["hc"]   = $handicap;
                $hc_iniciales[$team_player["jugador"]["id"]]["week"] = $torneo_week;

                // $valid_conteo = 0;

                // if( $rol_tournaments_first->type == "ronda_posiciones_virtual" or $rol_tournaments_first->suspended ){
                //     $valid_conteo = 1;
                // }
                
                if( $torneo_week == ($rol_tournament_max_count-1) ){
                    

                    array_push($data_total, array( "week" => $torneo_week, 
                        "rol_tournament_session_points" => $rol_tournament_session_points_actual,
                        "team_id" => $team_player["team"], 
                        "player_id" => $team_player["jugador"]["id"],
                        // "session_number" => $value_session->session_number,
                        "player" => $team_player["jugador"], 
                        "date" => $rol_tournaments_first->date, 
                        "hc_calculado" => $rol_tournament_session_points_actual_hc, 
                        "rol_tournament" => $id_torneo,
                        "juegos_jugados" => $juegos_jugados,
                        "puntos_acum"    => $rol_tournament_session_points,
                        "rol_tournament_session_points_new" => $acumulado_sesion,
                        "juegos_jugados_acum" => $rol_tournament_session_points_count,
                        "hc_final" => $handicap,
                        // "valid_conteo" => $valid_conteo,
                        "promedio" => $promedio ? number_format($promedio, 2, '.', '') : 0,
                        "hc_inicial"=> $hc_inicial//count( $rol_tournament_session_points_hc ) > 0 ? $rol_tournament_session_points_hc[0] : 0
                       ) 
                    );

                }       
                
                

                if( $torneo_week >= $rol_tournament_max ){
                    break;
                }

            }

        }

        $response["teams"] = $teams;
        $response["data"] = $data_total;

        return  array( "teams" => $teams, "data_total" => $data_total );

    }

    public function tabla_por_jugador_db( Request $request ){

        $data = League::find( $request->id_liga );
        $rol  = Rol::where("league_id", $data->id)->first();

        $teams_each_category = TeamEachCategory::where("team_category_id", $request->category_id)->pluck("id")->toArray();

        $teams = Team::whereIn("id", $teams_each_category)->get();  

        $rol_tournament = RolTournament::where("rol_id", $rol->id)->where("category_id", $request->category_id)->get();

        return  $rol_tournament;
    }

    public function tabla_por_jugador( Request $request ){

        $data = League::find( $request->id_liga );
        $rol  = Rol::where("league_id", $data->id)->first();

        $teams_each_category = TeamEachCategory::where("team_category_id", $request->category_id)->pluck("id")->toArray();
        // $teams_each_category = TeamEachCategory::select("id","team_id")->where("team_category_id", $request->category_id)->get();

        // error_log( print_r($teams_each_category, true) );
        
        $teams = Team::whereIn("id", $teams_each_category)->get();        

        $data = array();
        
        $rol_tournament = RolTournament::where("rol_id", $rol->id)->where("category_id", $request->category_id)->get_rol_tournament_sessions()->get();


        // $player_in_team = PlayerInTeamEachCategory::where("team_each_categories_id", $team_each->id)->where("player_id", $value->player_id)->first();

        // $handycap = $this->get_handycap_by_player( $player_in_team, $value->iterator_week, $league_id, $category_id, $team_id, "ok", $rol_tournaments);

        foreach ($rol_tournament as $key => $value) {                                              
         
            // CONSULTAMOS LOS IDS DE LOS ENFRENTAMIENTOS PARA CONSULTAR LOS ACUMULADOS
            // DESPUES REALIZAR EL CONTEO DE JUEGOS JUGADOS POR SEMANA ACUMULADA
            //no interesa el equipo
            // $r_t_first = RolTournament::where("rol_id", $rol->id)->where("category_id", $request->category_id)                                                
            //                     ->whereRaw("(first_team_id = " . $value->first_team_id . " OR second_team_id = " . $value->first_team_id . ")")
            //                     // ->where("type", "!=", "ronda_posiciones_virtual")
            //                     ->where("suspended",0)->where("first_team_suspended",0)
            //                     ->where("iterator_week", "<=",$value->iterator_week)->pluck("id")->toArray();

            // $r_t_second = RolTournament::where("rol_id", $rol->id)->where("category_id", $request->category_id)                                                
            //                     ->whereRaw("(first_team_id = " . $value->second_team_id . " OR second_team_id = " . $value->second_team_id . ")")
            //                     // ->where("type", "!=", "ronda_posiciones_virtual")
            //                     ->where("suspended",0)->where("second_team_suspended",0)
            //                     ->where("iterator_week", "<=",$value->iterator_week)->pluck("id")->toArray();
            

            $rol_tournament_week = RolTournament::where("rol_id", $rol->id)
                                            ->where("category_id", $request->category_id)
                                            ->where("iterator_week", "<=",$value->iterator_week)
                                            ->pluck("id")->toArray();
            


            $rol_tournamentSession = RolTournamentSession::where("rol_tournament_id", $value->id)->get();   

            $rol_tournament_session_acum = RolTournamentSession::whereIn("rol_tournament_id", $rol_tournament_week)
                                            ->pluck("id")->toArray();

            
            if( count( $rol_tournamentSession ) > 0 ){

                foreach ($rol_tournamentSession as $key_session => $value_session) {
                    $rol_tournament_session_points = RolTournamentSessionPoint::where("rol_tournament_session_id", $value_session->id)->get();            
                   
                    $player_id_tem = 0;
                    
                    foreach ($rol_tournament_session_points as $key_session_points => $value_session_points) {


                        $player = Player::find( $value_session_points->player_id );

                        $rol_tournament_session_points_count = RolTournamentSessionPoint::whereIn("rol_tournament_session_id", $rol_tournament_session_acum)
                                                                                    ->where("player_id", $value_session_points->player_id)
                                                                                    ->count();   

                        $rol_tournament_session_points_points = RolTournamentSessionPoint::whereIn("rol_tournament_session_id", $rol_tournament_session_acum)
                                                                                    ->where("player_id", $value_session_points->player_id)
                                                                                    ->sum("points");                                                                                       
                        // error_log($rol_tournament_session_points_count);                                                                                         
                        array_push($data, array( "week" => $value->iterator_week, 
                                                 "rol_tournament_session_points" => $rol_tournament_session_points,
                                                 "team_id" => $value_session->team_id, 
                                                 "player_id" => $value_session_points->player_id,
                                                 "session_number" => $value_session->session_number,
                                                 "player" => $player, 
                                                 "date" => $value->date, 
                                                 "hc_calculado" => $value_session_points->handycap_calculated, 
                                                 "rol_tournament" => $value->id,
                                                 "juegos_jugados" => $rol_tournament_session_points_count,
                                                 "puntos_acum"    => $rol_tournament_session_points_points
                                                ) 
                                    );
                    }
             
                }                     

            }else{
                break;
            }
        }

        $response["teams"] = $teams;
        $response["data"] = $data;

        return response()->json($response, 200); 
    }

    public function get_equipos_por_puntualidad( Request $request ){

        $rol_tournaments = RolTournament::where("rol_id", $request->rol_id)->where("category_id", $request->category_id)->where("type", "!=", "ronda_posiciones_virtual")->where("iterator_week", "=", $request->iterator_week)->get();

        $response["rol_tournamet"] = $rol_tournaments;

        return response()->json($response, 200); 

    }

    public function reutilizar_liga( Request $request ){

        // INFORMACION PRINCIPAL

        $response = array();

        DB::beginTransaction();

        $data = League::find($request->id);
        $league_new = $data->replicate(); 
        // $league_new->id = $id_league_new;
        $league_new->league_name = $request->league_name;
        $league_new->save();        
        
        $id_league_new = $league_new->id;        
        
        $rol = Rol::where("league_id", $data->id)->first();
        $rol_new = $rol->replicate();     
        $rol_new->league_id = $id_league_new;
        $rol_new->save();
    
        $contact_league = LeagueContact::where("league_id", $data->id)->get(); 
        
        foreach( $contact_league as $key => $contact ){
            // error_log( $contact->name_complete );
            $league_contacts = new LeagueContact();
            $league_contacts->league_id = $id_league_new;
            $league_contacts->role = $contact->role;
            $league_contacts->name_complete = $contact->name_complete;
            $league_contacts->cellphone = $contact->cellphone;
            $league_contacts->email = $contact->email;
            $league_contacts->save();
        }        
                
        
        // TIPO DE JUGADORES

        $player_type = PlayerType::where("league_id", $data->id)->first();
        $new_player_type = $player_type->replicate();                
        $new_player_type->league_id = $id_league_new;
        $new_player_type->id = $id_league_new;
        $new_player_type->save();

        $player_rules = PlayerRules::where("league_id", $data->id)->first();
        $player_rules_new = $player_rules->replicate();
        $player_rules_new->league_id = $id_league_new;
        $player_rules_new->save();
        
        // EQUIPOS
        $team_category_specification = TeamAndCategorySpecification::where("league_id", $data->id)->first();
        $team_category_specification_new = $team_category_specification->replicate();                
        $team_category_specification_new->league_id = $id_league_new;
        $team_category_specification_new->id = $id_league_new;        
        $team_category_specification_new->save();
                

        $team_category = TeamCategory::find($request->category_id);
        $team_category_new = $team_category->replicate();
        $team_category_new->team_and_category_specifications_id	= $team_category_specification_new->id;
        $team_category_new->name = $request->league_name;
        $team_category_new->id = $id_league_new;
        $team_category_new->save();
        // Este id es el que ira en los equipos        
        
        //REGLAS DE CATEGORIAS ->  id sacamos la categoria
        $category_rule = CategoryRule::where("league_id", $data->id)->first();
        $category_rule_new = $category_rule->replicate();        
        $category_rule_new->league_id = $id_league_new;
        $category_rule_new->save();


        //Frecuencia de las ligas
        // frecuency_custom_leagues
        //solo se puede añadir 1 equipo
        $teams_added_in_current_tournament = TeamsAddedInCurrentTournament::where("league_id",$data->id)
                                                                          ->where("type", 1)->first();
        //se añade solo si existio un equipo nuevo.
        if( $teams_added_in_current_tournament ){
            $teams_added_in_current_tournament_new = $teams_added_in_current_tournament->replicate();
            $teams_added_in_current_tournament_new->league_id = $id_league_new;
            $teams_added_in_current_tournament_new->save();
        }                                                                          

        // ÚLTIMA TABLA DE POSICIONES   
        $rol_tournament_max = RolTournament::where("rol_id", $rol->id)
                                            ->where("category_id", $request->category_id)
                                            ->whereNotNull("first_team_total")
                                            // ->pluck("iterator_week")
                                            ->max("iterator_week");                      
    

        $handicap_each_categories = HandicapEachCategory::where("team_category_id", $request->category_id)->first();
        $base = $handicap_each_categories->base_normal;
    
        $tabla_posiciones = Pastora::get_tabla_de_posiciones_global($rol->id, $rol_tournament_max, $request->category_id);        
                
        // error_log( print_r($tabla_posiciones, true) );
        $acumula_equipos_id = array();
        $num = 0;
        //RECORRE TABLA ORDENADA
        foreach( $tabla_posiciones as $key => $team ){
            // error_log( $key );
            if( $team ){
                $num++;
                
                $team_each_category = new TeamEachCategory();
                $team_each_category->team_category_id = $team_category_new->id;
                $team_each_category->team_id = $team->get_team->id;
                $team_each_category->alias_team = $num;
                $team_each_category->save();                

                array_push( $acumula_equipos_id, array( "team_id" => $team->get_team->id, "team_each_category_id" => $team_each_category->id ) ); //$team_each_category->id

            }

        }        

        //aqui obtengo cada jugador con su hc
        $handicaps = $this->tabla_por_jugador_new_duplicar_liga( $request->id, $request->category_id );        

        error_log( "handicaps ===>". json_encode( $handicaps ) );

        foreach( $handicaps["data_total"] as $key => $player ){

            // $buscar_team = array_search( $player["team_id"] , array_column($acumula_equipos_id, 'team_id'));            

            $buscar_team = $this->searchTeamCategories( $acumula_equipos_id, $player["team_id"]  );

            $player_in_team_each_category = new PlayerInTeamEachCategory();
            $player_in_team_each_category->team_each_categories_id = $buscar_team['team_each_category_id'];
            $player_in_team_each_category->player_id = $player["player"]->id;
            $player_in_team_each_category->player_handy_cap_in_tournament = $player["hc_final"];
            $player_in_team_each_category->save();            
            // error_log( $key. "-player =>". $player["player"]->id. " ------ " .$player["hc_final"] );
        }


        $rol_tournament_max = RolTournament::where("rol_id", $rol->id)
                                            ->where("category_id", $request->category_id)
                                            ->whereNotNull("first_team_total")
                                            ->pluck("iterator_week")->toArray();                
            
        // error_log(print_r(array_unique($rol_tournament_max ), true ));

        $rol_tournament_max = array_unique($rol_tournament_max );

        //HANDICAP

        $handicap = Handicap::where("league_id", $data->id)->first();
        $handicap_new = $handicap->replicate();
        $handicap_new->league_id = $id_league_new;        
        $handicap_new->save();


        $handicap_each_categories = HandicapEachCategory::where("team_category_id", $request->category_id)->first();
        $handicap_each_categories_new = $handicap_each_categories->replicate();                
        $handicap_each_categories_new->team_category_id = $team_category_specification_new->id;
        $handicap_each_categories_new->save();

        
        //PREMIACIÓN
        $premiacion_each_category = PremiacionEachCategory::where("league_id",$data->id)
                                                          ->where("team_category_id",$request->category_id)->first();
        
        if( $premiacion_each_category ){

            $premiacion_each_category_new = $premiacion_each_category->replicate();        
            $premiacion_each_category_new->league_id = $id_league_new;
            $premiacion_each_category_new->team_category_id = $team_category_specification_new->id;
            $premiacion_each_category_new->save(); 

        }

        $premiacion_lugares = PremiacionLugares::where("premiacion_each_categories_id", $data->id)
                                                ->where("category_id", $request->category_id)->get();                                                               

        foreach( $premiacion_lugares as $premiacion ){
            $premiacion_new = new PremiacionLugares();
            $premiacion_new->premiacion_each_categories_id = $premiacion_each_category_new->id;
            $premiacion_new->category_id = $team_category_new->id;
            $premiacion_new->type = $premiacion->type;
            $premiacion_new->place = $premiacion->place;
            $premiacion_new->money_award = $premiacion->money_award;            
            $premiacion_new->save();
        }

        DB::commit();

        $response["status"] = true;
        $response["id"] = base64_encode($id_league_new);
        
        return response()->json($response, 200); 

    }

    private function searchTeamCategories( $equipos_id, $team_id ){

        foreach( $equipos_id as $equipo ){

            if( $equipo["team_id"] == $team_id ){
                return $equipo;
            }

        }

    }

}














